<?php
require_once('header.php');
?>
<head>
<link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css" rel="stylesheet"/>
</head>    
<body class="bacgbg">  
<div id="wrap">
  <div id="main" class="clear-top">
    <header class="header_top_ber1">
	<?php
	require_once('top_head_section.php');
	?>
    </header>
    
  <section class="">
  <div class="container-fluid">
    <div class="row">
    
        <div class="col-md-12 mt-3">
    <div class="top_menu">
	<?php
	require_once('top_menu.php');
	?>
	</div>
      </div>
    </div>
  </div>
</section>
    <section class="main_body ">
		<div class="container-fluid">
			<div class="row">
				<div class="col-md-12 pt-4 ">
					<div class="dash_box" style="height:auto;">
						<form id="login" method="post" action="<?php echo site_url('Admin/add_charge_record');?>">
							<div class="row">
								<div class="col-md-7">
									<div class="form-group">
										<div class="row">
                    
											<div class="col-md-12">
												<label class="col-form-label">Item Name</label>
												<input class="form-control" type="text" id="item_name" name="item_name" value="<?=(isset($charge_record)?$charge_record->item_name:'')?>">
												<input class="form-control" type="hidden" id="uid" name="uid" value="<?=(isset($charge_record)?base64_encode($charge_record->uid):'')?>">
												<?php echo form_error('item_name'); ?>
											</div>
                    
											
										</div>
									</div>
									
									<div class="form-group">
										<div class="row">
											<div class="col-md-6">
												<label class="col-form-label">Service</label>
														<?php
															$js = 'class="form-control" id="service_uid"';
															echo form_dropdown('service_uid',$all_services,(isset($charge_record)?$charge_record->service_uid:''),$js);
														?>
													<?php echo form_error('service_uid'); ?>
											</div>
											<div class="col-md-6">
												<label class="col-form-label">Charge Category</label>
													<?php
														$options = [ 
														'1' => 'IP',
														'2'=> 'OP'
														];
														$js = 'class="form-control" id="charge_category"';
														echo form_dropdown('charge_category',$options,(isset($charge_record)?$charge_record->charge_category:''),$js);
													?>
													<?php echo form_error('charge_category'); ?>
											</div>	
                                        </div>
					                </div>
                                    <div class="form-group">
                                        <div class="row">
										    <div class="col-md-6">
												<label class="col-form-label">Amount</label>
												<input class="form-control" type="text" id="amount" name="amount" value="<?=(isset($charge_record)?$charge_record->amount:'')?>">
											</div>
										
											<div class="col-md-6">
												<label class="col-form-label">Clinic Name</label>
														<?php
															$js = 'class="form-control" id="clinic_uid"';
															echo form_dropdown('clinic_uid',$clinic_location,(isset($charge_record)?$charge_record->clinic_uid:''),$js);
														?>

											</div>
										</div>
									</div>
                          
			</div>
			<div class="col-md-5 switch_section">
				<div class="row">
					<div class="col-md-8">
						Show in App
					</div>
					<div class="col-md-4"> 
						<label class="switch">
							<input type="checkbox" id="show_app" name="show_app" value="1" <?=(isset($charge_record) && $charge_record->show_app=='1')?'checked':'';?>>
							<span class="slider round"></span>
						</label>
					</div>

					<div class="col-md-8">
						Active
					</div>
					<div class="col-md-4"> 
						<label class="switch">
							<input type="checkbox" id="active_flag" name="active_flag" value="1" <?=(isset($charge_record) && $charge_record->active_flag=='1')?'checked':'';?>>
							<span class="slider round"></span>
						</label>
					</div>
				</div>              
			</div> 
                    <div class="col-md-12 pt-2 text-right">
                      <input type="submit" name="submit" class="btn btn-info btn-md custom_btn2" value="Submit">
                    </div>
                 
           
		  </div>
		</form>		  
		  </div>
		  </div>
          
        </div>
      </div>
    </section>
         
  </div>
</div>
<footer class="footer">
<?php
require_once('footer.php');
?>
</footer>
</body> 
<?php
require_once('common_script.php');
?>
<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script> 
<script>


function deleteRow(btn) {
  var row = btn.parentNode.parentNode;
  row.parentNode.removeChild(row);
  add_to_array();
}
</script>
<?php
if(isset($_SESSION['success'])){
echo '<script>toastr.success("'.$_SESSION['success'].'","Success");</script>';
}
?>
</html>    