<?php
	require_once('header.php');
?>    
<body class="bacgbg">  
	<div id="wrap">
		<div id="main" class="clear-top">
			<header class="header_top_ber1">
				<?php
					require_once('top_head_section.php');
				?>
			</header>
			
			<section class="">
				<div class="container-fluid">
					<div class="row">
						
						<div class="col-md-12 mt-3">
							<div class="top_menu">
								<?php
									require_once('top_menu.php');
								?>
							</div>
						</div>
					</div>
				</div>
			</section>
			<section class="main_body ">
				<div class="container-fluid">
					<div class="row">
						
						<div class="col-md-12">
							<div class="block mt-3">
								<div class="well text-left">
									<div id="w1" class="btn-group display_block">
										<ul class="top_btn_search">
											<li>  <a  class="btn btn-default" href="<?=base_url()?>Admin/addCharges"><i class="fa fa-plus"></i> Create</a> <!--<a class="btn btn-default" href="#" data-toggle="modal" data-target="#gridSettings"><i class="fa fa-cog"></i> Settings</a> <a  class="btn btn-default bulk-edit-btn" href="#"><i class="fa fa-pencil"></i> Bulk Edit</a>--> 
											<a  class="btn btn-default multiple-delete" href="javascript:bulk_delete()"><i class="fa fa-trash-o"></i> Bulk</a> </li>
											
											<li>
												<div class="search_box"><select class="form-control" id="search_by" name="search_by">
													<option value="1">Services</option>
													<option value="2">Clinic</option>
													<option value="3" selected>Charges</option>
												</select><input type="text" class="form-control" id="search_text" name="search_text">
												<a id="search_data" class="search_icon" href="#" onClick="search_data()"><i class="fas fa-search"></i></a>
												<!--<input  style="margin-left:5px" type="button" id="search_data" name="search_text" class="btn btn-info btn-md custom_btn2" value="Search" onClick="search_data()">--></div>
											</li>
										</ul>
										
										
										
									</div>
								</div>
							</div>
						</div>
						<div class="col-md-12">
							<form id="list_tbl_frm" name="list_tbl_frm" method="post" action="<?=base_url()?>Common/delete_table_items">
								<div class="table_main">
									<table class="table dataTable no-footer">
										<thead>
											<tr>
												<th><input type="checkbox" class="select-on-check-all"  name="checkAll" id="checkAll" value="1"></th>
												<th>Charges</th>
												<th>Service</th>
												<th>Clinic</th>
												<th>Amount</th>
											</tr>
											<tr id="grid-view-filters" class="filters">
												<td>&nbsp;</td>
												<td><input type="text" class="form-control" onKeyUp="tblFilter(this.value,1)"></td>
												<td><input type="text" class="form-control" onKeyUp="tblFilter(this.value,2)"></td>
												<td><input type="text" class="form-control" onKeyUp="tblFilter(this.value,3)"></td>
												<td>&nbsp;</td>
												
											</tr>
										</thead>
										<tbody id="listBody">
											<?php
												foreach($all_charge_list as $record)
												{
												?>
												<tr>
													<td><input type="checkbox" id="search_filtered_items_id" name="search_filtered_items_id[]" value="<?=base64_encode($record->uid)?>"></td>
													<td><?=$record->item_name?></td>
													<td><?=$record->misc_name?></td>
													<td><?=$record->clinic_name?></td>
													<td><?=$record->amount?></td>
													<td><a class="update-product" href="<?=base_url()?>Admin/addCharges/<?=base64_encode($record->uid)?>" title="Update" ><i class="fa fa-pencil"></i></a> 
													<a  href="javascript:delete_list_items('<?=base64_encode($record->uid)?>')" title="Delete"><i class="fa fa-trash-o"></i></a> </td>
												</tr>
												<?php
												}
											?>
										</tbody>
									</table>
								</div>
							</form>
						</div>
					</div>
					</div>
					</section>
					</div>
					</div>
					<footer class="footer">
					<?php
					require_once('footer.php');
					?>
					</footer>
					</body> 
					<?php
					require_once('common_script.php');
					?>
					<script src="<?=js_url?>table-col-filter.js"></script> 
					<script>
					function delete_list_items(record_id)
					{
					var conf=confirm("Are you sure to delete");
					var redirect_url=btoa('Common/medicine_list');
					if(conf)
					window.location.assign('<?=base_url()?>Common/delete_list_items/'+record_id+'/medicine/uid/'+redirect_url);
					}
					$('#checkAll').click(function () {    
					$('input:checkbox').prop('checked', this.checked);    
					});
					function search_data()
					{
					var data=$("#search_text").val();
					var search_by=$("#search_by").val();
					$.post("<?=base_url()?>Common/search_charge",{'search_data':data,'search_by':search_by},function(data){
					$("#listBody").html(data);
					});
					}
					function  bulk_delete()
					{
					var conf=confirm("Are you sure to delete");
					var redirect_url=btoa('Common/medicine_list');
					if(conf)
					{
					$('#list_tbl_frm').append('<input id="redirect_url" name="redirect_url" type="hidden" value="'+redirect_url+'" />');
					$('#list_tbl_frm').append('<input id="table_name" name="table_name" type="hidden" value="medicine" />');
					$('#list_tbl_frm').append('<input id="delete_field" name="delete_field" type="hidden" value="uid" />');
					$("#list_tbl_frm").submit();
					}
					
					}
					</script>
					</html>    					