<?php
require_once('header.php');
?>
<head>
	<style>
		.wait_modal 
		{
			display:    none;
			position:   fixed;
			z-index:    15000;
			top:        0;
			left:       0;
			height:     100%;
			width:      100%;
			background: rgba( 255, 255, 255, .8 ) 
			url('http://i.stack.imgur.com/FhHRx.gif') 
			50% 50% 
			no-repeat;
		}
	</style>
	<style type="text/css">
	.box 
	{
		display: none;
	}
	.age
	{
		display: block;
	}
</style>
</head>
	<body class="bacgbg">
		<div id="wrap">
			<div id="main" class="clear-top">
				<header class="header_top_ber1">
				<?php
					require_once('top_head_section.php');
				?>
				</header>
				<section class="">
					<div class="container-fluid">
						<div class="row">
							<div class="col-md-12 mt-3">
								<div class="top_menu">
									<?php
										require_once('top_menu.php');
									?>
								</div>
							</div>
						</div>
					</div>
				</section>
				<section class="main_body mt-3">
					<div class="container-fluid">
						<div class="row">
							<div class="col-md-12">
								<div class="dash_box" style="height:auto;">
									<div class="row">
                                    <div class="col-md-12">
                                    <h5 style="color: #3170ff;">Manage Appointment</h5>
                                    </div>
										<div class="col-md-12">
											<form>
													<div class="form-group">
														<div class="row">
														<div class="col-md-2">
																<label class="col-form-label">Form Date</label>
																<div class="input-group date id_4">
																	<input type="text"  class="form-control" id="from_date" name="from_date" value="<?=date('d-m-Y')?>" required/>
																	<div class="input-group-addon input-group-append">
																		<div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar"></i> </div>
																	</div>
																</div>
														</div>
														<div class="col-md-2">
																<label class="col-form-label">To Date</label>
																<div class="input-group date id_4">
																	<input type="text"  class="form-control" id="to_date" name="to_date" value="<?=date('d-m-Y')?>" required/>
																	<div class="input-group-addon input-group-append">
																		<div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar"></i> </div>
																	</div>
																</div>
														</div>
															<div class="col-md-3">
															<label class="col-form-label">Appointment Mode</label>
																<select class="form-control" name="mode" id="mode" onchange="load_clinic()">
																	<option value="0" selected>--Select--</option>
																	<option value="1">Clinic</option>
																	<option value="2">Online</option>
															</select>
														</div>
														<div class="col-md-3">
															<label class="col-form-label">Clinic</label>
																<?php
																	$js = 'class="form-control" id="clinic" name="clinic" onchange="load_departments()"';
																	echo form_dropdown('clinic',$clinic_location,'1',$js);
																?>	
														</div>
						
														<div class="col-md-2">
														<label class="col-form-label">Department </label>
														<?php
															$departmentsName["-1"]="--Select--";
															$js = 'class="form-control" id="departmentsID" name="departmentsID" onchange="load_doctors()"';
															echo form_dropdown('departmentsID',$departmentsName,'-1',$js);
														?>
														</div>
													
													</div>
												</div>
												<div class="form-group">
													<div class="row">
														<div class="col-md-3">
															<label class="col-form-label">Doctor Name</label>
																<?php
																	$doctorsName["-1"]="--Select--";
																	$js = 'class="form-control" id="doctorsID" ';
																	echo form_dropdown('doctorsID',$doctorsName,'0',$js);
																?> 
														</div>
														
                                                        <div class="col-md-3">
                                                        <label class="col-form-label" style="width:100%;">&nbsp;</label>
                                                        <input type="button" id="search_data_btn" name="search_data_btn" onClick="search_data()" class="btn btn-info btn-md custom_btn2" value="Search">
                                                        </div>
														
													</div>
												</div>
											
												
											</form>
											<table class="table mt-3">
												<thead class="thead-dark">
													<tr>
														<th>Date </th>
														<th>Doctor </th>
														<th>Patient </th>
														<th>Mobile </th>
														<th>Action</th>
													</tr>
												</thead>
												<tbody id="table_body_data">
													<tr>
														<td colspan="5">Date not available</td>
													</tr>
												</tbody>
											</table>
  										</div>
									
									</div>
								</div>
							</div>
						</div>
					</div>
				
				</section>
			<!--------------------Modal form------------------------>
			<div class="modal" id="patient_search_list_modal" tabindex="-1" role="dialog">
				<div class="modal-dialog" role="document">
					<div class="modal-content">
						<div class="modal-header">
							<h5 class="modal-title">Patients Search</h5>
							<button type="button" class="close" data-dismiss="modal" aria-label="Close">
								<span aria-hidden="true">&times;</span>
							</button>
						</div>
						<div class="modal-body">
							<div class="row" style="margin-bottom:20px">
								<div class="col-md-6">
									<label class="col-form-label">Name</label>
									<input class="form-control" type="text" id="search_patient_name" name="search_patient_name" value="" onKeyUp="patient_search_data()">
								</div>
								<div class="col-md-6">
									<label class="col-form-label">Mobile</label>
									<input class="form-control" type="text" id="search_patient_mobile" name="search_patient_mobile" value="" onKeyUp="patient_search_data()">
								</div>
							</div>
							
							<table class="table table-hover">
								<thead>
									<tr>
										<th>ID#</th>
										<th>OLD ID#</th>
										<th>Name</th>
										<th>Mobile</th>
									</tr>
								</thead>
								<tbody id="patients_name_list_tbl_body">
									
								</tbody>
							</table>        
							
						</div>
						<div class="modal-footer">
							<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
						</div>
					</div>
				</div>
			</div>
				<!--------------------Modal Calender------------------------>
			<div class="modal" id="schedule_modal" tabindex="-1" role="dialog">
				<div class="modal-dialog" role="document">
					<div class="modal-content">
					
						<div class="modal-body">
							<div class="row" style="margin-bottom:20px">
								<div id="calendar"></div>
								
							</div>
							
							       
							
						</div>
						
					</div>
				</div>
			</div>
			<div class="wait_modal" id="wait_div"><!-- Place at bottom of page -->
				<p>Please Wait...</p>
			</div>
			<!--------------------Modal form------------------------>				
			</div>
		</div>
		<footer class="footer">
			<div class="container">
				<div class="row">
					<div class="col-md-12 cpyright-txt">
						<ul class="list-inline">
							<li> <a href="#">Terms &amp; Condition</a> | <a href="#">Privacy Policy</a> | </li>
							<li> © 2021. All Right Reserved. Powered by: <a href="http://infonetics.in/" style="color:#ffc107">Infonetics</a> </li>
						</ul>
					</div>
				</div>
			</div>
		</footer>
	</body>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.9.0/moment-with-locales.min.js"></script>
	<script src="<?=js_url?>bootstrap-datetimepicker.min.js"></script>
	<script src="<?=js_url?>demo.js"></script>
	<script src="<?=js_url?>flaunt.js"></script>
	<script>
		$(document).ready(function(){
			$('input[type="radio"]').click(function(){
				var inputValue = $(this).attr("value");
				var targetBox = $("." + inputValue);
				if(document.getElementById('ageradio').checked)
				{
					$("#ageflag").val(1);
				}
				else if(document.getElementById('dobradio').checked) 
				{
					$("#ageflag").val(2);
				}
				$(".box").not(targetBox).hide();
				$(targetBox).show();
			});
			
		//	$("#search_data").hide();
			
		});
		function search_data()
		{
			var clinic=$("#clinic").val();
			var doctor_id=$("#doctorsID").val();
			var from_date=$("#from_date").val();
			var to_date=$("#to_date").val();
			$.post("<?=base_url()?>Appointment/get_data",{clinic:clinic,doctor_id:doctor_id,from_date:from_date,to_date:to_date},function(data)
			{	
				$("#table_body_data").html(data);
			});

		}
		function set_present(appoint_id)
		{
			
			$.post("<?=base_url()?>Appointment/set_present",{appoint_id:appoint_id},function(data)
			{	
				var clinic=$("#clinic").val();
				var doctor_id=$("#appo_doctors").val();
				var from_date=$("#from_date").val();
				var to_date=$("#to_date").val();
				$.post("<?=base_url()?>Appointment/get_data",{clinic:clinic,doctor_id:doctor_id,from_date:from_date,to_date:to_date},function(data)
				{	
					$("#table_body_data").html(data);
				});
			});	
		}
		function get_doctors(dept_id)
		{
			$.post("<?=base_url()?>Common/get_departmental_doctors",{department:dept_id},function(data)
			{	
				$("#appo_doctors").html(data);
			});	
		}
		function load_departments()
		{
			var clinic_id=$("#clinic").val();
			$.post("<?=base_url()?>Common/load_departments",{'clinic_id':clinic_id},function(data){
			$("#departmentsID").html(data);
			});
		}
		function load_departments_appo()
		{
			
			var clinic_id=$("#appo_clinic").val();
			$.post("<?=base_url()?>Common/load_departments",{'clinic_id':clinic_id},function(data){
			$("#appo_departmentsID").html(data);
			});
		}
		
		function load_clinic_appo()
		{
			var mode_id=$("#appo_mode").val();
			if(mode_id==1)
			{
				var category_id=1;
			}	
			if(mode_id==2)
			{
				var category_id=0;
			}
			
				$.post("<?=base_url()?>Common/load_clinic",{'category_id':category_id},function(data){
				$("#appo_clinic").html(data);
				});
			if(mode_id==2)
			{
				
				$.post("<?=base_url()?>Common/load_departments",{'clinic_id':0},function(data){
				$("#appo_departmentsID").html(data);
				});
			}		
				
			
		}
		function load_clinic()
		{
			var mode_id=$("#mode").val();
			if(mode_id==1)
			{
				var category_id=1;
			}	
			if(mode_id==2)
			{
				var category_id=0;
			}
			
				$.post("<?=base_url()?>Common/load_clinic",{'category_id':category_id},function(data){
				$("#clinic").html(data);
				});
			if(mode_id==2)
			{
				
				$.post("<?=base_url()?>Common/load_departments",{'clinic_id':0},function(data){
				$("#departmentsID").html(data);
				});
			}		
				
			
		}		
						
				
		function load_doctors()
		{
			var clinic_id=$("#clinic").val();
			var department_id=$("#departmentsID").val();
			if(department_id!=-1)
			{
				$.ajax({
				  type: "POST",
				  url: '<?=base_url()?>Common/get_doctors',
				  data: {'clinic_id':clinic_id,'department_id':department_id},
				  success: function(data)
							{	
								$("#doctorsID").html(data);
							}
				});
			}	
			
		}
		function load_doctors_appo()
		{
			var clinic_id=$("#appo_clinic").val();
			var department_id=$("#appo_departmentsID").val();
			if(department_id!=-1)
			{
				$.ajax({
				  type: "POST",
				  url: '<?=base_url()?>Common/get_doctors',
				  data: {'clinic_id':clinic_id,'department_id':department_id},
				  success: function(data)
							{	
								$("#appo_doctorsID").html(data);
							}
				});
			}	
			
		}
		function set_pid_field(ptype)
		{
			if(ptype==2)
			{
				$("#pid").prop('readonly',false);
				$("#pname").prop('readonly','readonly');
				//$("#search_data").show();
			}
			else
			{
				$("#pid").prop('readonly','readonly');
				$("#pname").prop('readonly',false);
				//$("#search_data").hide();
			}

		}
		function get_patient_name(pid)
		{
			if(pid.length>0)
			{
				$.ajax({
				  type: "POST",
				  url: '<?=base_url()?>Appointment/get_patient_details',
				  data: {'pid':pid},
				  success: function(data)
						{	
							var jsdata=eval('('+data+')');
							$('#pname').val(jsdata.patient_name);
							$('#gender').val(jsdata.gender);
							$('#mobile').val(jsdata.mobile);							
							$('#dob').val(jsdata.dob);							
							$('#age').val(jsdata.age);							
							$('#alter_mobile').val(jsdata.alternative_no);							
							$('#email_id').val(jsdata.email_id);							
							$('#city').val(jsdata.city);							
							$('#pin').val(jsdata.pin);							
							$('#country_code').val(jsdata.country);							
							
						}
				});	
			}
		}
		function clear_search_data_table()
		{
			$("#patients_name_list_tbl_body").html('');
			$("#search_patient_name").val('');
			$("#search_patient_mobile").val('');	
		}
	function patient_search_data()
	{
		var patient_id="";
		var patient_name=$("#search_patient_name").val();
		var mobile=$("#search_patient_mobile").val();
		var param_flag=2;
		$("#patients_name_list_tbl_body").html('');
		if(patient_name.length>=3 || mobile.length>=5)
		{
			$('#wait_div').show();
			$.post("<?=base_url()?>Billing/get_patient_name_list_using_filter",{patient_id:patient_id,patient_name:patient_name,mobile:mobile,param_flag:param_flag},function(data)
			{	
				$('#wait_div').hide();
				$("#patients_name_list_tbl_body").html(data);
			});
		}
	
	}
	function select_patient_from_list(pid,pname,psexage,pmobile,issetPatient)
	{
		$('#pid').val(pid);
		$('#isset_patient_flag').val(issetPatient);
		$('#pid').focus();
	}		
		<?php
		if(isset($_REQUEST['stat']) && ($_REQUEST['stat']=="105"))
		{
			echo "alert('Data Saved')";
		}
		?>	
	</script>
</html>