<!DOCTYPE html>    
<html>    
<head>    
    <title>MedExpert</title>    
   <script src="https://kit.fontawesome.com/cfe2f4d7d5.js" crossorigin="anonymous"></script>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
<link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;700&display=swap" rel="stylesheet">
<link href="<?=css_url?>style.css" rel="stylesheet">
<link href="<?=css_url?>menu.css" rel="stylesheet">
    </head>    
<body class="bacgbg">  
<div id="wrap">
  <div id="main" class="clear-top">
    <header class="header_top_ber1">
      <div class="container-fluid">
        <div class="row">
          <div class="col-md-4">
            <div class="company_text">Flemming Hospital</div>
          </div>
           <div class="col-md-4 text-center">
            <div class="logo_box"><a href="index.php"><img src="<?=images_url?>logo-3.png" alt="" width="150" height="50"></a></div>
          </div>
          <div class="col-md-4 text-right">
          <div class="dropdown top_drop">
    <a href="#" class="dropdown-toggle " data-toggle="dropdown">
    <ul><li> John Doe<br/>
      <span>Admin</span></li><li><img src="<?=images_url?>user.png" width="30" height="30" alt=""></li>
    
    </ul>
     
    </a>
    <div class="dropdown-menu">
      <a class="dropdown-item" href="#">Logout</a>
      <a class="dropdown-item" href="#">Settings</a>
      <div class="dropdown-divider"></div>
      <a class="dropdown-item" href="#">Another link</a>
    </div>
  </div>
          </div>
        </div>
      </div>
    </header>
    
    <section class="">
  <div class="container-fluid">
    <div class="row">
    
        <div class="col-md-12 mt-3">
    <div class="top_menu">
    <div class="row">
    <div class="col-md-2  pl-5">
    <div class="dropdown menu_drop">
    <a href="#" class="btn btn-info dropdown-toggle " data-toggle="dropdown">
    <ul><li>Module</li>
    
    </ul>
     
    </a>
    <div class="dropdown-menu">
	<?php
	foreach($usersModule as $record)
	{
	?>
      <a class="dropdown-item" href="<?=base_url()?>Gateway\<?=strtolower($record->module_name)?>_dashboard"><?=$record->module_name?></a>
	<?php
	}
	?>
    </div>
  </div>
    </div>
      <div class="col-md-10 ">
      
        <nav class="nav custom_menu   clearfix">
          <ul class="nav-list">
            <li class="menu-item"><a href="#">Home</a></li>
            <li class="menu-item"><a href="#">INFORMATION</a>
              <ul class="sub-menu">
                <li class="menu-item "><a href="#">Sub menu 1</a></li>
                <li class="menu-item "><a href="#">Sub menu 2</a></li>
                <li class="menu-item "><a href="#">Sub menu 3</a></li>
                <li class="menu-item "><a href="#">Sub menu 4</a></li>
                <li class="menu-item "><a href="#">Sub menu 5</a></li>
                <li class="menu-item "><a href="#">Sub menu 6</a></li>
              </ul>
            </li>
            <li class="menu-item"><a href="#">Merit List</a></li>
            <li class="menu-item"><a href="#">Calling List</a></li>
			 <li class="menu-item"><a href="#">Notices</a></li>
          </ul>
          
        </nav>
      </div>
      </div>
      </div>
      </div>
    </div>
  </div>
</section>
    <section class="main_body ">
      <div class="container-fluid">
        <div class="row">
          <div class="col-md-12">
            <div class="breadcrumb-line" >
              <ul class="breadcrumb">
                <li><a href="#">Module</a></li>
                <li ><a href="#">Manage Products</a></li>
              </ul>
            </div>
          </div>
          <div class="col-md-12">
            <div class="block">
              <div class="well text-left">
                <div id="w1" class="btn-group"> <a  class="btn btn-default" href="#"><i class="fa fa-plus"></i> Create</a> <a class="btn btn-default" href="#" data-toggle="modal" data-target="#gridSettings"><i class="fa fa-cog"></i> Settings</a> <a  class="btn btn-default bulk-edit-btn" href="#"><i class="fa fa-pencil"></i> Bulk Edit</a> <a  class="btn btn-default multiple-delete" href="#"><i class="fa fa-trash-o"></i> Bulk Delete</a> </div>
              </div>
            </div>
          </div>
           <div class="col-md-12">
           <div class="table_main">
          <table class="table dataTable no-footer">
            <thead>
              <tr>
                <th><input type="checkbox" class="select-on-check-all" name="selection_all" value="1"></th>
                <th><a class="sorting" href="#">Name</a></th>
                <th><a class="sorting" href="#">Model</a></th>
                <th>Categories</th>
                <th><a class="sorting" href="#" >Quantity</a></th>
                <th><a class="sorting" href="#">Price</a></th>
                <th><a class="sorting" href="#">Status</a></th>
                <th class="action-column">&nbsp;</th>
              </tr>
              <tr id="grid-view-filters" class="filters">
                <td>&nbsp;</td>
                <td><input type="text" class="form-control" name="ProductSearch[name]"></td>
                <td><input type="text" class="form-control" name="ProductSearch[model]"></td>
                <td><select class="form-control" name="ProductSearch[categories]">
                    <option value=""></option>
                    <option value="">--Select--</option>
                    <option value="1">Desktops</option>
                    <option value="2">Laptops &amp; Notebooks</option>
                    <option value="3">Camera</option>
                  </select></td>
                <td><input type="text" class="form-control" name="ProductSearch[quantity]"></td>
                <td><input type="text" class="form-control" name="ProductSearch[price]"></td>
                <td><select class="form-control" name="ProductSearch[status]">
                    <option value=""></option>
                    <option value="1">Active</option>
                    <option value="0">Inactive</option>
                  </select></td>
                <td>&nbsp;</td>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td><input type="checkbox" name="selection[]" value="1"></td>
                <td>Apple Cinema 20"</td>
                <td>Apple Cinema 20" Model</td>
                <td>Desktops</td>
                <td>10</td>
                <td>$10.00</td>
                <td><span id="product-status-1" class="label label-success">Active</span></td>
                <td><a class="view-product" href="#" title="View"><i class="fa fa-eye"></i></a> <a class="update-product" href="#" title="Update" ><i class="fa fa-pencil"></i></a> <a  href="#" title="Delete"><i class="fa fa-trash-o"></i></a> <a href="#" title="Manage Attributes" ><i class="fa fa-list"></i></a> <a href="#" title="Manage Options"><i class="fa fa-list-ul"></i></a></td>
              </tr>
              <tr>
                <td><input type="checkbox" name="selection[]" value="1"></td>
                <td>Apple Cinema 20"</td>
                <td>Apple Cinema 20" Model</td>
                <td>Desktops</td>
                <td>10</td>
                <td>$10.00</td>
                <td><span id="product-status-1" class="label label-success">Active</span></td>
                <td><a class="view-product" href="#" title="View"><i class="fa fa-eye"></i></a> <a class="update-product" href="#" title="Update" ><i class="fa fa-pencil"></i></a> <a  href="#" title="Delete"><i class="fa fa-trash-o"></i></a> <a href="#" title="Manage Attributes" ><i class="fa fa-list"></i></a> <a href="#" title="Manage Options"><i class="fa fa-list-ul"></i></a></td>
              </tr>
              <tr>
                <td><input type="checkbox" name="selection[]" value="1"></td>
                <td>Apple Cinema 20"</td>
                <td>Apple Cinema 20" Model</td>
                <td>Desktops</td>
                <td>10</td>
                <td>$10.00</td>
                <td><span id="product-status-1" class="label label-success">Active</span></td>
                <td><a class="view-product" href="#" title="View"><i class="fa fa-eye"></i></a> <a class="update-product" href="#" title="Update" ><i class="fa fa-pencil"></i></a> <a  href="#" title="Delete"><i class="fa fa-trash-o"></i></a> <a href="#" title="Manage Attributes" ><i class="fa fa-list"></i></a> <a href="#" title="Manage Options"><i class="fa fa-list-ul"></i></a></td>
              </tr>
              <tr>
                <td><input type="checkbox" name="selection[]" value="1"></td>
                <td>Apple Cinema 20"</td>
                <td>Apple Cinema 20" Model</td>
                <td>Desktops</td>
                <td>10</td>
                <td>$10.00</td>
                <td><span id="product-status-1" class="label label-success">Active</span></td>
                <td><a class="view-product" href="#" title="View"><i class="fa fa-eye"></i></a> <a class="update-product" href="#" title="Update" ><i class="fa fa-pencil"></i></a> <a  href="#" title="Delete"><i class="fa fa-trash-o"></i></a> <a href="#" title="Manage Attributes" ><i class="fa fa-list"></i></a> <a href="#" title="Manage Options"><i class="fa fa-list-ul"></i></a></td>
              </tr>
              <tr>
                <td><input type="checkbox" name="selection[]" value="1"></td>
                <td>Apple Cinema 20"</td>
                <td>Apple Cinema 20" Model</td>
                <td>Desktops</td>
                <td>10</td>
                <td>$10.00</td>
                <td><span id="product-status-1" class="label label-success">Active</span></td>
                <td><a class="view-product" href="#" title="View"><i class="fa fa-eye"></i></a> <a class="update-product" href="#" title="Update" ><i class="fa fa-pencil"></i></a> <a  href="#" title="Delete"><i class="fa fa-trash-o"></i></a> <a href="#" title="Manage Attributes" ><i class="fa fa-list"></i></a> <a href="#" title="Manage Options"><i class="fa fa-list-ul"></i></a></td>
              </tr>
              <tr>
                <td><input type="checkbox" name="selection[]" value="1"></td>
                <td>Apple Cinema 20"</td>
                <td>Apple Cinema 20" Model</td>
                <td>Desktops</td>
                <td>10</td>
                <td>$10.00</td>
                <td><span id="product-status-1" class="label label-success">Active</span></td>
                <td><a class="view-product" href="#" title="View"><i class="fa fa-eye"></i></a> <a class="update-product" href="#" title="Update" ><i class="fa fa-pencil"></i></a> <a  href="#" title="Delete"><i class="fa fa-trash-o"></i></a> <a href="#" title="Manage Attributes" ><i class="fa fa-list"></i></a> <a href="#" title="Manage Options"><i class="fa fa-list-ul"></i></a></td>
              </tr>
              <tr>
                <td><input type="checkbox" name="selection[]" value="1"></td>
                <td>Apple Cinema 20"</td>
                <td>Apple Cinema 20" Model</td>
                <td>Desktops</td>
                <td>10</td>
                <td>$10.00</td>
                <td><span id="product-status-1" class="label label-success">Active</span></td>
                <td><a class="view-product" href="#" title="View"><i class="fa fa-eye"></i></a> <a class="update-product" href="#" title="Update" ><i class="fa fa-pencil"></i></a> <a  href="#" title="Delete"><i class="fa fa-trash-o"></i></a> <a href="#" title="Manage Attributes" ><i class="fa fa-list"></i></a> <a href="#" title="Manage Options"><i class="fa fa-list-ul"></i></a></td>
              </tr>
              <tr>
                <td><input type="checkbox" name="selection[]" value="1"></td>
                <td>Apple Cinema 20"</td>
                <td>Apple Cinema 20" Model</td>
                <td>Desktops</td>
                <td>10</td>
                <td>$10.00</td>
                <td><span id="product-status-1" class="label label-success">Active</span></td>
                <td><a class="view-product" href="#" title="View"><i class="fa fa-eye"></i></a> <a class="update-product" href="#" title="Update" ><i class="fa fa-pencil"></i></a> <a  href="#" title="Delete"><i class="fa fa-trash-o"></i></a> <a href="#" title="Manage Attributes" ><i class="fa fa-list"></i></a> <a href="#" title="Manage Options"><i class="fa fa-list-ul"></i></a></td>
              </tr>
              <tr>
                <td><input type="checkbox" name="selection[]" value="1"></td>
                <td>Apple Cinema 20"</td>
                <td>Apple Cinema 20" Model</td>
                <td>Desktops</td>
                <td>10</td>
                <td>$10.00</td>
                <td><span id="product-status-1" class="label label-success">Active</span></td>
                <td><a class="view-product" href="#" title="View"><i class="fa fa-eye"></i></a> <a class="update-product" href="#" title="Update" ><i class="fa fa-pencil"></i></a> <a  href="#" title="Delete"><i class="fa fa-trash-o"></i></a> <a href="#" title="Manage Attributes" ><i class="fa fa-list"></i></a> <a href="#" title="Manage Options"><i class="fa fa-list-ul"></i></a></td>
              </tr>
            </tbody>
          </table>
          </div>
          </div>
        </div>
      </div>
    </section>
  </div>
</div>
<footer class="footer">
  <div class="container">
    <div class="row">
      <div class="col-md-12 cpyright-txt">
        <ul class="list-inline">
          <li> <a href="#">Terms &amp; Condition</a> | <a href="#">Privacy Policy</a> | </li>
          <li> © 2021. All Right Reserved. Powered by: <a href="http://infonetics.in/" style="color:#ffc107">Infonetics</a> </li>
        </ul>
      </div>
    </div>
  </div>
</footer>
</body> 
 <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <script src="<?=js_url?>flaunt.js"></script>
</html>    