<?php
require_once('header.php');
?>
<head>
<link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css" rel="stylesheet"/>
</head>
<body class="bacgbg">
<div id="wrap">
  <div id="main" class="clear-top">
    <header class="header_top_ber1">
      <?php
	require_once('top_head_section.php');
	?>
    </header>
    <section class="">
      <div class="container-fluid">
        <div class="row">
          <div class="col-md-12 mt-3">
            <div class="top_menu">
              <?php
	require_once('top_menu.php');
	?>
            </div>
          </div>
        </div>
      </div>
    </section>
    <section class="main_body ">
    <div class="container-fluid">
      <div class="row">
        <div class="col-md-12 pt-4 ">
          <div class="dash_box" style="height:auto;">
            <form id="login" method="post" action="<?php echo site_url('Diagnostics/add_investigation_record');?>">
            <div class="row">
            <div class="col-md-5">
              <div class="form-group">
                <div class="row">
                  <div class="col-md-6">
                    <label class="col-form-label">Test</label>
                    <input class="form-control" type="text" id="test" name="test" value="<?=(isset($investigation_record)?$investigation_record->test_name:'')?>">
                    <input class="form-control" type="hidden" id="test_enc_id" name="test_enc_id" value="<?=(isset($investigation_record)?base64_encode($investigation_record->uid):'')?>">
                    <?php echo form_error('test'); ?> </div>
                  <div class="col-md-6">
                    <label class="col-form-label">Abbreviations</label>
                    <input class="form-control" type="text" id="abbreviations" name="abbreviations" value="<?=(isset($investigation_record)?$investigation_record->abbr:'')?>">
                    <?php echo form_error('abbreviations'); ?> </div>
                </div>
              </div>
              <div class="form-group">
                <div class="row">
                  <div class="col-md-6">
                    <label class="col-form-label">Group</label>
                      <select  class="form-control" id="group" name="group">
                        <option value="-1">--Select--</option>
						<option value="1" <?=(isset($investigation_record) && $investigation_record->group_name=='1')?'selected':'';?>>Blood</option>
						<option value="2" <?=(isset($investigation_record) && $investigation_record->group_name=='2')?'selected':'';?>>Urine</option>
						<option value="3" <?=(isset($investigation_record) && $investigation_record->group_name=='3')?'selected':'';?>>Image</option>
						<option value="4" <?=(isset($investigation_record) && $investigation_record->group_name=='4')?'selected':'';?>>Others</option>
                      </select>
                    <?php echo form_error('group'); ?> </div>
                  <div class="col-md-6">
                    <div class="form-group">
                      <label class="col-form-label">Department</label>
                      <select  class="form-control" id="department" name="department">
							<option value="-1">--Select--</option>
							<option value="1" <?=(isset($investigation_record) && $investigation_record->department=='1')?'selected':'';?>>Biochemistry</option>
							<option value="2" <?=(isset($investigation_record) && $investigation_record->department=='2')?'selected':'';?>>Clinical Pathology</option>
							<option value="3" <?=(isset($investigation_record) && $investigation_record->department=='3')?'selected':'';?>>Endrocrinology</option>
							<option value="4" <?=(isset($investigation_record) && $investigation_record->department=='4')?'selected':'';?>>Haematology</option>
							<option value="5" <?=(isset($investigation_record) && $investigation_record->department=='5')?'selected':'';?>>Microbiology</option>
							<option value="6" <?=(isset($investigation_record) && $investigation_record->department=='6')?'selected':'';?>>Serology</option>
							<option value="7" <?=(isset($investigation_record) && $investigation_record->department=='7')?'selected':'';?>>Histopathology</option>
							<option value="8" <?=(isset($investigation_record) && $investigation_record->department=='8')?'selected':'';?>>Cytopathology</option>
							<option value="9" <?=(isset($investigation_record) && $investigation_record->department=='9')?'selected':'';?>>ANDROLOGY</option>
							<option value="10" <?=(isset($investigation_record) && $investigation_record->department=='10')?'selected':'';?>>SONOLOGY</option>
							<option value="11" <?=(isset($investigation_record) && $investigation_record->department=='11')?'selected':'';?>>SPECIAL BIOCHEMISTRY</option>
							<option value="12" <?=(isset($investigation_record) && $investigation_record->department=='12')?'selected':'';?>>Radiology</option>
							<option value="13" <?=(isset($investigation_record) && $investigation_record->department=='13')?'selected':'';?>>Cardiac Physiology</option>	
                      </select>
                    </div>
                  </div>
                </div>
              </div>
              <div class="form-group">
                <div class="row">
                  <div class="col-md-6">
                    <label class="col-form-label">Patient Tag</label>
                    <select  class="form-control" id="patient_tag" name="patient_tag">
                      <option value="-1">--Select--</option>
                      <option value="1" <?=(isset($investigation_record) && $investigation_record->patient_tag=='1')?'selected':'';?>>Yes</option>
                      <option value="2" <?=(isset($investigation_record) && $investigation_record->patient_tag=='2')?'selected':'';?>>No</option>
                    </select>
                  </div>
                  <div class="col-md-6">
                    <label class="col-form-label">Item Code</label>
                    <input class="form-control" type="text" id="item_code" name="item_code" value="<?=(isset($investigation_record)?$investigation_record->ItemID:'')?>">
				</div>				  
                </div>
              </div>
              <div class="form-group">
                <div class="row">
                  <div class="col-md-6">
                    <label class="col-form-label">Criteria</label>
                    <input class="form-control" type="text" id="criteria" name="criteria" value="<?=(isset($investigation_record)?$investigation_record->criteria:'')?>">
                    <?php echo form_error('criteria'); ?> </div>
                  <div class="col-md-6">
                    <label class="col-form-label">Limitation</label>
                    <input class="form-control" type="text" id="limitation" name="limitation" value="<?=(isset($investigation_record)?$investigation_record->limitation:'')?>">
                    <?php echo form_error('limitation'); ?> </div>
                </div>
              </div>
              <div class="form-group">
                <div class="row">
                  <div class="col-md-6">
                    <label class="col-form-label">Specimen</label>
                    <select  class="form-control" id="specimen" name="specimen">
						<option value="-1">--Select--</option>
						<option value="1" <?=(isset($investigation_record) && $investigation_record->specimen=='1')?'selected':'';?>>Serum</option>
						<option value="2" <?=(isset($investigation_record) && $investigation_record->specimen=='2')?'selected':'';?>>Plasma</option>
						<option value="3" <?=(isset($investigation_record) && $investigation_record->specimen=='3')?'selected':'';?>>Urine</option>
						<option value="4" <?=(isset($investigation_record) && $investigation_record->specimen=='4')?'selected':'';?>>Stool</option>
						<option value="5" <?=(isset($investigation_record) && $investigation_record->specimen=='5')?'selected':'';?>>Semen</option>
						<option value="6" <?=(isset($investigation_record) && $investigation_record->specimen=='6')?'selected':'';?>>Cells</option>
						<option value="7" <?=(isset($investigation_record) && $investigation_record->specimen=='7')?'selected':'';?>>Sputum</option>
						<option value="8" <?=(isset($investigation_record) && $investigation_record->specimen=='8')?'selected':'';?>>Swab</option>
						<option value="9" <?=(isset($investigation_record) && $investigation_record->specimen=='9')?'selected':'';?>>Not Applicable</option>
                    </select>
                  </div>
                  <div class="col-md-6">
                    <label class="col-form-label">Category</label>
                    <select  class="form-control" id="category" name="category">
                      <option value="select">--Select--</option>
                      <option value="1" <?=(isset($investigation_record) && $investigation_record->category=='1')?'selected':'';?>>Lab</option>
                      <option value="2" <?=(isset($investigation_record) && $investigation_record->category=='2')?'selected':'';?>>Non Lab</option>
                    </select>
                  </div>
                </div>
              </div>
              <div class="form-group">
                <div class="row">
                  <div class="col-md-6">
                    <label class="col-form-label">Duration</label>
                    <input class="form-control" type="text" id="duration" name="duration" value="<?=(isset($investigation_record)?$investigation_record->duration:'')?>">
                    <?php echo form_error('duration'); ?> </div>
                  <div class="col-md-6">
                    <label class="col-form-label">In House</label>
                    <select  class="form-control" id="in_house" name="in_house">
                      <option value="-1">--Select--</option>
                      <option value="1" <?=(isset($investigation_record) && $investigation_record->in_house=='1')?'selected':'';?>>Yes</option>
                      <option value="2" <?=(isset($investigation_record) && $investigation_record->in_house=='2')?'selected':'';?>>No</option>
                    </select>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-md-4">
            <form>
              <div class="form-group">
                <div class="row">
                  <div class="col-md-9">
                    <div class="total_searchbox_new" style="width:100%;">
                      <ul class="navbar-nav mr-auto">
                        <li class="nav-item dropdown">
                          <input class="form-control" id="parameter" name="parameter" type="text" placeholder="Search Patameter" onKeyUp="loadPatameterData()">
                          <div class="record_search" id="parameter_list"> </div>
                        </li>
                      </ul>
                    </div>
                    <input type="hidden" id="parameter_id_arr" name="parameter_id_arr" />
                  </div>
                  <div class="col-md-3"> <a href="javascript:void(0)" data-toggle="modal" data-target="#add_patameter_modal"><i class="far fa-plus-square" style="font-size: 34px;"></i></a> </div>
                  <div class="col-md-12">
                    <table class="table mt-3" id="parameter_table">
                      <thead class="thead-dark">
                        <tr>
                          <th>Id</th>
                          <th>Patameter</th>
                          <th>Action</th>
                        </tr>
                      </thead>
                      <tbody id="parameter_table_body">
                        <?php
					if(isset($investigation_parameter_details))
					{
						foreach($investigation_parameter_details as $record)
						{
						?>
                        <tr>
                          <td><?=$record->parameter_uid?></td>
                          <td><?=$record->parameter?></td>
                          <td><a href="javascript:void(0)" onClick="deleteRow(this)"><i class="fa fa-trash" aria-hidden="true"></i></a></td>
                        </tr>
                        <?php
						$temp_parameter_arr[]=$record->parameter_uid;
						}
					}
					?>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>
            </form>
          </div>
          <div class="col-md-3 switch_section">
            <div class="row">
              <div class="col-md-8"> Show in App </div>
              <div class="col-md-4">
                <label class="switch">
                  <input type="checkbox" id="show_app" name="show_app" value="1" <?=(isset($investigation_record) && $investigation_record->app_flag=='1')?'checked':'';?>>
                  <span class="slider round"></span> </label>
              </div>
              <div class="col-md-8"> Active </div>
              <div class="col-md-4">
                <label class="switch">
                  <input type="checkbox" id="active_flag" name="active_flag" value="1" <?=(isset($investigation_record) && $investigation_record->show_chk=='1')?'checked':'';?>>
                  <span class="slider round"></span> </label>
              </div>
            </div>
          </div>
          <div class="col-md-12 pt-2 text-right">
            <input type="submit" name="submit" class="btn btn-info btn-md custom_btn2" value="Submit">
          </div>
        </div>
        </form>
      </div>
    </div>
  </div>
</div>
</section>
</div>
<!---------modal----------->
<div class="modal" id="add_patameter_modal" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <form method="post" action="<?=base_url()?>Common/add_generic_name">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">Add Patameter Name</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-md-12">
              <label class="col-form-label">Patameter Name</label>
              <input class="form-control" type="text" id="parameter_name" name="parameter_name" required>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
          <button type="submit" class="btn btn-primary">Save changes</button>
        </div>
      </div>
    </form>
  </div>
</div>
<!-----------------end modal----------->
</div>
<footer class="footer">
  <?php
require_once('footer.php');
?>
</footer>
</body>
<?php
require_once('common_script.php');
?>
<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>
<script>
function loadPatameterData()
{
	var search_text=$("#parameter").val();
	if(search_text=="")
		$("#parameter_list").html('');
	if(search_text.length>=2)
	{
		$("#parameter_list").show();
		$.post("<?=base_url()?>Diagnostics/fetch_parameter_list",{'text':search_text},function(data){
			
			$("#parameter_list").html(data);
		});
	}
	else	
	{
		$("#parameter_list").hide();
	}	
}

var parameter_id_arr=new Array();
function get_parameter(parameter_id,parameter_name)
{		
			var rowNo = document.getElementById("parameter_table").rows.length;
			var table = document.getElementById("parameter_table");
			var row = table.insertRow(rowNo);
			var cell1 = row.insertCell(0);
			var cell2 = row.insertCell(1);
			var cell3 = row.insertCell(2);
			cell1.innerHTML = parameter_id;
			cell2.innerHTML = parameter_name;
			cell3.innerHTML = '<a href="javascript:void(0)" onclick="deleteRow(this)"><i class="fa fa-trash" aria-hidden="true"></i></a>';
			$("#parameter_list").html('');
			$("#parameter_list").hide();
				for(i=1;i<=rowNo;i++)
				{
					parameter_id_arr[i-1]=document.getElementById("parameter_table").rows[i].cells[0].innerHTML;
				}

			$("#parameter_id_arr").val(parameter_id_arr.toString());
			$("#parameter_search_data").val('');			
}
function add_to_array()
{
	var parameter_id_arr=new Array();
	var rowNo = document.getElementById("parameter_table").rows.length;
	for(i=1;i<rowNo;i++)
	{
		parameter_id_arr[i-1]=document.getElementById("parameter_table").rows[i].cells[0].innerHTML;
	}

	$("#parameter_id_arr").val(parameter_id_arr.toString());
}
function deleteRow(btn) {
  var row = btn.parentNode.parentNode;
  row.parentNode.removeChild(row);
  add_to_array();
}
</script>
<?php
if(isset($_SESSION['success'])){
echo '<script>toastr.success("'.$_SESSION['success'].'","Success");</script>';
}

if(isset($investigation_parameter_details))
{//used for investigation parameter edit
	$parameter_id_arr=implode(",",$temp_parameter_arr);
	echo '<script>$("#parameter_id_arr").val("'.$parameter_id_arr.'")</script>';
}
?>
</html>