<?php
require_once('header.php');
?>
<head>
<link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css" rel="stylesheet"/>
</head>    
<body class="bacgbg">  
<div id="wrap">
  <div id="main" class="clear-top">
    <header class="header_top_ber1">
	<?php
	require_once('top_head_section.php');
	?>
    </header>
    
  <section class="">
  <div class="container-fluid">
    <div class="row">
    
        <div class="col-md-12 mt-3">
    <div class="top_menu">
	<?php
	require_once('top_menu.php');
	?>
	</div>
      </div>
    </div>
  </div>
</section>
    <section class="main_body ">
      <div class="container-fluid">
        <div class="row">
        <div class="col-md-12 pt-4 ">
        <div class="dash_box" style="height:auto;">
		<form id="login" method="post" action="<?php echo site_url('Diagnostics/add_parameter_record');?>">
		  <div class="row">
		  <div class="col-md-6">
                <div class="form-group">
                  <div class="row">
                    
                    <div class="col-md-6">
                    <label class="col-form-label">Name</label>
					<input class="form-control" type="text" id="parameter" name="parameter" value="<?=(isset($parameter_record)?$parameter_record->parameter:'')?>">
					<input class="form-control" type="hidden" id="enc_parameter_id" name="enc_parameter_id" value="<?=(isset($parameter_record)?base64_encode($parameter_record->uid):'')?>">
					
					<?php echo form_error('parameter'); ?>
                    </div>
                    
                     <div class="col-md-6">
                    <label class="col-form-label">Position</label>
					<input class="form-control" type="text"  id="position" name="position" value="<?=(isset($parameter_record)?$parameter_record->parameter_position:'')?>">
					<?php echo form_error('position'); ?>
                    </div>
                  </div>
                </div>
                <div class="form-group">
                  <div class="row">
                  <div class="col-md-6">
                    
                    <div class="form-group">
						<label class="col-form-label">Unit</label>
						<select  class="form-control" id="unit" name="unit">
						<option value="-1">--Select--</option>
						<option value="7" <?=(isset($parameter_record) && $parameter_record->parameter_unit=='7')?'selected':'';?>>/hpf</option>
						<option value="1" <?=(isset($parameter_record) && $parameter_record->parameter_unit=='1')?'selected':'';?>>g/dL</option>
						<option value="6" <?=(isset($parameter_record) && $parameter_record->parameter_unit=='6')?'selected':'';?>>IU/ml</option>
						<option value="3" <?=(isset($parameter_record) && $parameter_record->parameter_unit=='3')?'selected':'';?>>mg/dL</option>
						<option value="8" <?=(isset($parameter_record) && $parameter_record->parameter_unit=='8')?'selected':'';?>>Million</option>
						<option value="9" <?=(isset($parameter_record) && $parameter_record->parameter_unit=='9')?'selected':'';?>>Million / ml</option>
						<option value="4" <?=(isset($parameter_record) && $parameter_record->parameter_unit=='4')?'selected':'';?>>mmol/L</option>
						<option value="5" <?=(isset($parameter_record) && $parameter_record->parameter_unit=='5')?'selected':'';?>>ng/ml</option>
						<option value="2" <?=(isset($parameter_record) && $parameter_record->parameter_unit=='2')?'selected':'';?>>per%</option>				
						</select>
					</div>
                    </div>
                    <div class="col-md-6">
                    
                    <div class="form-group">
						<label class="col-form-label">Method</label>
						<select  class="form-control" id="method" name="method">
						<option value="1">--Select--</option>
						<option value="161" <?=(isset($parameter_record) && $parameter_record->parameter_method=='161')?'selected':'';?>>Method - ECL</option>
						<option value="155" <?=(isset($parameter_record) && $parameter_record->parameter_method=='155')?'selected':'';?>>Method - HPLC</option>
						<option value="162" <?=(isset($parameter_record) && $parameter_record->parameter_method=='162')?'selected':'';?>>Method-Jendrassik &amp; Grof</option>
						</select>
					</div>
                    </div>
                    
                  </div>
                </div>
                
                <div class="form-group">
                  <div class="row">
                    
                    <div class="col-md-6">
                    <label class="col-form-label">Instrument</label>
					<select  class="form-control" id="instrument" name="instrument">
						<option value="1">--Select--</option>
						<option value="159" <?=(isset($parameter_record) && $parameter_record->parameter_instrument=='159')?'selected':'';?>>Auto - Lab 200</option>
						<option value="156" <?=(isset($parameter_record) && $parameter_record->parameter_instrument=='156')?'selected':'';?>>Chem % X-Transasia</option>
						<option value="158" <?=(isset($parameter_record) && $parameter_record->parameter_instrument=='158')?'selected':'';?>>MINI VIDAS</option>
						<option value="157" <?=(isset($parameter_record) && $parameter_record->parameter_instrument=='157')?'selected':'';?>>Roche cobas e 411</option>
						<option value="160" <?=(isset($parameter_record) && $parameter_record->parameter_instrument=='160')?'selected':'';?>>VIDAS-bio-Merieux, France</option>
						</select>
                    </div>
                    
                     <div class="col-md-6">
                    <label class="col-form-label">Default Value</label>
					<input class="form-control" type="text" id="default_value" name="default_value" value="<?=(isset($parameter_record)?$parameter_record->parameter_value:'')?>">
                    </div>
                  </div>
                </div>
                
                <div class="form-group">
                  <div class="row">
                    
                     <div class="col-md-12">
                    <label class="col-form-label">Formula</label>
					<input class="form-control" type="text" id="formula" name="formula" value="<?=(isset($parameter_record)?$parameter_record->parameter_formula:'')?>">
                    </div>
                  </div>
                </div>
                
                <div class="col-md-12 switch_section pt-3">
            
            <div class="row">
              <div class="col-md-8">
              Show in App
              </div>
              <div class="col-md-4"> 
              <label class="switch">
  <input type="checkbox" id="show_app" name="show_app" value="1" <?=(isset($parameter_record) && $parameter_record->app_flag=='1')?'checked':'';?>>
  <span class="slider round"></span>
</label></div>

<div class="col-md-8">
              Active
              </div>
              <div class="col-md-4"> 
              <label class="switch">
  <input type="checkbox" id="active_flag" name="active_flag" value="1" <?=(isset($parameter_record) && $parameter_record->active_flag=='1')?'checked':'';?>>
  <span class="slider round"></span>
</label></div>
				<div class="col-md-8">
					Consultancy Priority
              </div>
				<div class="col-md-4"> 
              <label class="switch">
				  <input type="checkbox" id="consultancy_priority_flag" name="consultancy_priority_flag" value="1" <?=(isset($parameter_record) && $parameter_record->consultancy_priority_flag=='1')?'checked':'';?>>
				  <span class="slider round"></span>
				</label></div>

</div>              
          
          </div>
                          
          </div>
          <div class="col-md-6">
           
              <form>
                <div class="form-group">
                  <div class="row">
                  <div class="col-md-2">
                 <label class="col-form-label">Position</label>
					<input class="form-control" type="text" id="ref_position" name="ref_position" value="">
                  </div>
                   <div class="col-md-2">
                   <label class="col-form-label">Gender</label>
					<select  class="form-control" id="sex" name="sex">
						<option value="-1">--Select--</option>
						<option value="Female">Female </option>
						<option value="Male">Male</option>
						<option value="Transgender">Transgender</option>
					</select>
                  </div>
                  <div class="col-md-6">
                  <label class="col-form-label">Ref. Range</label>
					<input class="form-control" type="text" id="ref_range" name="ref_range" value="">
					
					<input class="form-control" type="hidden" id="reference_position_arr" name="reference_position_arr" value="">
					<input class="form-control" type="hidden" id="reference_sex_arr" name="reference_sex_arr" value="">
					<input class="form-control" type="hidden" id="ref_range_arr" name="ref_range_arr" value="">

                  </div>
                     <div class="col-md-2" style="padding-top: 31px;">
					<a href="javascript:void(0)" onclick="add_refrange_to_table()"><i class="far fa-plus-square" style="font-size: 34px;"></i></a>
                    </div>
                    <div class="col-md-12">
                    <table class="table mt-3" id="range_table">
                <thead class="thead-dark">
                  <tr>
                    <th>Position</th>
                    <th>Gender</th>
                    <th>Ref. Range</th>
                    <th>Action</th>
                   
                  </tr>
                </thead>
                <tbody id="range_table_body">				
				<?php
				if(!empty($parameter_refrange_details))
				{
					foreach($parameter_refrange_details as $record)
					{
					?>
					<tr>
					  <td><?=$record->position?></td>
					  <td><?=($record->ref_type==1)?"Female":(($record->ref_type==2)?"Male":"Transgender")?></td>
					  <td><?=$record->referance_range?></td>
					  <td><a href="javascript:void(0)" onClick="deleteRow(this)"><i class="fa fa-trash" aria-hidden="true"></i></a></td>
					</tr>
					<?php
					$temp_reference_position_arr[]=$record->position;
					$temp_reference_sex_arr[]=$record->ref_type;
					$temp_ref_range_arr[]=$record->referance_range;
					}
				}
				?>	
				</tbody>
              </table>
                    </div>
                    
                  </div>
                </div>
              </form>
          </div>
           
			<div class="col-md-12 pt-2 text-right">
			  <input type="submit" name="submit" class="btn btn-info btn-md custom_btn2" value="Submit">
			</div>
                 
           
		  </div>
		</form>		  
		  </div>
		  </div>
          
         
        </div>
      </div>
    </section>
  </div>
<!---------modal----------->
<!--
<div class="modal" id="add_generic_modal" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <form method="post" action="<?=base_url()?>Common/add_generic_name">
	<div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Add Generic Name</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="row">
			<div class="col-md-12">
				<label class="col-form-label">Generic Name</label>
				<input class="form-control" type="text" id="generic_name" name="generic_name" required>				
			</div>			
		</div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="submit" class="btn btn-primary">Save changes</button>
      </div>
    </div>
	</form>
  </div>
</div>
-->
<!-----------------end modal----------->
</div>
<footer class="footer">
<?php
require_once('footer.php');
?>
</footer>
</body> 
<?php
require_once('common_script.php');
?>
<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script> 
<script>
/*
function loadGenericData()
{
	var search_text=$("#generic_search_data").val();
	if(search_text=="")
		$("#generic_list").html('');
	if(search_text.length>=2)
	{
		$.post("<?=base_url()?>Common/fetch_generic_list",{'text':search_text},function(data){
			
			$("#generic_list").html(data);
		});
	}	
}
*/

var reference_position_arr=new Array();
var reference_sex_arr=new Array();
var ref_range_arr=new Array();
function add_refrange_to_table()
{		
			var rowNo = document.getElementById("range_table").rows.length;
			var table = document.getElementById("range_table");
			var row = table.insertRow(rowNo);
			var cell1 = row.insertCell(0);
			var cell2 = row.insertCell(1);
			var cell3 = row.insertCell(2);
			var cell4 = row.insertCell(3);
			cell1.innerHTML = $("#ref_position").val();
			cell2.innerHTML = $("#sex").val();
			cell3.innerHTML = $("#ref_range").val();
			cell4.innerHTML = '<a href="javascript:void(0)" onclick="deleteRow(this)"><i class="fa fa-trash" aria-hidden="true"></i></a>';
			$("#ref_position").html('');
			$("#ref_range").html('');

			for(i=1;i<=rowNo;i++)
			{
				reference_position_arr[i-1]=document.getElementById("range_table").rows[i].cells[0].innerHTML;
				//reference_sex_arr[i-1]=document.getElementById("range_table").rows[i].cells[1].innerHTML;
				if(document.getElementById("range_table").rows[i].cells[1].innerHTML=="Female")
					reference_sex_arr[i-1]=1;
				else if(document.getElementById("range_table").rows[i].cells[1].innerHTML=="Male")
					reference_sex_arr[i-1]=2;
				else if(document.getElementById("range_table").rows[i].cells[1].innerHTML=="Transgender")
					reference_sex_arr[i-1]=3;				
				else
					reference_sex_arr[i-1]=0;


				ref_range_arr[i-1]=document.getElementById("range_table").rows[i].cells[2].innerHTML;
			}				

				$("#reference_position_arr").val(reference_position_arr.toString());
				$("#reference_sex_arr").val(reference_sex_arr.toString());			
				$("#ref_range_arr").val(ref_range_arr.toString());
			
}
function add_to_array()
{
	var reference_position_arr=new Array();
	var reference_sex_arr=new Array();
	var ref_range_arr=new Array();
	var rowNo = document.getElementById("range_table").rows.length;
	for(i=1;i<rowNo;i++)
	{
		reference_position_arr[i-1]=document.getElementById("range_table").rows[i].cells[0].innerHTML;
		//reference_sex_arr[i-1]=document.getElementById("range_table").rows[i].cells[1].innerHTML;
		if(document.getElementById("range_table").rows[i].cells[1].innerHTML=="Female")
			reference_sex_arr[i-1]=1;
		else if(document.getElementById("range_table").rows[i].cells[1].innerHTML=="Male")
			reference_sex_arr[i-1]=2;
		else if(document.getElementById("range_table").rows[i].cells[1].innerHTML=="Transgender")
			reference_sex_arr[i-1]=3;		
		else
			reference_sex_arr[i-1]=0;

		ref_range_arr[i-1]=document.getElementById("range_table").rows[i].cells[2].innerHTML;
	}

		$("#reference_position_arr").val(reference_position_arr.toString());
		$("#reference_sex_arr").val(reference_sex_arr.toString());			
		$("#ref_range_arr").val(ref_range_arr.toString());

}
function deleteRow(btn) {
  var row = btn.parentNode.parentNode;
  row.parentNode.removeChild(row);
  add_to_array();
}
</script>
<?php
if(isset($_SESSION['success'])){
echo '<script>toastr.success("'.$_SESSION['success'].'","Success");</script>';
}

if(!empty($parameter_refrange_details))
{//used for parameter generic edit
	$reference_position_arr=implode(",",$temp_reference_position_arr);
	$reference_sex_arr=implode(",",$temp_reference_sex_arr);
	$ref_range_arr=implode(",",$temp_ref_range_arr);
	echo '<script>$("#reference_position_arr").val("'.$reference_position_arr.'")</script>';
	echo '<script>$("#reference_sex_arr").val("'.$reference_sex_arr.'")</script>';
	echo '<script>$("#ref_range_arr").val("'.$ref_range_arr.'")</script>';

}
?>
</html>    