<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Print Bill</title>
</head>

<body>
			<style>
		@media print {
			.no-print {
			display: none !important;
		}
		}
		.custom-btn {
			background: rgba(0, 0, 0, 0) linear-gradient(to bottom, #f00 0%, #f00 100%) repeat scroll 0 0;
			border: 1px solid #f00;
			border-radius: 2px;
			color: #fff;
			font-size: 14px;
			cursor: pointer;
			padding:10px;
		}
		</style>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
		<script>
			function printDiv(divName) {
				

				window.print();
			   
			}

		</script>
		<div class="no-print">
			<input type="button" onclick="printDiv('billbody')" value="Print" class="pull-right btn btn-default custom-btn" style="float:right;"  />
		</div>
	<div style="width:1024px; margin:0px auto;">
		<table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-family:Arial, Helvetica, sans-serif; font-size:16px;">
			<tr>
				<td>
					<table width="100%" border="0" cellspacing="0" cellpadding="0">
						<tr>
							<td valign="top">
								<table width="100%" border="0" cellspacing="0" cellpadding="0">
									<tr>
									  <td width="90"><img src="<?=images_url?>logo.png" width="80" height="80" alt="" /></td>
									  <td style="line-height:24px;">
									  <span style="font-size:24px; font-weight:bold;"><?= $clinic_details->clinic_name; ?></span><br/>
									   <?=$clinic_details->address;?><br/>
										<?=$clinic_details->address2;?>,
										<?=$clinic_details->city;?>-<?=$clinic_details->pin;?></td>
									</tr>
								</table>
							</td>
							<td align="right">
								<table border="0" cellspacing="0" cellpadding="0">
									<tr>
									  <td style="padding:4px 0px;"><strong>Phone:</strong><?=$clinic_details->phone;?></td>
									</tr>
									<tr>
									  <td style="padding:4px 0px;"><strong>E-mail:</strong><?=$clinic_details->email;?></td>
									</tr>
									<tr>
									  <td style="padding:4px 0px;"><strong>Web: </strong><?=$clinic_details->website;?></td>
									</tr>
							  </table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td style="font-size:24px; font-weight:bold; text-transform:uppercase; color:#3181c7; text-align:center;">Invoice Cum Receipt</td>
			</tr>
			<tr>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>
					<table width="100%" border="0" cellspacing="0" cellpadding="0">
						<tr>
							<td>
								<table width="100%" border="0" cellspacing="0" cellpadding="6">
									<tr>
										<td>PUHID:</td>
										<td><?=$patient_personal_invoice_record->patient_uid;?></td>
									</tr>
									<tr>
										<td>Patient Name:</td>
										<td><?= $patient_personal_invoice_record->salutation." ".$patient_personal_invoice_record->patient_full_name; ?></td>
									</tr>
									<?php
										$dateOfBirth = date('Y-m-d',strtotime($patient_personal_invoice_record->dob));
										$today = date("Y-m-d");
										$diff = date_diff(date_create($dateOfBirth), date_create($today));
										$cur_age=$diff->format('%y');
													
										if($patient_personal_invoice_record->sex==1)
											$gender="Female";
										else if($patient_personal_invoice_record->sex==2)
											$gender="Male";
										else
											$gender="Others";
										
										$sexage=$cur_age." Years / ".$gender;
									?>
									<tr>
									  <td>Age/Sex:</td>
									  <td><?= $sexage; ?></td>
									</tr>
									<tr>
									  <td>Mobile No:</td>
									  <td><?= $patient_personal_invoice_record->mobile; ?></td>
									</tr>
									<tr>
									  <td valign="top">Address:</td>
									  <td><?= $patient_personal_invoice_record->address1.",".$patient_personal_invoice_record->address2;?> <br/>
									  <?= $patient_personal_invoice_record->city."-".$patient_personal_invoice_record->pin; ?></td>
									</tr>
								</table>
							</td>
							<td align="right">
								<table border="0" cellspacing="0" cellpadding="6">
									<tr>
										<td>Invoice No:</td>
										<td><?=$patient_personal_invoice_record->bill_no; ?></td>
									</tr>
									<tr>
										<td>Invoice Date/Time:</td>
										<td><?=date("d-m-Y",strtotime($patient_personal_invoice_record->bill_date))."/".date("H:i") ?></td>
									</tr>
									<tr>
										<td>HD Date/Time:</td>
										<td><?=date('d/m/Y',strtotime($bill_master_record->hd_date)); ?>/<?=date('H:m:s',strtotime($bill_master_record->hd_time)); ?></td>
									</tr>
									<tr>
										<td>Referred By:</td>
										<td>Dr.<?=$bill_master_record->full_name; ?></td>
									</tr>
									<tr>
										<td>Sponsor:</td>
										<td>nil</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
			  <td>&nbsp;</td>
			</tr>
			<tr>
				<td>
					<table width="100%" border="0" cellspacing="0" cellpadding="8">
						<tr >
							<td style="border-bottom:2px dashed #000; border-top:2px dashed #000;">Description</td>
							<td style="border-bottom:2px dashed #000; border-top:2px dashed #000;">Date</td>
							<td align="right" style="border-bottom:2px dashed #000; border-top:2px dashed #000;">Gross</td>
							<td align="right" style="border-bottom:2px dashed #000; border-top:2px dashed #000;">Discount</td>
							<td align="right" style="border-bottom:2px dashed #000; border-top:2px dashed #000;">Net Amount (Rs)</td>
						</tr>
          
							<?php
							$srl=1;
							$line_gross_bill_amount=0.00;
							$line_total_discount_amount=0.00;
							$line_net_amount=0.00;
							$row_flag=1;
							foreach($service_given as $row)
							{
								if($srl<=15)//max 15 records will be print in the description section
								{
									if($row->service_uid==105)
									{
										$service_name="Dialysis services";
										$row_flag++;
								?>
											<tr>
												<td colspan="5"><strong><?=$service_name ;?></strong></td>
											</tr>
										<?php
										foreach($dialysis_details as $dialysisRow)
										{
											?>
											<tr>
												<td><?=$srl.". ".$dialysisRow->item_name;?></td>
												<td><?=date("d-m-Y",strtotime($dialysisRow->bill_date)) ?></td>
												<td align="right"><?=$dialysisRow->service_amount ;?></td>
												<td align="right"><?=$dialysisRow->discount_amount ;?></td>
												<td align="right"><?=$dialysisRow->gross_amount ;?></td>
											</tr>
										<?php	
											$srl++;
											$line_gross_bill_amount+=$dialysisRow->service_amount;
											$line_total_discount_amount+=$dialysisRow->discount_amount;
										}
									}
									else if($row->service_uid==102)
									{
										$service_name="Administrative";
										$row_flag++;
										?>
										<tr>
												<td colspan="5"><strong><?=$service_name ;?></strong></td>
											</tr>
										<?php
										foreach($administrative_details as $admnRow)
										{
										?>
											<tr>
												<td><?=$srl.". ".$admnRow->item_name;?></td>
												<td><?=date("d-m-Y",strtotime($admnRow->bill_date)) ?></td>
												<td align="right"><?=$admnRow->service_amount ;?></td>
												<td align="right"><?=$admnRow->discount_amount ;?></td>
												<td align="right"><?=$admnRow->gross_amount ;?></td>
											</tr>
											
										<?php
										$srl++;
										$line_gross_bill_amount+=$admnRow->service_amount;
										$line_total_discount_amount+=$admnRow->discount_amount;
										}
									}
								
							
									else if($row->service_uid==106)
									{
										$service_name="Procedure";
										$row_flag++;
										?>
										<tr>
												<td colspan="5"><strong><?=$service_name ;?></strong></td>
											</tr>
										<?php
										foreach($procedure_details as $procedureRow)
										{
										?>
											<tr>
												<td><?=$srl.". ".$procedureRow->item_name;?></td>
												<td><?=date("d-m-Y",strtotime($procedureRow->bill_date)) ?></td>
												<td align="right"><?=$procedureRow->service_amount ;?></td>
												<td align="right"><?=$procedureRow->discount_amount ;?></td>
												<td align="right"><?=$procedureRow->gross_amount ;?></td>
											</tr>
											
										<?php
										$srl++;
										$line_gross_bill_amount+=$procedureRow->service_amount;
										$line_total_discount_amount+=$procedureRow->discount_amount;
										}
									}
								
							
									
									
								}//end if
							}
						?>
					</table>
					<table  width="100%" border="0" cellspacing="0" cellpadding="8" style="margin-top:15px;">
						<tr>
							<td align="right" style="border-top:2px dashed #000;">Gross: <?=number_format($line_gross_bill_amount,2);?></td>
							<td width="200" align="right" style="border-top:2px dashed #000;">Item(s) Discount:<?=number_format($line_total_discount_amount,2);?></td>
							<td width="200" align="right"  style="border-top:2px dashed #000;">Net Amount:<?=number_format(($line_gross_bill_amount-$line_total_discount_amount),2);?></td>
						</tr>
					</table>
				</td>
			</tr>
			
			<tr>
				<td>
					<table width="100%" border="0" cellspacing="0" cellpadding="0">
						<tr> Payment Details -
							<td valign="top" style="border-right:1px solid #000;">
								<table width="100%" border="0" cellspacing="0" cellpadding="6">
									<tr>
										<td>Sl.</td>
										<td>Mode</td>
										<td>Receipt No</td>
										<td>Amount</td>
										<td>Instrument/Card No</td>
										<td>Date</td>
									</tr>
									<?php
									$rw=1;
									$total_net_amount_paid=0.00;
									foreach($patient_payment_details as $row)
									{
										if($rw<=5)//maximum 5row will print in payment mode section
										{
											if($row->payment_mode==1){$payMode="Cash";}
											if($row->payment_mode==2){$payMode="Debit Card";}
											if($row->payment_mode==3){$payMode="Credit Card";}
											if($row->payment_mode==4){$payMode="Cheque";}
											if($row->payment_mode==5){$payMode="Wallet/UPI";}
											if($row->payment_mode==6){$payMode="Advance";}
									?>
											<tr>
												<td><?=$rw;?></td>
												<td><?=$payMode ;?></td>
												<td><?=0 ;?></td>
												<td><?= $row->net_amount;?></td>
												<td><?= $row->card_instrument_no ;?></td>
												<td><?= date("d-m-Y",strtotime($row->instrument_date));?></td>
											</tr>
							   
										<?php
										}
									$rw++;
									$total_net_amount_paid+=$row->net_amount;
									}
									$net=$line_gross_bill_amount-$line_total_discount_amount;
									?>
								</table>
							</td>
							<td valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="6">
								<tr>
								  <td>Spl.Discount:</td>
								  <td align="right"><?=number_format($patient_billing_master_details->discount_amount,2);?></td>
								</tr>
								<tr>
								  <td>Paybel Amount:</td>
								  <td align="right"><?=number_format(($net-$patient_billing_master_details->discount_amount),2);?></td>
								</tr>
								<tr>
								  <td>Amount Paid:</td>
								  <td align="right"><?=number_format($total_net_amount_paid,2);?></td>
								</tr>
								<tr>
								  <td>Balance to pay:</td>
								  <td align="right"><?=number_format(($net-$patient_billing_master_details->discount_amount-$total_net_amount_paid),2);?></td>
								</tr>
							  </table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td height="40">&nbsp;</td>
			</tr>
			<tr>
				<td>
					<table width="100%" border="0" cellspacing="0" cellpadding="0">
						<tr>
							<td align="left">------------------------------------------<br/>
								Signature <br/><br/>
								Generated By: <?=$_SESSION['fullname']?></td>
							<td align="right">Generated Date: <?=date("d-m-Y h:i A"); ?></td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
			  <td>&nbsp;</td>
			</tr>
			<tr>
			  <td align="center"><strong>Report Delivery Time: 10:00 AM to 06:00 PM (Except Sundays & Holidays)</strong></td>
			</tr>
			<tr>
			  <td>&nbsp;</td>
			</tr>
		</table>
	</div>
</body>
</html>