<?php
require_once('header.php');
?>
<head>
	<link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css" rel="stylesheet"/>
<style type="text/css">
		.box{
				display: none;
			}
			.age
			{
				display:block;
			}
.wait_modal {
	display: none;
	position: fixed;
	z-index: 15000;
	top: 0;
	left: 0;
	height: 100%;
	width: 100%;
	background: rgba( 255, 255, 255, .8 ) url('http://i.stack.imgur.com/FhHRx.gif') 50% 50% no-repeat;
}			
		</style>
</head>    
	<body class="bacgbg">  
		<div id="wrap">
			<div id="main" class="clear-top">
				<header class="header_top_ber1">
					<?php
					require_once('top_head_section.php');
					?>
				</header>
				<section class="">
					<div class="container-fluid">
						<div class="row">
							<div class="col-md-12 mt-3">
								<div class="top_menu">
									<?php
									require_once('top_menu.php');
									?>
								</div>
							</div>
						</div>
					</div>
				</section>
				<section class="main_body ">
					<div class="container-fluid">
						<div class="row">
							<div class="col-md-12 pt-4 ">
								<div class="dash_box" style="height:auto;">
										<div class="row">
										
											<div class="col-md-12">
												<p>Issue Register</p>
												<div class="form-group">
													<div class="row">
														<div class="col-md-2">
															<label class="col-form-label">Date From</label>
															<div class="input-group date id_4">
																<input type="text"  class="form-control" id="date_from" name="date_from" required />
																<div class="input-group-addon input-group-append">
																	<div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar"></i> </div>
																</div>
															</div>
														</div>
														<div class="col-md-2">
															<label class="col-form-label">Date To</label>
															<div class="input-group date id_4">
																<input type="text"  class="form-control" id="date_to" name="date_to" required />
																<div class="input-group-addon input-group-append">
																	<div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar"></i> </div>
																</div>
															</div>
														</div>
														<div class="col-md-6">
															<label class="col-form-label">Product Name</label>
															<?php
																$d["-1"]="-- All --";
																$all_item=$d+$all_item_list;
																$js = 'class="form-control" id="product_name" onchange="get_closing_stock()"';
																echo form_dropdown('product_name',$all_item,"-1",$js);
															?>
														</div>
														<div class="col-md-2 mt-4">
														  <input type="button" name="submit" class="btn btn-info btn-md custom_btn2" value="Search" onclick="search_data()">
														</div>															
													</div>
												</div>										
				
											</div>
										
											<div class="col-md-12 mt-3">
												<table class="table table-striped">
												  <thead>
													<tr>
													  <th scope="col">#</th>
													  <th scope="col">Product</th>
													  <th scope="col">Qty.</th>
													  <th scope="col">Unit</th>
													  <th scope="col">Customer Name</th>
													  <th scope="col">Issue Date</th>
													  <th scope="col">Challan No</th>
													  <th scope="col">Vehicle No</th>
													  <th scope="col">Action</th>
													</tr>
												  </thead>
												  <tbody id="list_body">
													<?php
													$sl=0;
													foreach($todays_non_patient_wise_issue_list as $record)
													{
													?>
													<tr>
													  <th scope="row"><?=++$sl?></th>
													  <td><?=$record->product_name?></td>
													  <td><?=$record->quantity?></td>
													  <td><?=$record->unit?></td>
													  <td>&nbsp;</td>
													  <td><?=date('d-m-Y',strtotime($record->issue_date))?></td>
													  <td><?=$record->challan_no?></td>
													  <td><?=$record->vehicle_no?></td>
													  <td><a href="javascript:void(0)" onclick="delete_record('<?=base64_encode($record->uid)?>')" title="Delete"><i class="fa fa-trash-o" aria-hidden="true"></i></a></td>
													</tr>
													<?php
													}
													?>
													<?php
													foreach($todays_patient_wise_issue_list as $record)
													{
													?>
													<tr>
													  <th scope="row"><?=++$sl?></th>
													  <td><?=$record->product_name?></td>
													  <td><?=$record->quantity?></td>
													  <td><?=$record->unit?></td>
													  <td><?=$record->full_name?> [<?=$record->patient_uid?>]</td>
													  <td><?=date('d-m-Y',strtotime($record->issue_date))?></td>
													  <td><?=$record->challan_no?></td>
													  <td><?=$record->vehicle_no?></td>													  
													  <td><a href="javascript:void(0)" onclick="delete_record('<?=base64_encode($record->uid)?>')" title="Delete"><i class="fa fa-trash-o" aria-hidden="true"></i></a></td>
													</tr>
													<?php
													}
													?>
												  </tbody>
												</table>             
											</div> 
											
										</div>
	  
								</div>
							</div>
						</div>
					</div>
				</section>

			<div class="wait_modal" id="wait_div"><!-- Place at bottom of page -->
				<p>Please Wait...</p>
			</div>
			<!--------------------Modal form------------------------>				
			</div>
		</div>
		<footer class="footer">
			<?php
			require_once('footer.php');
			?>
		</footer>
	</body> 
		<?php
		require_once('common_script.php');
		?>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.9.0/moment-with-locales.min.js"></script>
	<script src="<?=js_url?>bootstrap-datetimepicker.min.js"></script>
	<script src="<?=js_url?>demo.js"></script>
	<script src="<?=js_url?>flaunt.js"></script>	
	<script>

function search_data()
	{
		$("#wait_div").show();
		var date_from=$("#date_from").val();
		var date_to=$("#date_to").val();
		var prod_id=$("#product_name").val();
		$.post("<?=base_url()?>Dialysis/get_issue_register_data",{product_id:prod_id,date_from:date_from,date_to:date_to},function(data)
		{	
			$('#wait_div').hide();
			$('#list_body').html(data);

		});			
	}
	function delete_record(record_id)
	{
		var conf=confirm("Are you sure to delete");
		var redirect_url=btoa('Dialysis/issueRegister');
		if(conf)
		{
			window.location.assign('<?=base_url()?>Common/delete_list_items/'+record_id+'/issue/uid/'+redirect_url);
		}
	}		
	</script>

</html>    