<?php
require_once('header.php');
?>
<head>
<link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css" rel="stylesheet"/>
</head>    
<body class="bacgbg">  
<div id="wrap">
  <div id="main" class="clear-top">
    <header class="header_top_ber1">
	<?php
	require_once('top_head_section.php');
	?>
    </header>
    
  <section class="">
  <div class="container-fluid">
    <div class="row">
    
        <div class="col-md-12 mt-3">
    <div class="top_menu">
	<?php
	require_once('top_menu.php');
	?>
	</div>
      </div>
    </div>
  </div>
</section>
    <section class="main_body ">
      <div class="container-fluid">
        <div class="row">
          
          <div class="col-md-12">
            <div class="block mt-3">
              <div class="well text-left">
                <div id="w1" class="btn-group display_block">
                <ul class="top_btn_search">
                <li>  <a  class="btn btn-default" data-toggle="modal" data-target="#myModal"><i class="fa fa-plus"></i> Create</a> <!--<a class="btn btn-default" href="#" data-toggle="modal" data-target="#gridSettings"><i class="fa fa-cog"></i> Settings</a> <a  class="btn btn-default bulk-edit-btn" href="#"><i class="fa fa-pencil"></i> Bulk Edit</a>--> 
				<a  class="btn btn-default multiple-delete" href="javascript:bulk_delete()"><i class="fa fa-trash-o"></i> Bulk</a> </li>
                 <li>
                 <div class="search_box">
					<select class="form-control" id="search_by" name="search_by">
						<option value="Brand"> Activity</option>
						<option value="Diet"> Diet</option>
					</select><input type="text" class="form-control" id="search_text" name="search_text">
                    <a id="search_data" class="search_icon" href="#" onClick="search_data()"><i class="fas fa-search"></i></a>
				</div>
                 </li>
                </ul>
				</div>			  
			  </div>
            </div>
            
            <div class="modal fade" id="myModal">
    <div class="modal-dialog modal-dialog-centered modal-lg">
      <div class="modal-content">
      <div class="modal-header">
          <h4 class="modal-title">Advice</h4>
          <button type="button" class="close" data-dismiss="modal" onclick="clear_value()">&times;</button>
        </div>
       
        <!-- Modal body -->
        <div class="modal-body">
         <form id="advice_form" method="post" action="<?=base_url()?>Doctor/add_advice_record">
                <div class="row">
                  <div class="col-md-12">
                    <div class="form-group">
                      <div class="row">
                        <div class="col-md-12">
                          <label class="col-form-label">Advice <span style="color:red">*</span></label>
                          <input class="form-control" type="text" id="advice_topic" name="advice_topic">
                          <input class="form-control" type="hidden" id="enc_advice_id" name="enc_advice_id">
						  <?php echo form_error('advice_topic'); ?>
                        </div>
                        <div class="col-md-12">
                          <label class="col-form-label">Status</label>
                         <select name="advice_type" class="form-control" id="advice_type">
							<option value="Activity">Activity</option>
							<option value="Diet">Diet</option>
						</select>
						</div>
                      </div>
                    </div>
                    <div class="text-right">
                      <input type="submit" name="submit" class="btn btn-info btn-md custom_btn2" value="Submit">
                    </div>
                  </div>
                </div>
         </form>
        </div>
        
        
        
      </div>
    </div>
  </div>
          </div>
          <div class="col-md-12">
		  <form id="list_tbl_frm" name="list_tbl_frm" method="post" action="<?=base_url()?>Common/delete_table_items">
           <div class="table_main">
          <table class="table dataTable no-footer">
            <thead>
              <tr>
                <th><input type="checkbox" class="select-on-check-all" id="checkAll" name="checkAll" value="1"></th>
                <th>Advice</th>
				<th>Type</th>
                <th>Action</th>
              </tr>
              <tr id="grid-view-filters" class="filters">
                <td>&nbsp;</td>
                <td><input type="text" class="form-control" onKeyUp="tblFilter(this.value,1)"></td>
                <td><input type="text" class="form-control" onKeyUp="tblFilter(this.value,2)"></td>
                <td>&nbsp;</td>
              </tr>
            </thead>
            <tbody id="listBody">
			<?php
			foreach($all_advice_list as $record)
			{
			?>
              <tr>
                <td><input type="checkbox" id="search_filtered_items_id" name="search_filtered_items_id[]" value="<?=base64_encode($record->uid)?>"></td>
                <td><?=$record->topic?></td>
                <td>&nbsp;</td>               
                <td><a class="update-product" data-toggle="modal" data-target="#myModal" onclick="edit_data('<?=base64_encode($record->uid)?>')" href="javascript:void(0)" title="Update" ><i class="fa fa-pencil"></i></a> <a  href="javascript:delete_list_items('<?=base64_encode($record->uid)?>')" title="Delete"><i class="fa fa-trash-o"></i></a> </td>
              </tr>
			<?php
			}
			?>
			</tbody>
          </table>
          </div>
          </form>
		  </div>
        </div>
      </div>
    </section>
  </div>
</div>
<footer class="footer">
<?php
require_once('footer.php');
?>
</footer>
</body> 
<?php
require_once('common_script.php');
?>
<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>  
<script src="<?=js_url?>table-col-filter.js"></script>
<script>
function delete_list_items(record_id)
{
	var conf=confirm("Are you sure to delete");
	var redirect_url=btoa('Doctor/advice');
	if(conf)
		window.location.assign('<?=base_url()?>Common/delete_list_items/'+record_id+'/masterdb/uid/'+redirect_url);
}
$('#checkAll').click(function () {    
	 $('input:checkbox').prop('checked', this.checked);    
 });
 function search_data()
 {
	 var data=$("#search_text").val();
	 var search_by=$("#search_by").val();
	 $.post("<?=base_url()?>Doctor/search_diagnosis",{'search_data':data,'search_by':search_by},function(data){
		 $("#listBody").html(data);
	 });
 }
 function  bulk_delete()
 {
	var conf=confirm("Are you sure to delete");
	var redirect_url=btoa('Doctor/advice');
	if(conf)
	{
		$('#list_tbl_frm').append('<input id="redirect_url" name="redirect_url" type="hidden" value="'+redirect_url+'" />');
		$('#list_tbl_frm').append('<input id="table_name" name="table_name" type="hidden" value="masterdb" />');
		$('#list_tbl_frm').append('<input id="delete_field" name="delete_field" type="hidden" value="uid" />');
		$("#list_tbl_frm").submit();
	}
 
 }
function edit_data(encId)
{
	$.post("<?=base_url()?>Doctor/edit_advice",{'id':encId},function(data){
	   var jsdata=eval('('+data+')');
	   $('#enc_advice_id').val(jsdata.uid);		
	   $('#advice_topic').val(jsdata.topic);		
	});
}
function clear_value()
{
   $('#enc_advice_id').val('');		
   $('#advice_topic').val('');	
}
</script> 

<?php
if(isset($_SESSION['success'])){
echo '<script>toastr.success("'.$_SESSION['success'].'","Success");</script>';
}
?>
</html>    