	<?php
	require_once('header.php');
	?>
	<head>
		<style>
			.wait_modal {
				display: none;
				position: fixed;
				z-index: 15000;
				top: 0;
				left: 0;
				height: 100%;
				width: 100%;
				background: rgba( 255, 255, 255, .8 )  url('http://i.stack.imgur.com/FhHRx.gif')  50% 50%  no-repeat;
			}
		</style>
		<link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css" rel="stylesheet"/>
	</head>      
	<body class="bacgbg">  
		<div id="wrap">
			<div id="main" class="clear-top">
				<header class="header_top_ber1">
					<?php
					require_once('top_head_section.php');
					?>
				</header>
				<section class="">
					<div class="container-fluid">
						<div class="row">
							<div class="col-md-12 mt-3">
								<div class="top_menu">
									<?php
										require_once('top_menu.php');
									?>
								</div>
							</div>
						</div>
					</div>
				</section>
				<section class="main_body">
					<div class="container-fluid">
						<div class="row">
							<div class="col-md-12">
								<div class="block mt-3">
									<div class="well text-left">
										<div id="w1" class="btn-group display_block">
											<div class="row">
												<div class="col-md-2">
													<div class="input-group date id_4">
														<input type="text"  class="form-control" id="from_date" name="from_date" value="<?=date('d-m-Y')?>" required/>
														<div class="input-group-addon input-group-append">
															<div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar"></i> </div>
														</div>
													</div>
												</div>
												<div class="col-md-2">
													<div class="input-group date id_4">
														<input type="text"  class="form-control" id="to_date" name="to_date" value="<?=date('d-m-Y')?>" required/>
															<div class="input-group-addon input-group-append">
																<div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar"></i> </div>
															</div>
													</div>
												</div>
												<div class="col-md-2">
													<a href="javascript:void(0)" onClick="search_data()" class="btn btn-info btn-md custom_btn2"><i class="fa fa-search" aria-hidden="true"></i> Search</a>
													<a class="btn btn-default" data-toggle="modal" data-target="#myModal"><i class="fa fa-filter" aria-hidden="true"></i> Filter</a>
												</div>
												<div class="col-md-3" >
													<div class="form-check">
													  <input class="form-check-input" type="checkbox" value="" id="billing_done">
													  <label class="form-check-label" for="flexCheckDefault">
														Billing Done
													  </label>
													</div>
												</div>
												<div class="col-md-3 text-right">
													<strong>Appointment Register</strong>
												</div>
											</div>
										</div>			  
									</div>
								</div>
								<div class="modal fade" id="myModal">
									<div class="modal-dialog modal-dialog-centered modal-lg">
										<div class="modal-content">
											<div class="modal-header">
												<h4 class="modal-title">Detail Search</h4>
												<button type="button" class="close" data-dismiss="modal">&times;</button>
											</div>
												<!-- Modal body -->
											<div class="modal-body">
												<div class="row">
													<div class="col-md-12">
														<div class="form-group">
															<div class="row">
																<div class="col-md-4">
																	<div class="form-group">
																		<label class="col-form-label">Date From</label>
																			<div class="input-group date id_4">
																				<input type="text" id="date_from" name="date_form" value="<?=date('d-m-Y')?>" class="form-control" required>
																				<div class="input-group-addon input-group-append">
																					<div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar" aria-hidden="true"></i> </div>
																				</div>
																			</div>  
																	</div>
																</div>
																<div class="col-md-4">
																	<div class="form-group">
																		<label class="col-form-label">Date To</label>
																		<div class="input-group date id_4">
																			<input type="text" id="date_to" name="date_to" value="<?=date('d-m-Y')?>" class="form-control" required>
																				<div class="input-group-addon input-group-append">
																					<div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar" aria-hidden="true"></i> </div>
																				</div>
																		</div>  
																	</div>
																</div>
																<div class="col-md-4">
																	<label class="col-form-label">Appointment Mode</label>
																	<select class="form-control" name="mode" id="mode" >
																		<option value="-1" selected>--Select--</option>
																		<option value="1">Clinic</option>
																		<option value="2">Online</option>
																	</select>
																</div>
															</div>
															<div class="row">
																<div class="col-md-4">
																	<label class="col-form-label">Clinic</label>
																	<?php
																		$js = 'class="form-control" id="clinic" name="clinic" onchange="load_departments()"';
																		echo form_dropdown('clinic',$clinic_location,'1',$js);
																	?>	
																</div>
																<div class="col-md-3">
																	<label class="col-form-label">Department </label>
																	<?php
																		$departmentsName["-1"]="--Select--";
																		$js = 'class="form-control" id="departmentsID" name="departmentsID" onchange="load_doctors()"';
																		echo form_dropdown('departmentsID',$departmentsName,'-1',$js);
																	?>
																</div>
																<div class="col-md-3">
																	<label class="col-form-label">Doctor Name</label>
																	<?php
																		$doctorsName["-1"]="--Select--";
																		$js = 'class="form-control" id="doctorsID" ';
																		echo form_dropdown('doctorsID',$doctorsName,'-1',$js);
																	?> 
																</div>
																<div class="col-md-2">
																	<label class="col-form-label" style="width:100%;">&nbsp;</label>
																	<input type="button" id="search_data_btn" name="search_data_btn" onClick="search_filter_data()" class="btn btn-info btn-md custom_btn2" value="Search">
																</div>
															</div>
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
            					</div>
								<div class="col-md-12">
									<form id="list_tbl_frm" name="list_tbl_frm" method="post" action="<?=base_url()?>Common/delete_table_items">
										<div class="table_main">
											<table class="table dataTable no-footer">
												<thead>
													<tr>
														<th>Sl.</th>
														<th>Name</th>
														<th>UPID#</th>
														<th>Date/Time</th>
														<th>Mode</th>
														<th>Type</th>
														<th>Category</th>
														<th>Clinic</th>
														<th>Action</th>
													</tr>
												</thead>
												<tbody id="listBody">
													<?php
														$sl=0;
														echo '<tr><td colspan="9" style="background-color:#e1f9c3;text-align: center;"> Billing Completed </td></tr>';
														foreach($appointment_list as $record)
														{
															?>
															  <tr>
																<td><?=++$sl?></td>
																<td><?=$record->name?></td>
																<td><?=$record->patient_uid?></td>
																<td><?=date('d-m-Y',strtotime($record->approve_date))?><br/>
																	<?=date('h:i:s A',strtotime($record->approve_time))?>
																</td>
																<td><?=(($record->app_mode==1)?"Clinic":(($record->app_mode==2)?"Online":""))?></td>
																<td><?=($record->app_type==1)?"New":(($record->app_type==2)?"Follow up":"")?></td>
																<!--<td><?=($record->patient_category==1)?"General":(($record->patient_category==2)?"VIP":"referral")?></td>-->
																<td>&nbsp;</td>
																<td><?=$record->clinic_name?></td>
																<td>
																<a href="<?=base_url()?>Doctor/historyRecord/<?=base64_encode($record->patient_uid)?>" target="_blank" title="Take History"><i class="far fa-edit"></i></a>
																</td>
															  </tr>			
															<?php
														}
													?>
												</tbody>
											</table>
										</div>
									</form>
								</div>
		 					</div>
						</div>
							
									
						<!----wait----->
						<div class="wait_modal" id="wait_div"><!-- Place at bottom of page -->
							<p>Please Wait...</p>
						</div>
						<!----wait----->	
					</div>	
				</section>
			</div>
		</div>
		<footer class="footer">
			<?php
			require_once('footer.php');
			?>
		</footer>
	</body> 
	<?php
	require_once('common_script.php');
	?>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>  
		<script src="<?=js_url?>table-col-filter.js"></script>
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.9.0/moment-with-locales.min.js"></script>
		<script src="<?=js_url?>bootstrap-datetimepicker.min.js"></script>
		<script src="<?=js_url?>demo.js"></script>
		<script>
			function search_data()
			{
				var clinic=<?=$_SESSION['clinicId']?>;
				var doctor_id=-1;
				var appointment_mode=-1;
				var from_date=$("#from_date").val();
				var to_date=$("#to_date").val();
				$("#wait_modal").show();
				$.post("<?=base_url()?>Doctor/get_appointment_data_for_doctor",{clinic:clinic,doctor_id:-1,from_date:from_date,to_date:to_date,appointment_mode:appointment_mode},function(data)
				{	
					$("#wait_modal").hide();
					$("#listBody").html(data);
				});
			}
			function search_filter_data()
			{
				var clinic=$("#clinic").val();
				var doctor_id=$("#doctorsID").val();
				var from_date=$("#date_from").val();
				var to_date=$("#date_to").val();
				var appointment_mode=$("#mode").val();
				$("#wait_modal").show();
				$.post("<?=base_url()?>Appointment/get_detail_appointment_data",{clinic:clinic,doctor_id:doctor_id,from_date:from_date,to_date:to_date,appointment_mode:appointment_mode},function(data)
				{	
					$("#wait_modal").hide();
					$("#listBody").html(data);
				});
			}
		function load_departments()
		{
			var clinic_id=$("#clinic").val();
			$.post("<?=base_url()?>Common/load_departments",{'clinic_id':clinic_id},function(data){
			$("#departmentsID").html(data);
			});
		}
		function load_doctors()
		{
			var clinic_id=$("#clinic").val();
			var department_id=$("#departmentsID").val();
			if(department_id!=-1)
			{
				$.ajax({
				  type: "POST",
				  url: '<?=base_url()?>Common/get_doctors',
				  data: {'clinic_id':clinic_id,'department_id':department_id},
				  success: function(data)
							{	
								$("#doctorsID").html(data);
							}
				});
			}
			
		}
		function change_dialysis_date(dialysis_appointment_id)	
		{
			$("#change_appointment_id").val(dialysis_appointment_id);
			$("#changeTimingModal").modal();
		}
		function save_date_time_changes()
		{
			$('#wait_div').show();
			var new_time=$("#changed_prefered_time").val();
			var new_date=$("#changed_prefered_date").val();
			var request_appointment_id=$("#change_appointment_id").val();
			$.post("<?=base_url()?>Appointment/save_date_time_changes",{new_time:new_time,new_date:new_date,request_appointment_id:request_appointment_id},function(data)
			{	
				$('#wait_div').hide();
				alert("Timing updated");
				search_data();
			});		
		}
		</script> 

</html>    