<?php
require_once('header.php');
?>
<head>
<style>
.wait_modal {
	display: none;
	position: fixed;
	z-index: 15000;
	top: 0;
	left: 0;
	height: 100%;
	width: 100%;
	background: rgba( 255, 255, 255, .8 ) url('http://i.stack.imgur.com/FhHRx.gif') 50% 50% no-repeat;
}
</style>
</head>
<body class="bacgbg">
<div id="wrap">
  <div id="main" class="clear-top">
    <header class="header_top_ber1">
      <?php
	require_once('top_head_section.php');
	?>
    </header>
    <section class="">
      <div class="container-fluid">
        <div class="row">
          <div class="col-md-12 mt-3">
            <div class="top_menu">
              <?php
	require_once('top_menu.php');
	?>
            </div>
          </div>
        </div>
      </div>
    </section>
    <section class="main_body mt-3">
    <div class="container-fluid">
      <div class="row">
        <div class="col-md-12 ">
          <div class="dash_box" style="height:auto;">
            <div class="row">
              <div class="col-md-5">
                <div class="row">
                  <div class="col-md-6">
                    <h5 style="color: #3170ff;">IPD Billing</h5>
                  </div>
                  <div class="col-md-6 text-right"><a href="#" data-toggle="modal" data-target="#admitted_patient" class="btn btn-info btn-md custom_btn2"><i class="fa fa-search" aria-hidden="true"></i> Admitted Patient</a></div>
                </div>
                <div class="form-group">
                  <div class="row">
                    <div class="col-md-4">
                      <label class="col-form-label">PUID#</label>
                      <input class="form-control" type="text" id="patient_id" name="patient_id">
                    </div>
                    <div class="col-md-4">
                      <label class="col-form-label">Name # </label>
                      <input class="form-control" type="text" id="patient_name" name="patient_name">
                    </div>
                    <div class="col-md-4">
                      <label class="col-form-label">Age</label>
                      <input class="form-control" type="text" id="patient_age" name="patient_age">
                    </div>
                    <div class="col-md-4">
                      <label class="col-form-label">Admission No</label>
                      <input class="form-control" id="admission_no" name="admission_no" type="text">
                    </div>
                    <div class="col-md-4">
                      <label class="col-form-label">DOA</label>
                      <input class="form-control" type="text" id="doa" name="doa">
                    </div>
                    <div class="col-md-4">
                      <label class="col-form-label">BED</label>
                      <input class="form-control" type="text" id="bed_no" name="bed_no">
                    </div>
                    <div class="col-md-6">
                      <label class="col-form-label">Treating Dr </label>
                      <input class="form-control" type="text" id="treating_doctor" name="treating_doctor">
                    </div>
                    <div class="col-md-6">
                      <label class="col-form-label">Sponsor</label>
                      <input class="form-control" type="text" id="sponsor" name="sponsor">
                    </div>
                    <div class="col-md-12">
                      <label class="col-form-label">Notes</label>
                      <input class="form-control" type="text" id="notes" name="notes">
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-md-7">
                <div class="row">
                <div class="col-md-4">
                 <label class="col-form-label">Date From</label>
                      <div class="input-group date id_4">
                          <input type="text"  class="form-control" id="from_date" name="from_date" value="<?=date('d-m-Y')?>" required />
                          <div class="input-group-addon input-group-append">
                            <div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar"></i> </div>
                          </div>
                        </div>
                </div>
                
                <div class="col-md-4">
                 <label class="col-form-label" >Date To</label>
                      <div class="input-group date id_4">
                          <input type="text"  class="form-control" id="to_date" name="to_date" value="<?=date('d-m-Y')?>" required />
                          <div class="input-group-addon input-group-append">
                            <div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar"></i> </div>
                          </div>
                        </div>
                </div>
                
               <div class="col-md-4"> 
               <label class="col-form-label" style="width:100%;">&nbsp;</label>
               <a href="javascript:void(0)" onClick="search_services()" class="btn btn-info btn-md custom_btn2"><i class="fa fa-search" aria-hidden="true"></i> Search</a> &nbsp; <a href="#" data-toggle="modal" data-target="#add_services" class="btn btn-info btn-md custom_btn2"><i class="fa fa-plus" aria-hidden="true"></i> Add Services</a> </div>
                
                
                
                  
                  
                </div>
                <div class="teable_scroll">
                  <table class="table">
                    <thead class="thead-dark">
                      <tr>
                        <th>Sl no. </th>
                        <th>Date </th>
                        <th>Services </th>
                        <th>Amount</th>
                      </tr>
                    </thead>
                    <tbody id="service_tbl_body">
                    </tbody>
                  </table>
                </div>
              </div>
              
              <!--  <div class="form-group">
                    <div class="row">
                      <div class="col-md-4">
                        <label class="col-form-label">PUID#</label>
                        <input class="form-control" type="text">
                      </div>
                      <div class="col-md-4">
                        <label class="col-form-label">Episode # </label>
                        <input class="form-control" type="text">
                        </select>
                      </div>
                      <div class="col-md-4">
                        <label class="col-form-label">BED</label>
                        <input class="form-control" type="text">
                      </div>
                      <div class="col-md-4">
                        <label class="col-form-label">Name</label>
                        <input class="form-control" type="text">
                      </div>
                      <div class="col-md-4">
                        <label class="col-form-label">Asc/ Sev</label>
                        <input class="form-control" type="text">
                        </select>
                      </div>
                      <div class="col-md-4">
                        <label class="col-form-label">DOA</label>
                        <input class="form-control" type="text">
                      </div>
                      <div class="col-md-6">
                        <label class="col-form-label">Current Bed#</label>
                        <input class="form-control" type="text">
                        </select>
                      </div>
                      <div class="col-md-6">
                        <label class="col-form-label">Status</label>
                        <input class="form-control" type="text">
                      </div>
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="row">
                    <div class="col-md-5">
                        <label class="col-form-label">PUID#</label>
                        <input class="form-control" type="text">
                      </div>
                      <div class="col-md-5">
                        <label class="col-form-label">PUID#</label>
                        <input class="form-control" type="text">
                      </div>
                       <div class="col-md-2">
                        <label class="col-form-label" style="width:100%;">&nbsp;</label>
                        <a href="#" ><i class="far fa-plus-square" style="font-size: 34px;" aria-hidden="true"></i></a>
                      </div>
                    </div>
                    </div>--> 
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  </section>
</div>
</div>
<footer class="footer">
  <div class="container">
    <div class="row">
      <div class="col-md-12 cpyright-txt">
        <ul class="list-inline">
          <li> <a href="#">Terms &amp; Condition</a> | <a href="#">Privacy Policy</a> | </li>
          <li> © 2021. All Right Reserved. Powered by: <a href="http://infonetics.in/" style="color:#ffc107">Infonetics</a> </li>
        </ul>
      </div>
    </div>
  </div>
</footer>
</body>
<div class="modal" id="admitted_patient">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <!-- Modal body -->
      <div class="modal-body pt-0">
        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label class="col-form-label">Location</label>
              <?php
						$js = 'class="form-control" id="clinic_location"';
						echo form_dropdown('clinic_location',$clinic_location,'',$js);
						?>
            </div>
          </div>
          <div class="col-md-4">
            <div class="form-group">
              <label class="col-form-label">Building</label>
              <?php
									$js = 'class="form-control" id="building" onchange="load_ward()"';
									echo form_dropdown('building',$building_location,'-1',$js);
									?>
            </div>
          </div>
          <div class="col-md-3">
            <div class="form-group">
              <label class="col-form-label">Ward</label>
              <?php
								$wardsName["0"]="--Select--";
								$js = 'class="form-control" id="ward" name="ward" onchange="load_bed()"';
								echo form_dropdown('ward',$wardsName,'1',$js);
							?>
            </div>
          </div>
          <div class="col-md-3">
            <div class="form-group">
              <label class="col-form-label">Bed</label>
              <select id="bed" name="Bed" class="form-control">
              </select>
            </div>
          </div>
          <div class="col-md-2">
            <div class="form-group">
             <label class="col-form-label width-100">&nbsp;</label>
            <a href="javascript:void(0)" onClick="get_admitted_patient_list()" class="btn btn-info btn-md custom_btn2"><i class="fa fa-search" aria-hidden="true"></i> Search</a>
           <!--<a href="javascript:void(0)" onClick="get_admitted_patient_list()"><i class="fa fa-search" aria-hidden="true"></i></a>--></div>
          </div>
          <div class="col-md-12 mt-3">
            <table class="table">
              <thead class="thead-dark">
                <tr>
                  <th>Sl no.</th>
                  <th>BED</th>
                  <th>Name</th>
                  <th>PUID</th>
                </tr>
              </thead>
              <tbody id="tbl_body">
                <tr>
                  <td colspan="4">Data Not Available</td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="modal" id="add_services">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" onClick="clear_add_services_data()">&times;</button>
      </div>
      <!-- Modal body -->
      <div class="modal-body pt-0">
        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label class="col-form-label">Service Head</label>
              <input type="hidden" id="service_patient_id" name="service_patient_id">
              <input type="hidden" id="patient_admission_no" name="patient_admission_no">
              <?php 						
				$js = 'class="form-control" id="services" onchange="get_doctors_sub_services(this.value)"';
				echo form_dropdown('services',$all_services,'-1',$js);
				?>
            </div>
          </div>
          <div class="col-md-12">
            <div class="form-group">
              <label class="col-form-label">Doctor Category</label>
              <select id="sub_service" name="sub_service" class="form-control">
			  
			  <select>
            </div>
          </div>		  
          <div class="col-md-12">
            <div class="form-group">
              <label class="col-form-label">Charges Name</label>
              <input type="text" id="items" name="items" class="form-control" placeholder="Search" onKeyUp="get_items(this.value)" autocomplete="off" >
              <input type="hidden" id="item_id" name="item_id" value="">
              <div id="item_list" style="display:none" class="drop_down_item_list"></div>
            </div>
          </div>
          <div class="col-md-3">
            <div class="form-group">
              <label class="col-form-label">Qty</label>
              <input class="form-control" type="text" id="quantity" name="quantity" value="0" onKeyUp="calculate_amount()" onBlur="set_default_value_on_empty(this.value)">
            </div>
          </div>
          <div class="col-md-3">
            <div class="form-group">
              <label class="col-form-label">Amount</label>
              <input class="form-control" type="text" id="amount" name="amount" value="0">
            </div>
          </div>
          <div class="col-md-3">
            <div class="form-group">
              <label class="col-form-label">Discount</label>
              <input class="form-control" type="text" id="discount" name="discount" value="0" onBlur="calculate_amount_after_discount('amount','discount','net')">
            </div>
          </div>
          <div class="col-md-3">
            <div class="form-group">
              <label class="col-form-label">Net</label>
              <input class="form-control" type="text" id="net" name="net" value="0" readonly>
            </div>
          </div>
          <div class="col-md-6">
            <label class="col-form-label">Date</label>
            <div class="input-group date id_4">
              <input type="text" class="form-control" id="service_date" name="service_date" value="<?=date('d-m-Y')?>" required>
              <div class="input-group-addon input-group-append">
                <div class="input-group-text"><i class="glyphicon glyphicon-calendar fa fa-calendar" aria-hidden="true"></i></div>
              </div>
            </div>
          </div>
          <div class="col-md-12 text-right">
            <button type="button" onClick="add_service()"  class="btn btn-info btn-md custom_btn2"><i class="fa fa-plus" aria-hidden="true"></i>Add</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="wait_modal" id="wait_div"><!-- Place at bottom of page -->
  <p>Please Wait...</p>
</div>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.9.0/moment-with-locales.min.js"></script>
<script src="<?=js_url?>bootstrap-datetimepicker.min.js"></script>
<script src="<?=js_url?>demo.js"></script>
<script src="<?=js_url?>flaunt.js"></script>
<script>
var temp=0;
var total_amount=0;
function load_ward()
		{
			var building_id=$("#building").val();
			if(building_id!=0)
			{
				$.ajax({
				  type: "POST",
				  url: '<?=base_url()?>Common/get_ward',
				  data: {'building_id':building_id},
				  success: function(data)
							{	
								$("#ward").html(data);
							}
				});
			}	
			
		}
	function load_bed()
	{
		var building=$("#building").val();
		var ward=$("#ward").val();
		$('#wait_div').show();
		$.post("<?=base_url()?>IPD/load_bed",{building:building,ward:ward,bed_status:1},function(data){
			$('#wait_div').hide();
			$('#bed').html(data);
		});	
		}

function get_admitted_patient_list()
{
	var clinic=$("#clinic_location").val();
	var building=$("#building").val();
	var ward=$("#ward").val();
	var bed=$("#bed").val();
	$('#wait_div').show();
	$.post("<?=base_url()?>IPD/get_admitted_patient_list",{bed:bed},function(data){
		$('#wait_div').hide();
		$('#tbl_body').html(data);
	});	
}
function select_patient(rec_id)
{
	$('#wait_div').show();
	$.post("<?=base_url()?>IPD/get_admitted_patient_info",{rec_id:rec_id},function(data){
		$('#wait_div').hide();
		var jsdata=eval('('+data+')');
		$('#patient_id').val(jsdata.patient_uid);
		$('#patient_name').val(jsdata.patient_name);
		$('#patient_age').val(jsdata.patient_age);
		$('#admission_no').val(rec_id);
		$('#doa').val(jsdata.admission_date);
		$('#bed_no').val(jsdata.bed);		
		$('#treating_doctor').val(jsdata.treating_doctor_name);		
		$('#sponsor').val(jsdata.sponsor);		
		$('#notes').val('');		
	});		
}
function get_items(search_item)
{
	if(search_item.length>=2)
	{
		var services=$("#services").val();
		$('#wait_div').show();
		$("#item_list").html('');
		$.post("<?=base_url()?>IPD/get_add_services_items",{services:services,search_item:search_item},function(data){
			$('#wait_div').hide();
			$("#item_list").html(data);
			$("#item_list").show();
		});
	}
	else
	{
		$("#item_list").html('');
		$("#item_list").hide();
	}
	
}
function set_item(record_id,item,amount)
{
	$("#item_id").val(record_id);
	$("#items").val(item);
	$("#amount").val(amount);
	$("#net").val(amount);
	$("#quantity").val(1);
	$("#item_list").hide();
	temp=amount;
	if($("patient_id").val()!="")
	{
		var pid=$("#patient_id").val();
		$("#service_patient_id").val(pid);
		$("#patient_admission_no").val($("#admission_no").val());
	}
}
function clear_add_services_data()
{
	$("#services").val(101);
	$("#item_id").val('');
	$("#items").val('');
	$("#amount").val('');		
	$("#quantity").val('');
	temp=0;

}
function calculate_amount()
{
	
	if(!isNaN($("#amount").val()) && !isNaN($("#quantity").val()) && $("#quantity").val()>0)
	{
		var amt_val=$("#amount").val() * $("#quantity").val();
		$("#amount").val(amt_val);
		$("#net").val(amt_val);
	}
	if($("#quantity").val()=="")
	{
		$("#amount").val(temp);
		$("#net").val(temp);
	}
	if(isNaN($("#amount").val()) || isNaN($("#quantity").val()) )
	{	
		$("#amount").val('0');
		$("#quantity").val('0');
		$("#net").val('0');
		$("#discount").val('0');
	}
}
function set_default_value_on_empty(v)
{
	if(v=="")
	{
		$("#quantity").val(1);
	}
}
function add_service()
{
	$('#wait_div').show();
	
	//calculate net amount	
	var amt=parseFloat($("#amount").val());
	var discnt=parseFloat($("#discount").val());
	var net=amt-discnt;
	$("#net").val(net);
	
	var services=$("#services").val();
	var sub_services=$("#sub_service").val();
	var item_id=$("#item_id").val();
	var srvc_amount=$("#amount").val();
	var quantity=$("#quantity").val();
	var service_date=$("#service_date").val();
	var service_patient_id=$("#service_patient_id").val();
	var patient_admission_no=$("#patient_admission_no").val();


	$.post("<?=base_url()?>IPD/add_service_for_ipdbilling",{services:services,service_patient_id:service_patient_id,item_id:item_id,'service_amount':srvc_amount,service_date:service_date,quantity:quantity,patient_admission_no:patient_admission_no,discount:discnt,net:net,sub_services:sub_services},function(data){
		$('#wait_div').hide();
		search_services();
		alert("Success");
	});	
}
function search_services()
{
	var from_date=$("#from_date").val();
	var to_date=$("#to_date").val();
	var patient_admission_no=$("#admission_no").val();
	$('#wait_div').show();
	$.post("<?=base_url()?>IPD/search_services",{from_date:from_date,to_date:to_date,patient_admission_no:patient_admission_no},function(data){
		$('#wait_div').hide();
		$('#service_tbl_body').html(data);
	});		
}
function calculate_amount_after_discount(tamount,disc,net)
{
	var disct=$("#"+disc).val();
	if(disct=="")
	{
		$("#"+disc).val('0');
	}
	
	var service_amount=parseFloat($("#"+tamount).val());
	var service_discount=parseFloat($("#"+disc).val());
	
	$("#"+net).val(service_amount-service_discount);
}
function get_doctors_sub_services(service_id)
{
	if(service_id==101)
	{
		$('#wait_div').show();
		$.post("<?=base_url()?>IPD/search_sub_services",{service_id:service_id,category:1},function(data){
			$('#wait_div').hide();
			$('#sub_service').html(data);
		});
	}
	else
	{
		$('#sub_service').html("");
	}
}
</script>
</html>