<?php
require_once('header.php');
?>
	<head>
		<style>
		.wait_modal {
			display: none;
			position: fixed;
			z-index: 15000;
			top: 0;
			left: 0;
			height: 100%;
			width: 100%;
			background: rgba( 255, 255, 255, .8 ) url('http://i.stack.imgur.com/FhHRx.gif') 50% 50% no-repeat;
		}
		</style>
	</head>
	<body class="bacgbg">
		<div id="wrap">
			<div id="main" class="clear-top">
				<header class="header_top_ber1">
				  <?php
				require_once('top_head_section.php');
				?>
				</header>
				<section class="">
				  <div class="container-fluid">
					<div class="row">
					  <div class="col-md-12 mt-3">
						<div class="top_menu">
						  <?php
				require_once('top_menu.php');
				?>
						</div>
					  </div>
					</div>
				  </div>
				</section>
				<section class="main_body mt-3">
					<div class="container-fluid">
						<div class="row">
							<div class="col-md-12 ">
								<div class="dash_box" style="height:auto;">
									<div class="row">
										<div class="col-md-6">
											<div class="row">
												<div class="col-md-6">
													<h5 style="color: #3170ff;">IPD Bill</h5>
												</div>
												<div class="col-md-6 text-right"><a href="#" data-toggle="modal" data-target="#admitted_patient" class="btn btn-info btn-md custom_btn2"><i class="fa fa-search" aria-hidden="true"></i> Admitted Patient</a>
												</div>
											</div>
											<div class="row">
												<div class="col-md-3">
													<label class="col-form-label">Admission No</label>
													<input class="form-control" type="text"  id="admission_no" name="admission_no" onBlur="select_patient(this.value)" required>
												</div>
												<div class="col-md-4">
													<label class="col-form-label">PUID </label>
													<input class="form-control" type="text"  id="patient_uid" name="patient_uid" readonly>
												</div>
												<div class="col-md-5">
													<label class="col-form-label">Name </label>
													<input class="form-control" type="text"  id="patient_name" name="patient_name" readonly>
												</div>
											</div>
											<div class="row">	
												<div class="col-md-3">
													<label class="col-form-label">DOA</label>
													<input class="form-control"  id="doa" name="doa" type="text" readonly>
												</div>
												<div class="col-md-3">
													<label class="col-form-label">DOD</label>
													<input class="form-control"  id="doa" name="doa" type="text" readonly>
												</div>
												<div class="col-md-4">
													<label class="col-form-label">Ward</label>
													<input class="form-control" type="text"  id="ward_name" name="ward_name" readonly>
												</div>
												<div class="col-md-2">
													<label class="col-form-label">BED</label>
													<input class="form-control" type="text"  id="bed_no" name="bed_no" readonly>
												</div>
											</div>
										</div>
										<div class="col-md-4">
											<div class="row">
												<div class="col-md-12">
													<h5 style="color: #3170ff;">Transaction History</h5>
													    <div class="teable_scroll" style="margin-top: 20px;" >
															<table class="table">
																<thead class="thead-dark">
																	<tr>
																	  <th>Rcpt# </th>
																	  <th>Date </th>
																	  <th>Amount</th>
																	  <th>Action</th>
																	</tr>
																</thead>
																<tbody id="transaction_tbl_body">
																	<td colspan="4"> Data not available</td>
																</tbody>
															</table>
														</div>
												</div>
											</div>	
										</div>	
										<div class="col-md-2">
										    <div class="navigate_box">
											<div class="row">
												<div class="col-md-12 text-center">
													<h5 style="color: #3170ff;">Navigate to</h5>
												</div>
											</div>	
											<div class="row mt-2 ">
												<div class="col-md-12 text-center">
													<button  type="button" class="btn btn-info btn-md custom_btn2" onClick="print_interim_bill()">Interim Bill</button>
												</div>
											</div>
											<div class="row mt-2 ">
												<div class="col-md-12 text-center">
													<button  type="button" class="btn btn-info btn-md custom_btn2" onClick="print_summery_bill()">Summery Bill</button>
												</div>
											</div>
											<div class="row mt-2 ">
												<div class="col-md-12 text-center">
													<button  type="button" class="btn btn-info btn-md custom_btn2" onClick="print_final_bill()">Final Bill</button>
												</div>
											</div>
											<div class="row mt-2 ">
												<div class="col-md-12 text-center">
													<button  type="button" class="btn btn-info btn-md custom_btn2" onClick="discharge_patient()">Discharge Clearence</button>
												</div>
											</div>
											</div>
										</div>
									</div>	
								</div>	
							</div>	
						</div>
					</div>
				</section>
			</div>
		</div>
		<footer class="footer">
			<div class="container">
				<div class="row">
					<div class="col-md-12 cpyright-txt">
						<ul class="list-inline">
							<li> <a href="#">Terms &amp; Condition</a> | <a href="#">Privacy Policy</a> | </li>
							<li> © 2021. All Right Reserved. Powered by: <a href="http://infonetics.in/" style="color:#ffc107">Infonetics</a> </li>
						</ul>
					</div>
				</div>
			</div>
		</footer>
	</body>
	<div class="modal" id="admitted_patient">
		<div class="modal-dialog modal-lg">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal">&times;</button>
				</div>
				<!-- Modal body -->
				<div class="modal-body pt-0">
					<div class="row">
						<div class="col-md-12">
							<div class="form-group">
								<label class="col-form-label">Location</label>
									<?php
										$js = 'class="form-control" id="clinic_location"';
										echo form_dropdown('clinic_location',$clinic_location,'',$js);
									?>
							</div>
						</div>
						<div class="col-md-4">
							<div class="form-group">
								<label class="col-form-label">Building</label>
								<?php
								$js = 'class="form-control" id="building" onchange="load_ward()"';
								echo form_dropdown('building',$building_location,'-1',$js);
								?>
							</div>
						</div>
						<div class="col-md-3">
							<div class="form-group">
								<label class="col-form-label">Ward</label>
								<?php
								$wardsName["0"]="--Select--";
								$js = 'class="form-control" id="ward" name="ward" onchange="load_bed()"';
								echo form_dropdown('ward',$wardsName,'1',$js);
								?>
							</div>
						</div>
						<div class="col-md-3">
							<div class="form-group">
								<label class="col-form-label">Bed</label>
								<select id="bed" name="bed" class="form-control">
								</select>
							</div>
						</div>
						<div class="col-md-2">
							<div class="form-group">
								<label class="col-form-label width-100">&nbsp;</label>
								<a href="javascript:void(0)" onClick="get_admitted_patient_list()" class="btn btn-info btn-md custom_btn2"><i class="fa fa-search" aria-hidden="true"></i> Search</a></div>
						</div>
						<div class="col-md-12 mt-3">
							<table class="table">
								<thead class="thead-dark">
									<tr>
										<th>Sl no.</th>
										<th>BED</th>
										<th>Name</th>
										<th>PUID</th>
									</tr>
								</thead>
								<tbody id="tbl_body">
									<tr>
										<td colspan="4">Data Not Available</td>
									</tr>
								</tbody>
							</table>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="wait_modal" id="wait_div"><!-- Place at bottom of page -->
		<p>Please Wait...</p>
	</div>
	<div class="modal " id="dischargeModal" tabindex="-1" role="dialog">
	  <div class="modal-dialog" role="document" style="max-width:800px">
		<div class="modal-content">
		  <div class="modal-header">
			<h5 class="modal-title">Discharge Clearence</h5>
			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
			  <span aria-hidden="true">&times;</span>
			</button>
		  </div>
		  <div class="modal-body">
			<div class="row">
				<div class="col-md-12">
					<div class="row">
							<input type="hidden" id="discharge_admission_no" name="discharge_admission_no" />
							<div class="col-md-3">
								<label class="col-form-label" id="total">Total: 0</label>
							</div>
							<div class="col-md-2">
								<label class="col-form-label" >Discount</label>
								<input type="textbox" id="discount" name="discount" class="form-control" onkeyup="adjust_discount(this.value)">
							</div>
							<div class="col-md-2">
								<label class="col-form-label" >Reason</label>
								<select type="textbox" id="discount_reason" name="discount_reason" class="form-control">
									<option value="N/A">N/A</option>
									<option value="needypatient">Needy patient</option>
									<option value="Staff">Staff</option>
									<option value="doctorrecomendation">Doctor recomendation</option>									
								</select>
							</div>							
							<div class="col-md-3">
								<label class="col-form-label" id="paid">Paid: 0</label>
							</div>
							<div class="col-md-2">
								<label class="col-form-label" id="due">Due: 0</label>
							</div>							
							<div class="col-md-12">
								<label class="col-form-label">Discharge Date</label>
								<div class="input-group date id_4">
									<input type="text"  class="form-control" id="discharge_date" name="discharge_date" required />
									<div class="input-group-addon input-group-append">
										<div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar"></i> </div>
									</div>
								</div>
							</div>
							<div class="col-md-12">
								<label for="id_end_time" class="col-form-label">Discharge Time</label>
								<div class="input-group date id_2">
									<input type="text" name="discharge_time" id="discharge_prefered_time" name="changed_prefered_time"  class="form-control" required />
									<div class="input-group-addon input-group-append">
										<div class="input-group-text"> <i class="glyphicon glyphicon-time fa fa-clock-o"></i> </div>
									</div>
								</div>
							</div>									
					</div>
				
				</div>
			</div>
		  </div>
		  <div class="modal-footer">
			<button id="discharge_button" type="button" onclick="discharge_selected_patient()" class="btn btn-primary" disabled>Discharge</button>
			<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
		  </div>
		</div>
	  </div>
	</div>		

	<!------------------modal---------------------------->
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.9.0/moment-with-locales.min.js"></script>
	<script src="<?=js_url?>bootstrap-datetimepicker.min.js"></script>
	<script src="<?=js_url?>demo.js"></script>
	<script src="<?=js_url?>flaunt.js"></script>
	<script>
		var temp=0;
		var total_amount=0;
		var billed_total=total_paid=0;
		function get_admitted_patient_list()
		{
			var clinic=$("#clinic_location").val();
			var building=$("#building").val();
			var ward=$("#ward").val();
			var bed=$("#bed").val();
			$('#wait_div').show();
			$.post("<?=base_url()?>IPD/get_admitted_patient_list",{bed:bed},function(data){
				$('#wait_div').hide();
				$('#tbl_body').html(data);
			});	
		}
		function select_patient(rec_id)
		{
			$('#wait_div').show();
			$.post("<?=base_url()?>IPD/get_admitted_patient_info",{rec_id:rec_id},function(data){
				$('#wait_div').hide();
				var jsdata=eval('('+data+')');
				$('#admission_no').val(jsdata.admission_no);
				$('#patient_uid').val(jsdata.patient_uid);
				$('#patient_name').val(jsdata.patient_name);
				$('#doa').val(jsdata.admission_date);
				$('#ward_name').val(jsdata.admission_date);
				$('#bed_no').val(jsdata.bed);

				search_transaction();
			
			});		
		}
		function load_ward()
		{
			var building_id=$("#building").val();
			if(building_id!=0)
			{
				$.ajax({
				  type: "POST",
				  url: '<?=base_url()?>Common/get_ward',
				  data: {'building_id':building_id},
				  success: function(data)
							{	
								$("#ward").html(data);
							}
				});
			}	
			
		}
		function load_bed()
		{
			var building=$("#building").val();
			var ward=$("#ward").val();
			$('#wait_div').show();
			$.post("<?=base_url()?>IPD/load_bed",{building:building,ward:ward,bed_status:1},function(data){
				$('#wait_div').hide();
				$('#bed').html(data);
			});	
		}
		function print_final_bill()
		{
			var admission_no=$("#admission_no").val();
			if(admission_no!="")
			{
				window.open('<?=base_url()."IPD/printIpFinalBill/"?>'+admission_no,"blank");
			}
		}
		function print_summery_bill()
		{
			var admission_no=$("#admission_no").val();
			if(admission_no!="")
			{
				window.open('<?=base_url()."IPD/printIpSummeryBill/"?>'+admission_no,"blank");
			}
		}
		function print_interim_bill()
		{
			var admission_no=$("#admission_no").val();
			if(admission_no!="")
			{
				window.open('<?=base_url()."IPD/printIpInterimBill/"?>'+admission_no,"blank");
			}
		}
		function search_transaction()
		{
			var from_date="";
			var to_date="";
			var patient_admission_no=$("#admission_no").val();
			$('#wait_div').show();
			$.post("<?=base_url()?>IPD/search_patient_transaction_with_receiptNo",{from_date:from_date,to_date:to_date,patient_admission_no:patient_admission_no},function(data){
				$('#wait_div').hide();
				$('#transaction_tbl_body').html(data);
			});		
		}
		function discharge_patient()
		{
			if($("#patient_uid").val()!="" &&  $("#patient_uid").val()!=0)
			{
				$("#dischargeModal").modal();
				$("#discharge_admission_no").val($("#admission_no").val());
				calculate_patient_services_total();
				calculate_patient_transaction_total();
			}
			else
			{
				alert("Enter admission no first");
			}
		}
		function discharge_selected_patient()
		{
			var discount=0;
			var adm_no=$("#discharge_admission_no").val();
			var discharge_date=$("#discharge_date").val();
			var discharge_time=$("#discharge_prefered_time").val();
			var discount=$("#discount").val();
			var discount_reason=$("#discount_reason").val();
			var pid=$("#patient_uid").val();
			
			$('#wait_div').show();
			$.post("<?=base_url()?>IPD/discharge_patient",{adm_no:adm_no,discharge_date:discharge_date,discharge_time:discharge_time,'bill_total':billed_total,'total_paid':total_paid,pid:pid,discount:discount,discount_reason:discount_reason},function(data){
				$('#wait_div').hide();
				alert("Discharge Complete");
			});				
		}
		function calculate_patient_services_total()
		{
			billed_total=0;
			var from_date="";
			var to_date="";
			var patient_admission_no=$("#admission_no").val();
			$('#wait_div').show();
			$.post("<?=base_url()?>IPD/calculate_patient_services_total",{from_date:from_date,to_date:to_date,patient_admission_no:patient_admission_no},function(data){
				$('#wait_div').hide();
				$('#total').html("Total : "+data);
				billed_total=data;
			});		
		}
		function calculate_patient_transaction_total()
		{
			total_paid=0;
			var from_date="";
			var to_date="";
			var patient_admission_no=$("#admission_no").val();
			$('#wait_div').show();
			$.post("<?=base_url()?>IPD/calculate_patient_transaction_total",{from_date:from_date,to_date:to_date,patient_admission_no:patient_admission_no},function(data2){
				$('#wait_div').hide();
				$("#paid").html("Paid : "+data2);
				total_paid=data2;
				$("#due").html("Due : "+(billed_total-total_paid));
				if((billed_total-total_paid)==0)
				{
					$("#discharge_button").prop("disabled",false);
				}
			});		
		}
		function adjust_discount(discount_amount)
		{
			if(discount_amount==(billed_total-total_paid))
			{
				$("#due").html("Due : "+((billed_total-total_paid)-discount_amount));
				$("#discharge_button").prop("disabled",false);
			}
			else
			{
				$("#due").html("Due : "+((billed_total-total_paid)-discount_amount));
				$("#discharge_button").prop("disabled","disabled");
			}
		}
	
	</script>
</html>