<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Print Bill</title>
</head>

<body>
			<style>
		@media print {
			.no-print {
			display: none !important;
		}
		}
		.custom-btn {
			background: rgba(0, 0, 0, 0) linear-gradient(to bottom, #f00 0%, #f00 100%) repeat scroll 0 0;
			border: 1px solid #f00;
			border-radius: 2px;
			color: #fff;
			font-size: 14px;
			cursor: pointer;
			padding:10px;
		}
		</style>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
		<script>
			function printDiv(divName) {
				

				window.print();
			   
			}

		</script>
		<div class="no-print">
			<input type="button" onclick="printDiv('billbody')" value="Print" class="pull-right btn btn-default custom-btn" style="float:right;"  />
		</div>
	<div style="width:1024px; margin:0px auto;">
		<table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-family:Arial, Helvetica, sans-serif; font-size:16px;">
			<tr>
				<td>
					<table width="100%" border="0" cellspacing="0" cellpadding="0">
						<tr>
							<td valign="top">
								<table width="100%" border="0" cellspacing="0" cellpadding="0">
									<tr>
									  <td width="90"><img src="<?=images_url?>logo.png" width="80" height="80" alt="" /></td>
									  <td style="line-height:24px;">
									  <span style="font-size:24px; font-weight:bold;"><?= $clinic_details->clinic_name; ?></span><br/>
									   <?=$clinic_details->address;?><br/>
										<?=$clinic_details->address2;?>,
										<?=$clinic_details->city;?>-<?=$clinic_details->pin;?></td>
									</tr>
								</table>
							</td>
							<td align="right">
								<table border="0" cellspacing="0" cellpadding="0">
									<tr>
									  <td style="padding:4px 0px;"><strong>Phone:</strong><?=$clinic_details->phone;?></td>
									</tr>
									<tr>
									  <td style="padding:4px 0px;"><strong>E-mail:</strong><?=$clinic_details->email;?></td>
									</tr>
									<tr>
									  <td style="padding:4px 0px;"><strong>Web: </strong><?=$clinic_details->website;?></td>
									</tr>
							  </table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td style="font-size:24px; font-weight:bold; text-transform:uppercase; color:#3181c7; text-align:center;">Receipt</td>
			</tr>
			<tr>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>
					<table width="100%" border="0" cellspacing="0" cellpadding="0">
						<tr>
							<td>
								<table width="100%" border="0" cellspacing="0" cellpadding="6">
									<tr>
										<td>PUHID:</td>
										<td><?=$patient_recipt_details->patient_uid;?></td>
									</tr>
									<tr>
										<td>Patient Name:</td>
										<td><?= $patient_personal_record->salutation." ".$patient_personal_record->full_name; ?></td>
									</tr>
									<?php
										$dateOfBirth = date('Y-m-d',strtotime($patient_personal_record->dob));
										$today = date("Y-m-d");
										$diff = date_diff(date_create($dateOfBirth), date_create($today));
										$cur_age=$diff->format('%y');
													
										if($patient_personal_record->sex==1)
											$gender="Female";
										else if($patient_personal_record->sex==2)
											$gender="Male";
										else
											$gender="Others";
										
										$sexage=$cur_age." Years / ".$gender;
									?>
									<tr>
									  <td>Age/Sex:</td>
									  <td><?= $sexage; ?></td>
									</tr>
									<tr>
									  <td>Mobile No:</td>
									  <td><?= $patient_personal_record->mobile; ?></td>
									</tr>
									<tr>
									  <td valign="top">Address:</td>
									  <td><?= $patient_personal_record->address1.",".$patient_personal_record->address2;?> <br/>
									  <?= $patient_personal_record->city."-".$patient_personal_record->pin; ?></td>
									</tr>
								</table>
							</td>
							<td align="right">
								<table border="0" cellspacing="0" cellpadding="6">
									<tr>
										<td>Receipt No:</td>
										<td><?=$patient_recipt_details->receipt_prefix.$patient_recipt_details->uid; ?></td>
									</tr>
									<tr>
										<td>Receipt Date/Time:</td>
										<td><?=date("d-m-Y",strtotime($patient_recipt_details->voucher_date))."/".date("h:m A",strtotime($patient_recipt_details->voucher_time)) ?></td>
									</tr>
									<tr>
										<td>Consulting Doctor:</td>
										<td>Dr.<?=$admission_details->treating_doctor_name; ?></td>
									</tr>
									<tr>
										<td>Referred By:</td>
										<td>Dr.<?=$admission_details->treating_doctor_name; ?></td>
									</tr>
									<tr>
										<td>Sponsor:</td>
										<td>nil</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>
					<table width="100%" border="0" cellspacing="0" cellpadding="8">
						<tr >
							<td style="border-bottom:2px dashed #000; border-top:2px dashed #000;">Sl.</td>
							<td style="border-bottom:2px dashed #000; border-top:2px dashed #000;">Date</td>
							<td style="border-bottom:2px dashed #000; border-top:2px dashed #000;">Payment Mode</td>
							<td style="border-bottom:2px dashed #000; border-top:2px dashed #000;">Instrument/Card No</td>
							<td align="right" style="border-bottom:2px dashed #000; border-top:2px dashed #000;">Net Amount (Rs)</td>
						</tr>
          
								<?php
							$srl=1;
							$line_gross_bill_amount=0.00;
							$line_total_discount_amount=0.00;
							$line_net_amount=0.00;
							$row_flag=1;
						//	foreach($patient_recipt_details as $row)
						//	{
								if($patient_recipt_details->payment_mode==1){$payMode="Cash";}
								if($patient_recipt_details->payment_mode==2){$payMode="Debit Card";}
								if($patient_recipt_details->payment_mode==3){$payMode="Credit Card";}
								if($patient_recipt_details->payment_mode==4){$payMode="Cheque";}
								if($patient_recipt_details->payment_mode==5){$payMode="Wallet/UPI";}
								?>
								<tr>
									<td><?=$srl ;?></td>
									<td><?=date("d-m-Y",strtotime($patient_recipt_details->voucher_date)); ?></td>
									<td><?=$payMode;?></td>
									<td><?=$patient_recipt_details->card_instrument_no;?></td>
									<td align="right"><strong><?=number_format(($patient_recipt_details->net_amount),2) ;?></strong></td>
								</tr>
								<?php
									$srl++;
							//}
								?>
					</table>  
				</td>
			</tr>
			<tr>
				<td height="20">&nbsp;</td>
			</tr>
			<tr>
				<td>
					<?php echo "Received with thanks from ".$patient_personal_record->salutation." ".$patient_personal_record->full_name." the sum of ".getIndianCurrencyInWord($patient_recipt_details->net_amount)." toward ".$patient_recipt_details->toward."." ?>
				</td>
			</tr>
			<tr>
				<td height="60">&nbsp;</td>
			</tr>
			<tr>
				<td>
					<table width="100%" border="0" cellspacing="0" cellpadding="0">
						<tr>
							<td align="left">------------------------------------------<br/>
								Signature <br/>
							</td>
						</tr>
						<tr>
							<td height="10">&nbsp;</td>
						</tr>
						<tr>
							<td align="left">Generated By: <?= $patient_recipt_details->employee_name;?></td>
							<td align="right">Generated Date: <?=date("d-m-Y h:i A"); ?></td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</div>
</body>
</html>