<!doctype html>
<html lang="en">
	<head>
		<!-- Required meta tags -->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
		<link rel="shortcut icon" type="image/png" href="<?=images_url?>favicon.png"/>
		<title><?=PROJECT_NAME?></title>
		<link href="https://fonts.googleapis.com/css?family=Nunito+Sans:300,400,600,700,800&display=swap" rel="stylesheet">
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.9/dist/css/bootstrap-select.min.css">
		<script src="https://kit.fontawesome.com/d980747999.js"></script>
		<!-- Custom styles for this template -->
		<!-- <link href="<?=css_url?>animate.css" rel="stylesheet"> -->
		<!-- CSS | Theme Color -->
		<link href="<?=css_url?>style.css" rel="stylesheet">
		<link href="<?=css_url?>media.css" rel="stylesheet">
		<!--  <link rel="stylesheet" type="text/css" href="<?=css_url?>flatmenu.css" media="all"/> -->
	</head>
	<body>
		<div id="wrap">
			<div id="main" class="clear-top">
				<?php include("header.php"); ?>
					<section class="section welcome_section pt-5 pb-5 clearfix">
						<div class="container">
							<div class="row">
								<div class="col-sm-9 col-md-7 col-lg-5 mx-auto">
									<div class="card card-signin my-4">
										<div class="card-body">
											<h5 class="card-title text-center">Sign In</h5>
												<form class="form-signin" action="<?=base_url()."Patient/loginValidation"?>" method="post">
													<span class="text-danger"><?=(isset($_SESSION['error']))?$_SESSION['error']:''?></span>
														<div class="form-label-group">
															<label for="inputEmail">Please enter your register mobile number to get access</label>
															<input class="form-control custom_form" id="user_mobile" name="user_mobile" required="" autofocus="">
															<span style="font-size:11px;"><em>An OTP will be send to this number</em></span>
														</div>

														<button class="btn custom_btn_n  text-uppercase" type="button">Send</button>
															<hr class="my-4">
																<div class="form-label-group">
																	<label for="inputEmail">Please enter the OTP for authentication</label>
																	<input class="form-control custom_form" id="user_otp" name="user_otp" required="" autofocus="">
																</div>
																<button class="btn custom_btn_n text-uppercase" type="submit">Submit</button>
																<span style="font-size:11px; width:100%; display:block; padding-top:5px;"><em>By signing up, I agree to the terms &amp; conditions, privacy &amp; refund policy.</em></span>
								 
															<hr class="my-4">
																<div class="col-md-12 text-center"> New Patient? <a style="color:#000;" href="https://ncportal.in/medxpertBeta/Patient/signup">Click here to Register</a></div>
												</form>
										</div>
									</div>
								</div>
							</div>
						</div>
					</section>
			</div>
		</div>
		<?php include("footer.php"); ?>

		<!-- Bootstrap core JavaScript
			================================================== --> 
		<!-- Placed at the end of the document so the pages load faster --> 

		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script> 
		<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script> 
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script> 
		<script type="text/javascript" src="js/flatmenu-responsive.js"></script> 
		<script type="text/javascript">
			$(".jumper").on("click", function( e ) {
				e.preventDefault();
				$("body, html").animate({ 
				scrollTop: $( $(this).attr('href') ).offset().top 
				}, 600);
			});
		</script>
	</body>
</html>