<?php
require_once('header.php');
?>    
<body class="bacgbg">  
<div id="wrap">
  <div id="main" class="clear-top">
    <header class="header_top_ber1">
	<?php
	require_once('top_head_section.php');
	?>
    </header>
    
  <section class="">
  <div class="container-fluid">
    <div class="row">
    
        <div class="col-md-12 mt-3">
    <div class="top_menu">
	<?php
	require_once('top_menu.php');
	?>
	</div>
      </div>
    </div>
  </div>
</section>
    <section class="main_body ">
		<div class="container-fluid">
			<div class="row">
				<div class="col-md-12 pt-4 ">
					<div class="dash_box" style="height:auto;">

							<div class="row">
								<div class="col-md-12">
									<div class="form-group">
									
										<div class="row">
											<div class="col-md-2">
												<label class="col-form-label">Diagnosis <span style="color:red">*</span></label>
												<?php
													$js = 'class="form-control" id="diagnosis"';
													echo form_dropdown('diagnosis',$diagnosis_name,-1,$js);
												?>
											</div>
											<div class="col-md-2">
												<label class="col-form-label">On Medicine <span style="color:red">*</span></label>
												<?php
													$js = 'class="form-control" id="medicine"';
													echo form_dropdown('medicine',$medicine_name,-1,$js);
												?>
											</div>											
											
											<div class="col-md-3">
												<label class="col-form-label">Investigation Name</label>
												<?php
													$js = 'class="form-control" id="investigation_param" ';
													echo form_dropdown('investigation_param',$investigation_param_name,-1,$js);//(isset($doctor_record)?$doctor_record->gender:'')
												?>
												
											</div>
											<div class="col-md-2">
												<label class="col-form-label">Operator <span style="font-size: 9px;color:red">[Between value like 100-200]</span></label>
												<select id="operator" name="operator" class="form-control">
													<option value="<">Less than </option>
													<option value=">">Greater than</option>
													<option value="<=">Lessthan Equalto</option>
													<option value=">=">Greaterthan Equalto</option>
													<option value="!=">Not Equalto</option>
													<option value="=">Equalto</option>
													<option value="between">Between</option>
												</select>
											</div>											
											<div class="col-md-1">
												<label class="col-form-label">Inv Value </label>
												<input type="text" id="investigation_value" name="investigation_value" class="form-control" onkeyup="check_inv_value(this.value)">	
											</div>
											<div class="col-md-2">
												<input type="button" name="qry_builder" onclick="build_query()" class="btn btn-info btn-md custom_btn2" value="QRY Builder" style="margin-top:23px">
											</div>

                                        </div>
                                    
									</div>
								</div>
								<div class="col-md-12">
									
										<div class="table_main">
											<table class="table dataTable no-footer">
												<thead>
													<tr>
														<th><input type="checkbox" class="select-on-check-all"  name="checkAll" id="checkAll" value="1"></th>
														<th>Patient ID</th>
														<th>Patient Name</th>
														<th>Sex</th>
														<th>&nbsp;</th>
													</tr>
													<tr id="grid-view-filters" class="filters">
														<td>&nbsp;</td>
														<td><input type="text" class="form-control" onKeyUp="tblFilter(this.value,1)"></td>
														<td><input type="text" class="form-control" onKeyUp="tblFilter(this.value,2)"></td>
														<td><input type="text" class="form-control" onKeyUp="tblFilter(this.value,3)"></td>
														<td>&nbsp;</td>
														
													</tr>
												</thead>
												<tbody id="listBody">

												</tbody>
											</table>
										</div>
									
								</div>
												
							</div>

          </div>
          
         
        </div>
      </div>
    </section>
  </div>
</div>
<footer class="footer">
<?php
require_once('footer.php');
?>
</footer>
</body> 
<?php
require_once('common_script.php');
?> 
<script>
function build_query()
{
	var diagnosis=$("#diagnosis").val();
	var medicine=$("#medicine").val();
	var investigation_param=$("#investigation_param").val();
	var investigation_value=$("#investigation_value").val();
	var operator=$("#operator").val();
	$.post("<?=base_url()?>Research/build_query",{'diagnosis':diagnosis,'medicine':medicine,investigation_param:investigation_param,investigation_value:investigation_value,operator:operator},function(data){
			alert("Success");
			$("#listBody").html(data);
		});	
}
function check_inv_value(inv_val)
{
	var operator=$("#operator").val();
	if(operator!="between")
	{
		if(isNaN(inv_val))
		{
			alert("Only number allowed here when between operator not used");
			$("#investigation_value").val("");
		}
	}
	else
	{
		if(isNaN(inv_val))
		{
			var result = inv_val.match(/[<>!=*@#$%&)(+/]/);
			var azChk = inv_val.match(/[a-z]/);
			var hif_pos=inv_val.indexOf("-");
			if(result!=null || hif_pos==0 || azChk!=null)
			{
				alert("When between operator is selected then only '-' is allowed between value.\nExample: 100-200");
				$("#investigation_value").val("");
			}
		}
	}		
		
}
<?php
if(isset($_REQUEST['']))
{
	
}
?>
</script>
</html>    