<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed'); ?>
<?php

class Common_fetch_model extends CI_Model
{
	public function fetch_state()
	{
		$qry="SELECT `uid`, `statedist_name` FROM `state_dist` WHERE state_tag=0 ORDER BY `statedist_name`";
		$query=$this->db->query($qry);
		$options = array();
		foreach($query->result_array() as $row)
		{
		   $options [$row['uid']] = $row['statedist_name'];
		}
		return $options;
	}
	public function fetch_district($stateId)
	{
		$qry="select uid,statedist_name from state_dist where state_tag=$stateId order by statedist_name";
		$query=$this->db->query($qry);
		$options = array();
		foreach($query->result_array() as $row)
		{
		   $options [$row['uid']] = $row['statedist_name'];
		}
		return $options;
	}
	public function fetch_country()
	{
		$qry="SELECT `uid`, `country_name` FROM `country_tbl` ORDER BY `country_name`";
		$query=$this->db->query($qry);
		$options = array();
		foreach($query->result_array() as $row)
		{
		   $options [$row['uid']] = $row['country_name'];
		}
		return $options;
	}
/*	
	public function fetch_clinic_details($clinic_id)
	{
		$qry="SELECT `uid`, `clinic_name`,phone,email,address,address2,city,pin,district,gst,cin FROM `clinic` where uid=$clinic_id and active_flag=1";
		$query=$this->db->query($qry);
		return $query->row();		
	}*/
    public function fetch_unit()
	{
		$qry="SELECT `uid`, `unit_abbr` FROM `investigation_unit` where show_flag=1 order by  unit_abbr";
		$query=$this->db->query($qry);
		$options = array();
		foreach($query->result_array() as $row)
		{
		   $options [$row['uid']] = $row['unit_abbr'];
		}
		return $options;
	}
	   public function fetch_method()
	{
		$qry="SELECT `uid`, `topic` FROM `masterdb` where  trap=11 order by  topic";
		$query=$this->db->query($qry);
		$options = array();
		foreach($query->result_array() as $row)
		{
		   $options [$row['uid']] = $row['topic'];
		}
		return $options;
	}
	   public function fetch_instrument()
	{
		$qry="SELECT `uid`, `topic` FROM `masterdb` where  trap=12 order by  topic";
		$query=$this->db->query($qry);
		$options = array();
		foreach($query->result_array() as $row)
		{
		   $options [$row['uid']] = $row['topic'];
		}
		return $options;
	}
	public function fetch_medicine_form()
	{
		$qry="SELECT `uid`, `topic` FROM `masterdb` where  trap=26 order by  topic";
		$query=$this->db->query($qry);
		$options = array();
		foreach($query->result_array() as $row)
		{
		   $options [$row['uid']] = $row['topic'];
		}
		return $options;
	}
	

	 public function fetch_department()
	{
		$qry="SELECT `uid`, `misc_name` FROM `misc_master` where tag=800 order by misc_name";
		$query=$this->db->query($qry);
		$options = array();
		foreach($query->result_array() as $row)
		{
		   $options [$row['uid']] = $row['misc_name'];
		}
		return $options;
	}
	public function fetch_department_by_name($text)
	{
		$qry="SELECT `uid`, `department_name` FROM `department` where active_flag=1 and department_name like '$text%' order by department_name";
		$query=$this->db->query($qry);
		return $query->result();		
	}
	public function get_vaccine_list()
	{
		$qry="SELECT uid,vaccine_name FROM vaccine_master order by vaccine_name";
		$query=$this->db->query($qry);	

		$options = array();
		$options ['-1'] = "-- Select vaccine --";
		foreach($query->result_array() as $row)
		{
		   $options [$row['uid']] = $row['vaccine_name'];
		}
		return $options;		
	}	
	public function delete_record($tableName,$fieldName,$deleteID)
	{
		$this->db->where($fieldName,$deleteID);
		$result=$this->db->delete($tableName);
	}
	public function	get_patient_name($text)
	{
		$qry="SELECT `uid`, `full_name`,sex,age,mobile FROM `patient` where full_name like '$text%'";
		$query=$this->db->query($qry);
		return $query->row();	
	}	
	public function	get_patient_basic_details($patient_id)
	{
		$qry="SELECT `uid`,salutation,`full_name`,sex,dob,mobile,phone,email,address1,address2,city,police_station,state_code,district,country,pin,category,diet,patient_type,blood_group,anniversary,occupation,referred_by FROM `patient` where uid=$patient_id";
		$query=$this->db->query($qry);
		return $query->row();	
	}
	public function get_last_bill_no()
	{
		$qry="SELECT `uid`, bill_no FROM `billing` order by uid desc";
		$query=$this->db->query($qry);
		return $query->row();
	}
	public function get_doctors_name($department_id,$doctor_name)
	{
		//$qry="SELECT uid,full_name from employee where full_name like '%$text%' and type=1";
		$qry="SELECT emp.uid,`full_name`,`qualification`,consultation_fees,reporting_fees FROM employee emp,clinic_dept_doc_fees doc where emp.uid=doc.doctor_uid and doc.department_uid='$department_id' and full_name like '$doctor_name%' and type=1 and doc.clinic_uid=".$_SESSION['clinicId'];
		$query=$this->db->query($qry);
		return $query->result();//passing all result to controller		
	}
	public function get_allocated_menu_list($user_id)
	{
		$qry="SELECT menu_id from employee_module where employee_uid =$user_id";
		$query=$this->db->query($qry);
		return $query->result();//passing all result to controller			
	}
	function generate_patient_uid($patient_name,$mobileno)//
	{
		$a = 31;
		$sumletter=0;
		$n = strlen($patient_name); 
		for ($i = 0; $i < $n; $i++)  
		{
			//  print((ord($patient_name[$i])&($a))." ");
			$sumletter=$sumletter+(ord($patient_name[$i])&($a));
		}
		$addno=intval("0011111100");
		$puid=date("Y").($mobileno+$sumletter+$addno);
		return $puid;
	
	}
	function get_agent_name_list()
	{
		$qry="SELECT `uid`, `ledger_name` FROM `ledger_master` where agent_flag=1 order by ledger_name";;
		$query=$this->db->query($qry);

		$options = array();
		$options ['-1'] = "-- Select Name --";
		foreach($query->result_array() as $row)
		{
		   $options [$row['uid']] = $row['ledger_name'];
		}
		return $options;						
	
	}

	public function get_all_doctors_name_list()
	{

		$qry="SELECT uid,full_name,department FROM employee where type=1";
		$query=$this->db->query($qry);
		$options = array();
		$options ['-1'] = "-- Select Name --";
		foreach($query->result_array() as $row)
		{
		   $options [$row['uid']] = $row['full_name'];
		}
		return $options;	
	}
	public function get_all_doctors_names_notAsDropDown()
	{
		$this->db->select('uid,full_name,department');
		$this->db->from('employee');
		$this->db->where('type', 1);
		$query = $this->db->get();
		return $query->result();		
	
	}	
/*-----------------new----------------------------*/
	public function fetch_module_name($module_uid)
	{
		$this->db->select('module_name');
		$this->db->from('module');
		$this->db->where('uid', $module_uid); 
		$this->db->order_by('module_name');
		$query = $this->db->get();
		return $query->row();
	}
	public function fetch_all_module_name()
	{
		$this->db->select('uid,module_name');
		$this->db->from('module');
		$this->db->order_by('module_name');
		$query = $this->db->get();
		$options = array();
		$options ['-1'] = "-- Select Name --";
		foreach($query->result_array() as $row)
		{
		   $options [$row['uid']] = $row['module_name'];
		}
		return $options;		
	}	
	public function fetch_medicine_list($no_of_record=0)	
	{
		if($no_of_record==0)//all medicine
			$this->db->select('m.uid,medicine_name,g.generic_name,form,madeby,strength,schedule,price');
		else
			$this->db->select('m.uid,medicine_name,g.generic_name,form,madeby,strength,schedule,price');
		$this->db->from('medicine m');
		$this->db->join('medicine_generic mg', 'm.uid=mg.medicine_uid');
		$this->db->join('generic g', 'g.uid=mg.generic_uid');
		if($no_of_record!=0)
			$this->db->limit($no_of_record);
		$this->db->order_by('uid','DESC');
		$query = $this->db->get();
		return $query->result();//passing all result to controller		
	}
	public function fetch_departmental_doctors_name($department_id=0)
	{
	$this->db->select('uid,full_name,department');
	$this->db->from('employee');
	if($department_id!=0)
	$this->db->where('department', $department_id);
	$this->db->where('type', '1');
	$query=$this->db->get();
	return $query->result();//passing all result to controller
	}
	public function fetch_generic_list($text)	
	{
		$this->db->select('uid,generic_name');
		$this->db->from('generic');
		$this->db->like('generic_name', $text);
		$query=$this->db->get();
		return $query->result();
	}
	public function fetch_medicine_record($medicine_id)
	{ 
		$this->db->select('uid,medicine_name,madeby,contradictions,strength,form,schedule,price,dosage_adult_eng,dosage_adult_bng,dosage_child_eng,dosage_child_bng,precautions,drug_category,show_app,show_pharmacy,active_flag');
		$this->db->from('medicine');
		$this->db->where('uid', $medicine_id);
		$query=$this->db->get();
		return $query->row();		
	}
	public function fetch_medicine_generic_record($medicine_id)
	{
		$this->db->select('mg.uid,mg.medicine_uid,g.uid as generic_uid,g.generic_name');
		$this->db->from('medicine_generic mg');
		$this->db->join('generic g', 'g.uid=mg.generic_uid');
		$this->db->where('mg.medicine_uid', $medicine_id);		
		$query = $this->db->get();
		return $query->result();		
	}
	public function fetch_medicine_form_by_id($id)
	{
		$this->db->select('uid, topic FROM `masterdb` where  trap=26 and ');
		$this->db->from('masterdb');
		$this->db->where('trap', '26');
		$this->db->where('uid', $id);
		$query=$this->db->get();
		return $query->row();		
	}
	public function fetch_medicine_list_by_name($text)	
	{
		$this->db->select('uid,medicine_name,form,madeby ');
		$this->db->from('medicine');
		$this->db->like('medicine_name', $text);
		$query=$this->db->get();
		return $query->result();		
	}
	public function fetch_charge_list_by_name($text,$chargeService)	
	{
		$this->db->select('t1.uid,item_name,service_uid,misc_name,amount,t1.clinic_uid,clinic_name');
		$this->db->from('charges t1');
		$this->db->join('misc_master t2', 't2.uid=t1.service_uid');
		$this->db->join('clinic t3', 't3.uid=t1.clinic_uid');
		$this->db->where('service_uid', $chargeService);
		//if($searchOn==3)
		//{	
		$this->db->like('item_name', $text);
	//	}
		$query=$this->db->get();
		return $query->result();		
	}
	public function fetch_doctor_name_by_id($doctor_id)
	{
		$this->db->select('uid,`full_name`');
		$this->db->from('employee');
		$this->db->like('uid', $doctor_id);
		$query=$this->db->get();
		return $query->row();
	}
	public function fetch_patient_using_search_filter($pid,$pname_txt,$mobile)
	{
		//$pname='%'.$pname_txt.'%';
		$this->db->select('uid,old_puid,`full_name`,mobile,sex,dob');
		$this->db->from('patient');
		if($pid!="")
			$this->db->where('uid', $pid);
		if($pname_txt!="")
			$this->db->like('full_name', $pname_txt);
		if($mobile!="")
			$this->db->like('mobile', $mobile);
		$query=$this->db->get();
		return $query->result();
	}
	public function fetch_supplier_using_search_filter($pid,$pname_txt,$mobile)
	{
		//$pname='%'.$pname_txt.'%';
		$this->db->select('uid,`supplier_name`,mobile,address,gst');
		$this->db->from('supplier_master');
		if($pid!="")
			$this->db->where('uid', $pid);
		if($pname_txt!="")
			$this->db->like('supplier_name', $pname_txt);
		if($mobile!="")
			$this->db->like('mobile', $mobile);
		$query=$this->db->get();
		return $query->result();
	}	
	public function get_doctor_fees($doctor_uid)
	{
		$this->db->select('consultation_fees,reporting_fees,consultation_ip_fees,econsultancy_fees');
		$this->db->from('clinic_dept_doc_fees');
		$this->db->where('doctor_uid', $doctor_uid);
		$this->db->where('clinic_uid', $_SESSION['clinicId']);
		$query=$this->db->get();
		return $query->row();		
	}
	public function fetch_investigation_by_name($text,$diagnostics_service_type)
	{
		//if service type is not found list all names
		$this->db->select('i.uid,test_name,ir.fees');
		$this->db->from('investigation i');
		$this->db->join('investigation_rate ir', 'i.uid=ir.investigation_uid');
		if($diagnostics_service_type==103)//lab
			$this->db->where('category', 1);		
		if($diagnostics_service_type==104)//Non lab
			$this->db->where('category', 2);		
		
		$this->db->where('clinic_uid', $_SESSION['clinicId']);
		$this->db->like('test_name', $text);			
		
		$query = $this->db->get();
		return $query->result();		
	}

/*	public function fetch_investigation_record($investigation_id)
	{
		$qry="SELECT i.uid,test_name,abbr,group_name,category,criteria,limitation,specimen,app_flag,in_house,duration,patient_tag,department,ir.fees  from investigation i,investigation_rate ir where i.uid = $investigation_id and i.uid=ir.investigation_uid and ir.clinic_uid=".$_SESSION['clinicId'];
		$query=$this->db->query($qry);
		return $query->row();//passing all result to controller		
	}*/
/*-----------------new----------------------------*/

///---------------Currently working OLD QUERY---------------------///
	public function check_generic_ids_duplicate_maching($generic_uid,$patient_id,$visit_no)
	{
		$qry="SELECT count(mg.uid) as 'no_of_record' FROM visit_medicine_advice ma,medicine_generic mg WHERE mg.medicine_uid=ma.medicine_uid and mg.generic_uid=$generic_uid and ma.patient_uid=$patient_id and ma.visit_register_sequence=$visit_no";
		$query=$this->db->query($qry);	
		return $query->row();		
	}


///---------------Currently working OLD QUERY---------------------///
    public function fetch_clinic($clinic_category)
	{
		if($clinic_category==0)
		{
			$qry="SELECT `uid`, `clinic_name` FROM `clinic` where active_flag=1 order by clinic_name";
		}
		if($clinic_category==1)
		{
			$qry="SELECT `uid`, `clinic_name` FROM `clinic` where active_flag=1 and category=1 order by clinic_name";
		}
		if($clinic_category==2)
		{
			$qry="SELECT `uid`, `clinic_name` FROM `clinic` where active_flag=1 and category=2 order by clinic_name";
		}
		$query=$this->db->query($qry);
		$options = array();
		$options ["0"] = "-- Select --";
		foreach($query->result_array() as $row)
		{
		   $options [$row['uid']] = $row['clinic_name'];
		}
		return $options;
	}
	public function fetch_department_by_clinic($clinic_id=0)
	{
		if($clinic_id==0)
			$qry="SELECT distinct(department_uid), d.misc_name FROM clinic_dept_doc_fees cdc,misc_master d where d.uid=cdc.department_uid order by d.misc_name";
		else
			$qry="SELECT department_uid, d.misc_name FROM clinic_dept_doc_fees cdc,misc_master d where d.uid=cdc.department_uid and cdc.clinic_uid=$clinic_id order by d.misc_name";
		
		$query=$this->db->query($qry);
		$options = array();
		$options ['-1'] = "-- Select Department --";
		foreach($query->result_array() as $row)
		{
		   $options [$row['department_uid']] = $row['misc_name'];
		}
		return $options;
	
	}
	public function fetch_doctors_by_department_by_clinic($clinic_id=0,$department)
	{
		if($department==-1)
			$qry="SELECT doctor_uid, d.full_name,d.qualification,designation,photo_url FROM clinic_dept_doc_fees cdc,employee d where d.uid=cdc.doctor_uid and cdc.clinic_uid=$clinic_id";
		else if($clinic_id==0 || $clinic_id==-1)	
			$qry="SELECT distinct(doctor_uid), d.full_name,d.qualification,designation,photo_url FROM clinic_dept_doc_fees cdc,employee d where d.uid=cdc.doctor_uid and cdc.department_uid=$department";
		else
			$qry="SELECT doctor_uid, d.full_name,d.qualification,designation,photo_url FROM clinic_dept_doc_fees cdc,employee d where d.uid=cdc.doctor_uid and cdc.clinic_uid=$clinic_id and cdc.department_uid=$department";
		$query=$this->db->query($qry);
		return $query->result();		
	}
	public function fetch_ward_by_building($building_id=0)
	{
		if($building_id==0)
			$qry="SELECT distinct(ward_uid), T2.misc_name FROM bed_master T1,misc_master T2 where T1.ward_uid=T2.uid and T1.building_uid=$building_id";
		
		else
				$qry="SELECT distinct(ward_uid), T2.misc_name FROM bed_master T1,misc_master T2 where T1.ward_uid=T2.uid";
		$query=$this->db->query($qry);
		return $query->result();		
	}
	public function fetch_selected_doctor_detail($doctor_id)
	{
		$qry="SELECT  `uid`, `salutation`, `full_name`, `type`, `category`, `mobile`, `mobile2`, `password`, `default_module_id`, `department`, `email`, `clinic_uid`, `gender`, `reg_no`, `designation`, `qualification`, `address1`, `city`, `police_station`, `state`, `district`, `pin`, `pan_no`, `aadhar_no`, `bank_account`, `ifsc_code`, `bank_name`, `branch_name`, `doctorSpl`, `advice_permission`, `allowed_discount_percentage`, `photo_url`, `show_app`, `show_pharmacy`, `active_flag`,allowed_group FROM employee where uid=$doctor_id";
		$query=$this->db->query($qry);
		return $query->row();		
		}
	public function fetch_clinic_details($clinic_id)
	{
		$this->db->select("`uid`,`clinic_name`,phone,email,address,address2,city,pin,district,gst,cin,website,print_with_header_flag");
		$this->db->from('clinic');
		$this->db->where('uid',$clinic_id);
		$query = $this->db->get();
		return $query->row();
	}
	public function fetch_all_admin_items_list()
	{
		$this->db->select("`uid`,`item_name`,service_uid,amount");
		$this->db->from('charges');
		$this->db->where('service_uid',102);
		$query = $this->db->get();
		$options = array();
		foreach($query->result_array() as $row)
		{
		   $options [$row['uid']] = $row['item_name'];
		}
		return $options;		
	}
	public function fetch_item_by_id($item_uid)
	{
		$this->db->select("`uid`,`item_name`,service_uid,amount");
		$this->db->from('charges');
		$this->db->where('uid',$item_uid);
		$query = $this->db->get();
		return $query->row();
	}
	public function fetch_item_by_service_id($service_id)
	{
		$this->db->select("`uid`,`item_name`,service_uid,amount");
		$this->db->from('charges');
		$this->db->where('service_uid',$service_id);
		$query = $this->db->get();
		return $query->result();
	}	
	/*this function may not used in future*/
	public function fetch_procedure_list_by_name($text)
	{
	$this->db->select('pm.uid,procedure_name,procedure_type,procedure_charge');
	$this->db->from('procedure_master pm');
	$this->db->join('procedure_rate pr', 'pm.uid=pr.procedure_uid');
	$this->db->where('pr.clinic_uid', $_SESSION['clinicId']);
	$this->db->like('procedure_name', $text);

	$query = $this->db->get();
	return $query->result();
	}
	/*this function may not used in future*/
	public function fetch_charge_list_by_name_and_service($text,$service_id)
	{
	$this->db->select('c.uid,item_name,amount');
	$this->db->from('charges c');
	$this->db->where('c.clinic_uid', $_SESSION['clinicId']);
	$this->db->where('c.active_flag', 1);
	$this->db->where('c.service_uid', $service_id);
	$this->db->like('item_name', $text);

	$query = $this->db->get();
	return $query->result();
	}	
	public function fetch_doctor_by_name($text)
	{
	$this->db->select('uid,`full_name`');
	$this->db->from('employee');
	$this->db->where('type', 1);
	$this->db->like('full_name', $text);
	$query=$this->db->get();
	return $query->result();
	}	
	public function fetch_sex_txt($sex_code)
	{
		switch($sex_code)
		{
			case 1:
				$sextxt="Female";
				break;
			case 2:
				$sextxt="Male";
				break;
			case 3:
				$sextxt="Others";
				break;	
		}
		return $sextxt;
	}
	public function fetch_all_service_list($except_service=[])
	{
		if(empty($except_service))
			$qry="select uid,misc_name,tag from misc_master where tag=100";
		else
			$qry="select uid,misc_name,tag from misc_master where uid not in (".implode(",",$except_service).") and tag=100";
		$query=$this->db->query($qry);
		$options = array();
		$options ['-1'] = "-- Select Name --";
		foreach($query->result_array() as $row)
		{
		   $options [$row['uid']] = $row['misc_name'];
		}
		return $options;		
	}
	public function fetch_all_service_list_items()
	{
		$this->db->select("uid,misc_name,tag");
		$this->db->from('misc_master');
		$this->db->where('tag',100);
		$query = $this->db->get();
		return $query->result();		
	}	
	public function fetch_all_payment_mode()
	{
		$qry="select uid,misc_name,tag from misc_master where tag=200";
		$query=$this->db->query($qry);
		$options = array();
		$options ['-1'] = "-- Select Name --";
		foreach($query->result_array() as $row)
		{
		   $options [$row['uid']] = $row['misc_name'];
		}
		return $options;		
	}
	public function fetch_all_employee_name($type=0)
	{
		$qry="SELECT uid,`full_name`,discount_grant_permission FROM employee where type=$type and clinic_uid=".$_SESSION['clinicId'];
		$query=$this->db->query($qry);
		$options = array();
		$options ['-1'] = "-- Select Name --";
		foreach($query->result_array() as $row)
		{
		   $options [$row['uid']] = $row['full_name'];
		}
		return $options;		
	}
	public function fetch_all_employee_name_has_discount_permission($type=0)
	{
		$qry="SELECT uid,`full_name`,discount_grant_permission FROM employee where type=$type and discount_grant_permission=1 and clinic_uid=".$_SESSION['clinicId'];
		$query=$this->db->query($qry);
		$options = array();
		$options ['-1'] = "-- Select Name --";
		foreach($query->result_array() as $row)
		{
		   $options [$row['uid']] = $row['full_name'];
		}
		return $options;		
	}	
	public function fetch_all_building_list($clinic_uid)
	{
		$qry="select uid,misc_name,tag from misc_master where tag=700 and active_flag=1 and clinic_uid=$clinic_uid";
		$query=$this->db->query($qry);
		$options = array();
		$options ['0'] = "-- Select Name --";
		foreach($query->result_array() as $row)
		{
		   $options [$row['uid']] = $row['misc_name'];
		}
		return $options;		
	}
	public function fetch_all_package_name_list()
	{

		$qry="SELECT uid,item_name,amount FROM charges where clinic_uid=".$_SESSION['clinicId']." and service_uid=114 and active_flag=1";
		$query=$this->db->query($qry);
		$options = array();
		$options ['-1'] = "-- Select Name --";
		foreach($query->result_array() as $row)
		{
		   $options [$row['uid']] = $row['item_name'];
		}
		return $options;	
	}
	public function fetch_item_charge_by_id($item_id,$service_uid)
	{
			$this->db->select('uid,`amount`');
			$this->db->from('charges');
			$this->db->where('service_uid', $service_uid);
			$this->db->where('uid', $item_id);
			$query=$this->db->get();
			return $query->row();			

	}
	public function fetch_all_service_charge_items_list()
	{
		$qry="SELECT uid,item_name,amount FROM charges where clinic_uid=".$_SESSION['clinicId']." and service_uid=110 and active_flag=1";
		$query=$this->db->query($qry);
		$options = array();
		$options ['-1'] = "-- Select Name --";
		foreach($query->result_array() as $row)
		{
		   $options [$row['uid']] = $row['item_name'];
		}
		return $options;		
	}
	public function fetch_employee_level_discount($emp_id)
	{
		$this->db->select('uid,allowed_discount_percentage');
		$this->db->from('employee');
		$this->db->where('uid',$emp_id);
		$query=$this->db->get();
		return $query->row();			
	}
	public function is_id_password_correct($user_id,$user_password,$user_type)	
	{
		$this->db->select('uid,allowed_discount_percentage');
		$this->db->from('employee');
		$this->db->where('uid',$user_id);
		$this->db->where('password',$user_password);
		$this->db->where('type',$user_type);
		$query=$this->db->get();
		return $query->row();	
	}
	public function fetch_patient_oldPid_record_from_prevdb($patient_id)
	{
		$db2 = $this->load->database('drpscaredb', TRUE);
		$qry="SELECT patientUid,patientName,PatientMobile,patientSex,patientAge,patientSalutation,patientDOB,patientEmail,patientPhone,patientAdd1,patientAdd2,PatientPin,patientCity,patientCountry,PatientState,patientDist,patientBlood,patient_uid_new,isset_patient,patient_uid_new FROM patient_mast where patient_uid_new = $patient_id";
		$query=$db2->query($qry);
		return $query->row();//passing all result to controller		
	}
	public function autoID_flag_check($check_value)	
	{
		$this->db->select('uid,autoid_condition,issetFlag');
		$this->db->from('auto_id_set');
		$this->db->where('autoid_condition',$check_value);
		$query=$this->db->get();
		return $query->row();		
	}
	public function check_mobile_exist($mobile_no)//check mobile no in old database
	{
		$db2 = $this->load->database('drpscaredb', TRUE);
		$qry="SELECT patientUid,patientName,PatientMobile,patientSex,patientAge,patientSalutation,patientDOB,patientEmail,patientPhone,patientAdd1,patientAdd2,PatientPin,patientCity,patientCountry,PatientState,patientDist,patientBlood,patient_uid_new,isset_patient,patient_uid_new FROM patient_mast where PatientMobile = $mobile_no";
		$query=$db2->query($qry);
		return $query->row();//passing all result to controller				
	}
	public function fetch_all_page_name()
	{
		$this->db->select('uid,page_name,page_code,module_code,module_name,active_flag');
		$this->db->from('page_code');
		$this->db->order_by('page_code','ASC');
		$query = $this->db->get();
		return $query->result();		
	}
	public function fetch_page_record($uid)
	{
		$this->db->select('uid,page_name,page_code,module_code,module_name,active_flag');
		$this->db->from('page_code');
		$this->db->where('uid',$uid);
		$query = $this->db->get();
		return $query->row();		
	}
	public function fetch_all_group_name()
	{
		$this->db->select('distinct(group_name)');
		$this->db->from('group_page');
		$this->db->order_by('group_name','ASC');
		$query = $this->db->get();
		return $query->result();		
	}
	public function fetch_group_details($group_name)
	{
		$this->db->select('group_name,page_uid,page_code,create_flag,view_flag,edit_flag,delete_flag,page_name,module_code,module_name');
		$this->db->from('group_page gp');
		$this->db->join('page_code pc', 'pc.page_code=gp.page_uid');		
		$this->db->where('group_name',$group_name);
		$query = $this->db->get();
		return $query->result();		
	}
	//no of record found
	public function select_record($table_name,$condition_fldname,$value)
	{	
		$this->db->select('count('.$condition_fldname.') as no_of_record');
		$this->db->from($table_name);		
		$this->db->where($condition_fldname,$value);
		$query = $this->db->get();
		return $query->row();		
	}
//------------------temp code----------------------------------
	public function fetch_all_medicine_name_list()	
	{
		$db2 = $this->load->database('drpscaredb', TRUE);		
		$db2->select('med_id,med_name');
		$db2->from('med_master');
		$db2->order_by('med_name','ASC');
		$query = $db2->get();
		return $query->result();		
	}
	public function fetch_prevdb_medicine_record($medicine_id)
	{ 
		$db2 = $this->load->database('drpscaredb', TRUE);			
		$db2->select('med_id,med_name');
		$db2->from('med_master');
		$db2->where('med_id', $medicine_id);
		$query=$db2->get();
		return $query->row();		
	}	

//------------------temp code----------------------------------
//fetch all customer name
	public function fetch_all_customer()
	{
		$this->db->select('*');
		$this->db->from('patient');
		$this->db->order_by('full_name','ASC');
		$query=$this->db->get();
		return $query->result();
	}
	public function fetch_all_supplier()
	{
		$this->db->select('*');
		$this->db->from('supplier_master');
		$this->db->order_by('supplier_name','ASC');
		$query=$this->db->get();
		return $query->result();
	}	
}
?>