<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed'); ?>
<?php

class Dialysis_fetch_model extends CI_Model
{
    public function fetch_dialysis_procedures_name($text)
	{
		$qry="SELECT pm.uid,procedure_name,procedure_charge from procedure_master pm,procedure_rate pr where pm.uid=procedure_uid and procedure_name like '%$text%' and procedure_type in (1,2,3)";
		$query=$this->db->query($qry);
		return $query->result();
	/*	$this->db->select("pm.uid,procedure_name,procedure_charge");
		$this->db->from('procedure_master pm');
		$this->db->join('procedure_rate pr', 'pm.uid=procedure_uid');	
		$this->db->where_in('procedure_type');
		$list = array(1, 2, 3);
		$this->db->like('procedure_name',$list);
		$query = $this->db->get();
		return $query->result();*/		
	}
	public function fetch_patient_invoice_details($bill_no)
	{/*
		$qry="SELECT b.uid,order_no,bill_no,service_uid,item_id,service_amount,bill_date,unit_uid,patient_uid,p.salutation,p.full_name as 'patient_full_name',sex,age,p.mobile,p.address1,p.address2,p.city,doctor_uid,e.full_name FROM  billing b,patient p,employee e where bill_no=$bill_no and p.uid=b.patient_uid and b.doctor_id=e.uid";
		$query=$this->db->query($qry);
		return $query->row();*/	
		
		$this->db->select("b.uid,bill_no,billmast_uid,service_uid,item_id,service_amount,bill_date,unit_uid,patient_uid,p.salutation,p.full_name as 'patient_full_name',sex,p.mobile,p.address1,p.address2,p.city,doctor_uid,e.full_name");
		$this->db->from('billing b');
		$this->db->join('patient p', 'p.uid=b.patient_uid');		
		$this->db->join('employee e', 'b.doctor_id=e.uid');		
		$this->db->where('billmast_uid',$bill_no);
		$query = $this->db->get();
		return $query->row();		
	}
	public function fetch_service_id_by_bill_no($bill_no)
	{/*
		$qry="SELECT service_uid,service_amount FROM  billing  where order_no=$order_no";
		$query=$this->db->query($qry);
		return $query->row();*/

		$this->db->select("distinct(service_uid)");
		$this->db->from('billing');
		$this->db->where('billmast_uid',$bill_no);
		$query = $this->db->get();
		return $query->result();		
	}
	public function fetch_patient_service_details($bill_no,$service_id)	
	{
	/*	if($service_id==105)//for dialysis
			$qry="SELECT service_uid,item_id,doctor_id,service_amount,bill_date,full_name,procedure_name FROM  billing t1,employee t2,procedure_master t3  where bill_no=$bill_no and t1.item_id=t3.uid and t1.doctor_id=t2.uid  order by service_uid";
		if($service_id==106)//for procedure billing
			$qry="SELECT service_uid,item_id,doctor_id,service_amount,bill_date,full_name,procedure_name FROM  billing t1,employee t2,procedure_master t3  where bill_no=$bill_no and t1.item_id=t3.uid and t1.doctor_id=t2.uid  order by service_uid";
		if($service_id==107)//for procedure billing
			$qry="SELECT service_uid,item_id,doctor_id,service_amount,bill_date,full_name,procedure_name,operation_details FROM  billing t1,employee t2,procedure_master t3,ot_details t4  where t1.bill_no=$bill_no and t1.item_id=t3.uid and t1.doctor_id=t2.uid and t4.bill_no=t1.bill_no";
		

		if($service_id==120)//for registration record
		{
			$qry="SELECT t1.service_uid,item_id,doctor_id,service_amount,bill_date,t2.full_name,c.item_name FROM  billing t1,employee t2,charges c  where bill_no=$bill_no and t1.item_id=c.uid and t1.doctor_id=t2.uid";
		}*/
		if($service_id==102 || $service_id==105 || $service_id==106 || $service_id==107  )
		{
			$qry="SELECT t1.service_uid,item_id,service_amount,discount_amount,gross_amount,bill_date,c.item_name FROM  billing t1,charges c where billmast_uid=$bill_no and c.uid=t1.item_id and t1.service_uid=$service_id";
		}
		
		$query=$this->db->query($qry);
		return $query->result();//passing all result to controller			
	}
	public function fetch_patient_payment_details($bill_no)
	{
		$this->db->select("payment_mode,net_amount,discount_type,discount,card_instrument_no,instrument_date");
		$this->db->from('bill_receipt');
		$this->db->where('billmast_uid',$bill_no);
		$query = $this->db->get();
		return $query->result();		
	}	
	public function fetch_patient_using_search_filter($pid,$pname_txt,$mobile)
	{
		//$pname='%'.$pname_txt.'%';
		$this->db->select('uid,patient_uid,`patient_name`,mobile,gender,dob');
		$this->db->from('booking_record');
		if($pid!="")
			$this->db->where('patient_uid', $pid);
		if($pname_txt!="")
		{
			$this->db->like('patient_name', $pname_txt);
			$this->db->where('patient_uid!=',0);
		}
		if($mobile!="")
		{
			$this->db->like('mobile', $mobile);
			$this->db->where('patient_uid!=',0);
		}
		$query=$this->db->get();
		return $query->result();
	}	
	function fetch_booked_patient_details($pid)
	{
		$this->db->select("`uid`, `patient_uid`, `service_type`, `date_of_booking`, `clinic_uid`, `treating_doctor_uid`, `hd_slot`, `patient_name`, `gender`, `dob`, `mobile`, `alternative_phone`, `email`, `address1`, `address2`, `city`, `pin`, `state`, `district`, `country`, `blood_group`, `patient_category`, `entry_by`,present_flag");
		$this->db->from('booking_record');
		$this->db->where('patient_uid',$pid);
		$query = $this->db->get();
		return $query->row();	
	}
	function fetch_booked_patient_list($clinic_id,$from_date,$to_date)
	{
		$this->db->select("br.uid, `patient_uid`, `service_type`, `date_of_booking`, br.clinic_uid, `treating_doctor_uid`, `hd_slot`, `patient_name`, br.gender, br.dob, br.mobile, br.alternative_phone, br.email, br.address1, br.address2, br.city, br.pin, br.state, br.district, br.country, br.blood_group, br.patient_category, br.entry_by,present_flag,full_name");
		$this->db->from('booking_record br');
		$this->db->join('employee e', 'e.uid=br.treating_doctor_uid');
		$this->db->where('br.clinic_uid',$clinic_id);
		$this->db->where('date_of_booking>=',$from_date);
		$this->db->where('date_of_booking<=',$to_date);
		$query = $this->db->get();
		return $query->result();	
	}
	public function fetch_booking_record($appo_no)
	{
		$this->db->select('`uid`, `patient_uid`, `service_type`, `date_of_booking`, `clinic_uid`, `treating_doctor_uid`, `hd_slot`, `patient_name`, `gender`, `dob`, `mobile`, `alternative_phone`, `email`, `address1`, `address2`, `city`, `pin`, `state`, `district`, `country`, `blood_group`, `patient_category`, `entry_by`,present_flag,old_tbl_data_flag,isset_patient_flag');
		$this->db->from('booking_record');
		if($appo_no!="")
			$this->db->where('uid',$appo_no);
		$query=$this->db->get();
		return $query->row();//passing all result to controller		
	}
	public function fetch_dialysis_bill_list($from_date,$to_date,$services,$payment_mode,$employee,$bill_section)
	{
		$this->db->select("distinct(b.bill_no),bm.uid,bm.discount_amount,bm.gross_amount,bm.net_amount,b.bill_date,date_of_service,b.patient_uid,p.full_name as patient_name");
		//$this->db->select("sum(b.discount_amount),sum(b.gross_amount)");
		$this->db->from('billing b');
		$this->db->join('bill_receipt pm', 'pm.billmast_uid=b.billmast_uid');		
		$this->db->join('billing_master bm', 'bm.uid=b.billmast_uid');				
		$this->db->join('patient p', 'p.uid=b.patient_uid');				
		$this->db->where('b.bill_date>=',$from_date);		
		$this->db->where('b.bill_date<=',$to_date);
		$this->db->where('b.payment_flag',1);
		$this->db->where('bm.bill_section',$bill_section);
		if($payment_mode!=-1)
		{
			$this->db->where('pm.payment_mode',$payment_mode);
		}
		if($employee!=-1)
		{
			$this->db->where('bm.employee_uid',$employee);
		}
		if($services!=-1)
		{
			$this->db->where('b.service_uid',$services);
		}		
		$this->db->where('b.clinic_uid',$_SESSION['clinicId']);
		$query = $this->db->get();
		return $query->result();		
	}	
		public function fetch_item_list($no_of_record=0,$order="",$issue_method="")
	{
		if($no_of_record==0)//all medicine
		$this->db->select('t1.uid,product_name,product_category,reorder_level,minimum_level,maxium_level,issue_method,t1.clinic_uid');
		else
		$this->db->select('t1.uid,product_name,product_category,reorder_level,minimum_level,maxium_level,issue_method,t1.clinic_uid');
		$this->db->from('product t1');
		$this->db->join('clinic t2', 't2.uid=t1.clinic_uid');
		if($issue_method!="")
			$this->db->where('issue_method',$issue_method);		
		if($no_of_record!=0)
			$this->db->limit($no_of_record);
		if($order!="")
			$this->db->order_by('product_name',$order);
		$query = $this->db->get();
		return $query->result();//passing all result to controller		
	}
	public function fetch_item_list_forDropDown($order="")
	{
		$this->db->select('t1.uid,product_name,product_category,reorder_level,minimum_level,maxium_level,issue_method,t1.clinic_uid');
		$this->db->from('product t1');
		$this->db->join('clinic t2', 't2.uid=t1.clinic_uid');
		if($order!="")
			$this->db->order_by('uid',$order);
		$query = $this->db->get();

		$options = array();
		foreach($query->result_array() as $row)
		{
		   $options [$row['uid']] = $row['product_name'];
		}
		return $options;		
	}	
	public function fetch_item_record($item_id)	
	{
		$this->db->select('t1.uid,product_name,product_category,reorder_level,minimum_level,maxium_level,issue_method,t1.show_app,t1.active_flag,entry_by,t1.clinic_uid');
		$this->db->from('product t1');
		$this->db->join('clinic t2', 't2.uid=t1.clinic_uid');
		$this->db->where('t1.uid',$item_id);
		$query = $this->db->get();
		return $query->row();//passing all result to controller		
	}	
	public function fetch_issues_date_wise($date,$issue_method,$date_to="",$product_uid="-1")
	{
		if($issue_method==1)//patient wise
			$this->db->select('i.uid, `issue_date`, `product_uid`, `quantity`, `unit`,challan_no,vehicle_no, i.patient_uid, i.clinic_uid, i.employee_uid, i.entry_date_time,full_name,pd.product_name');
		if($issue_method==2)//non patient
			$this->db->select('i.uid, `issue_date`, `product_uid`, `quantity`, `unit`,challan_no,vehicle_no, i.patient_uid, i.clinic_uid, i.employee_uid, i.entry_date_time,pd.product_name');
		
		$this->db->from('issue i');
		
		if($issue_method==1)//patient wise
			$this->db->join('patient p', 'p.uid=i.patient_uid');
		
		$this->db->join('product pd', 'pd.uid=i.product_uid');
		if($date_to=="")
		{
			$this->db->where('issue_date',$date);
		}
		else
		{
			$this->db->where('issue_date>=',$date);
			$this->db->where('issue_date<=',$date_to);
		}
		
		if($issue_method==2)//non patient
			$this->db->where('patient_uid',0);
		if($issue_method==1)//patient wise
			$this->db->where('patient_uid!=',0);			
		if($product_uid!="-1")
			$this->db->where('product_uid',$product_uid);	
		$query = $this->db->get();
		return $query->result();//passing all result to controller			
	}
	public function fetch_supplier_issues_date_wise($date_from="",$date_to="")
	{
		$this->db->select('i.uid, `issue_date`, `product_uid`, `quantity`, `unit`,challan_no,vehicle_no, i.patient_uid, i.clinic_uid, i.employee_uid, i.entry_date_time,supplier_name,pd.product_name');
		$this->db->from('issue i');
		$this->db->join('supplier_master p', 'p.uid=i.patient_uid');
		
		$this->db->join('product pd', 'pd.uid=i.product_uid');
		$this->db->where('issue_date>=',$date_from);
		$this->db->where('issue_date<=',$date_to);
		$this->db->where('patient_uid!=',0);			
		$this->db->where('issue_to',2);//get supplier issues only			
			
		$query = $this->db->get();
		return $query->result();//passing all result to controller			
	}	
	public function check_issue_method($product_id)
	{
		$this->db->select('issue_method');
		$this->db->from('product');
		$this->db->where('uid',$product_id);
		$query = $this->db->get();
		return $query->row();//passing all result to controller		
	}
	function fetch_purchase_list($date,$date_to="")
	{
		$this->db->select('p.uid,p.purchase_uid, p.product_uid, `make_uid`, p.quantity, `rate_per_qtn`, `discount`, `total_amount`, p.unit, p.purchase_date, `invoice_no`, p.clinic_uid, p.employee_uid, p.entry_date_time,d.product_name');
		$this->db->from('purchase_details p');
		$this->db->join('product d', 'd.uid=p.product_uid');
		if($date_to=="")
			$this->db->where('purchase_date',$date);
		else
		{
			$this->db->where('purchase_date>=',$date);
			$this->db->where('purchase_date<=',$date_to);
		}
		$this->db->order_by('p.uid','ASC');
		$query = $this->db->get();
		return $query->result();//passing all result to controller			
	}
	function fetch_opening_stock($product_uid)
	{
		$this->db->select('quantity');
		$this->db->from('purchase_details');
		$this->db->where('purchase_uid',11);
		$this->db->where('product_uid',$product_uid);
		$query = $this->db->get();
		return $query->row();//passing all result to controller			
	}
	function fetch_item_total_entry($product_uid)
	{
		$this->db->select('sum(quantity) as tot_qty');
		$this->db->from('purchase_details');
		$this->db->where('purchase_uid',0);
		$this->db->where('product_uid',$product_uid);
		$query = $this->db->get();
		return $query->row();//passing all result to controller			
	}
	function fetch_item_total_issue($product_uid)
	{
		$this->db->select('sum(quantity) as tot_issue_qty');
		$this->db->from('issue');
		$this->db->where('product_uid',$product_uid);
		$query = $this->db->get();
		return $query->row();//passing all result to controller			
	}
	public function fetch_patient_issues_date_wise($date_from,$date_to,$patient_id)
	{

		$this->db->select('i.uid, `issue_date`, `product_uid`, `quantity`, `unit`, i.patient_uid, i.clinic_uid, i.employee_uid, i.entry_date_time,full_name,pd.product_name');
		$this->db->from('issue i');
		$this->db->join('patient p', 'p.uid=i.patient_uid');		
		$this->db->join('product pd', 'pd.uid=i.product_uid');
		$this->db->where('issue_date>=',$date_from);
		$this->db->where('issue_date<=',$date_to);
		$this->db->where('i.patient_uid',$patient_id);
	
		$query = $this->db->get();
		return $query->result();//passing all result to controller			
	}
	public function fetch_group_list($order="")
	{
		$this->db->select('distinct(`group_name`)');
		$this->db->from('item_group');
		//$this->db->join('patient p', 'p.uid=i.patient_uid');		
		//$this->db->join('product pd', 'pd.uid=i.product_uid');
		//$this->db->where('issue_date>=',$date_from);
		//$this->db->where('issue_date<=',$date_to);
		if($order!="")
			$this->db->order_by('group_name',$order);
	
		$query = $this->db->get();
		return $query->result();//passing all result to controller		
	}
	public function fetch_group_items($group_name)
	{
		$this->db->select('item_id,product_name');
		$this->db->from('item_group ig');		
		$this->db->join('product pd', 'pd.uid=ig.item_id');
		//$this->db->where('issue_date>=',$date_from);
		$this->db->where('group_name',$group_name);
		$this->db->where('ig.active_flag',1);

		$query = $this->db->get();
		return $query->result();//passing all result to controller		
	}
	public function fetch_patients_complication($patient_id)
	{
		$this->db->select('`uid`, `dialysis_date`, `dialysis_time`, `complication`, `complication_time`, `patient_uid`, `employee_uid`, `entry_date_time`');
		$this->db->from('dialysis_complication');
		$this->db->where('patient_uid',$patient_id);
		$query = $this->db->get();
		return $query->result();//passing all result to controller		
	}
	public function get_patients_investigation($patient_id)
	{
		$this->db->select('di.uid, `patient_id`,p.parameter, `investigation_date`, `parameter_id`, `value`, `unit`, di.employee_id, di.entry_date');
		$this->db->from('dialysis_investigation di');
		$this->db->join('parameter p','p.uid=di.parameter_id');
		$this->db->where('patient_id',$patient_id);
		$query = $this->db->get();
		return $query->result();//passing all result to controller			
	}
	public function fetch_dialysis_hd_records($patient_uid,$date_from,$date_to)
	{
		$this->db->select(' `uid`, `patient_uid`, `doctor_uid`, `patient_type`, `hd_date`, `hd_start_time`, `hd_close_time`, `machine_no`, `access_for_hd`, `tubing_reuse`, `dialyzer_reuse`, `dialyzer_discard`, `pre_weight`, `post_weight`, `weight_gain`, `uf`, `weight_loss`, `pre_hd_bp_systolic`, `pre_hd_bp_diastolic`, `post_hd_bp_systolic`, `post_hd_bp_diastolic`, `dia_procedure`, `flow`, `blood_transfussion`, `remarks`');
		$this->db->from('dialysis_record');
		$this->db->where('patient_uid',$patient_uid);
		$this->db->where('hd_date>=',$date_from);
		$this->db->where('hd_date<=',$date_to);
		$query = $this->db->get();
		return $query->result();//passing all result to controller			
	}
	public function fetch_dialysis_hd_record_by_id($row_id)
	{
		$this->db->select(' `uid`, `patient_uid`, `doctor_uid`, `patient_type`, `hd_date`, `hd_start_time`, `hd_close_time`, `machine_no`, `access_for_hd`, `tubing_reuse`, `dialyzer_reuse`, `dialyzer_discard`, `pre_weight`, `post_weight`, `weight_gain`, `uf`, `weight_loss`, `pre_hd_bp_systolic`, `pre_hd_bp_diastolic`, `post_hd_bp_systolic`, `post_hd_bp_diastolic`, `dia_procedure`, `flow`, `blood_transfussion`, `remarks`');
		$this->db->from('dialysis_record');
		$this->db->where('uid',$row_id);
		$query = $this->db->get();
		return $query->row();		
	}
	public function fetch_patients_dialysis_medication($patient_id)
	{
		$this->db->select('dm.uid, `patient_id`,m.medicine_name, `hd_date`, `medicine_id`, `dm.strength`, `dm.dose`,dm.days, dm.employee_id, dm.entry_date');
		$this->db->from('dialysis_medication dm');
		$this->db->join('medicine m','m.uid=dm.medicine_id');
		$this->db->where('patient_id',$patient_id);
		$query = $this->db->get();
		return $query->result();//passing all result to controller			
	}
	public function fetch_distinct_issues_product_wise()
	{
		$this->db->select('i.uid, `issue_date`, `product_uid`, `quantity`, `unit`, distinct(i.patient_uid), i.clinic_uid, i.employee_uid, i.entry_date_time,full_name');
		$this->db->from('issue i');
		$this->db->join('patient p', 'p.uid=i.patient_uid');	
		$query = $this->db->get();
		return $query->result();//passing all result to controller			
	}
	public function fetch_patient_total_issues_forSelectedProduct($patient_uid,$product_id)
	{
		$this->db->select('sum(quantity) as "total_issue"');
		$this->db->from('issue');
		$this->db->where('patient_uid',$patient_uid);	
		$this->db->where('product_uid',$product_id);	
		$query = $this->db->get();
		return $query->row();	
	}
}
?>