<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed'); ?>
<?php
class Hr_fetch_model extends CI_Model
{
	public function fetch_doctor()
	{
		$qry="SELECT `uid`, `full_name` FROM `employee` where type=1  order by full_name";
		$query=$this->db->query($qry);
		$options = array();
		foreach($query->result_array() as $row)
		{
		   $options [$row['uid']] = $row['full_name'];
		}
		return $options;
	}
	
	public function fetch_doctor_list($no_of_record=0)	
	{
		if($no_of_record==0)//all medicine
			$this->db->select('m.uid,full_name');
		else
			$this->db->select('t1.uid,full_name,department,misc_name,designation,qualification,reg_no');
		$this->db->from('employee t1');
		$this->db->join('misc_master t2', 't2.uid=t1.department');
	//	$this->db->join('generic g', 'g.uid=mg.generic_uid');
		$this->db->where('type', 1);
		$this->db->limit($no_of_record);
		$this->db->order_by('uid','DESC');
		$query = $this->db->get();
		return $query->result();//passing all result to controller		
	}
	
	public function fetch_department()
	{
		$qry="SELECT `uid`, `misc_name` FROM `misc_master`  where tag=800 order by misc_name";
		$query=$this->db->query($qry);
		$options = array();
		foreach($query->result_array() as $row)
		{
		   $options [$row['uid']] = $row['misc_name'];
		}
		return $options;
	}
		public function get_employee_details($text)
	{
		$qry="SELECT uid,salutation,full_name,gender,type,reg_no,mobile,email,category,designation,qualification,department,address1,police_station,state,district,pin,pan_no,aadhar_no,bank_account,ifsc_code,bank_name,clinic_uid from employee where full_name like '%$text%'";
		$query=$this->db->query($qry);
		return $query->result();//passing all result to controller
		
	}
	
	public function fetch_employee_list($no_of_record=0)	
	{
		if($no_of_record==0)//all medicine
			$this->db->select('t1.uid,full_name,designation,mobile');
		else
			$this->db->select('t1.uid,full_name,designation,mobile');
		$this->db->from('employee t1');
	//	$this->db->join('medicine_generic mg', 'm.uid=mg.medicine_uid');
	//	$this->db->join('generic g', 'g.uid=mg.generic_uid');
		
		$this->db->where_in('type', '2,3');
		if($no_of_record!=0)//all medicine
			$this->db->limit($no_of_record);
		$this->db->order_by('full_name','DESC');
		$query = $this->db->get();
		return $query->result();//passing all result to controller		
	}
 // -------------------------- Employeee list/All Field data Fetch Start -------------------
	//public function fetch_employee_list($text)	
	//{
	//	$qry="SELECT uid,full_name from employee where full_name like '%$text%'";
	//	$query=$this->db->query($qry);
	//	return $query->result();//passing all result to controller		
	//}
	public function fetch_employee_record($uid)
	{
		$qry="SELECT uid,salutation,full_name,gender,type,reg_no,mobile,email,category,designation,qualification,department,address1,police_station,state,district,pin,pan_no,aadhar_no,bank_account,ifsc_code,bank_name,clinic_uid from employee where uid = $uid";
		$query=$this->db->query($qry);
		return $query->row();//passing all result to controller		
	}
	// -------------------------- Employee list/All Field data Fetch End -------------------
	
	//----------------------------employee menu fetch---------------------------
	public function fetch_employee_alloted_menus($user_id)	
	{
		$qry="SELECT menu_id from employee_module where employee_uid = $user_id";
		$query=$this->db->query($qry);
		return $query->result();//passing all result to controller			
	}
	//----------------------------employee menu fetch --------------------------
	public function fetch_agent_list($no_of_record=0,$order="")	
	{
		$this->db->select('`uid`, `full_name`, `gender`, `mobile`, `commission`, `aadhar_no`, `show_app`, `active_flag`');
		$this->db->from('agent_master');
		if($no_of_record!=0)
		$this->db->limit($no_of_record);
		if($order!="")
		$this->db->order_by('uid',$order);
		$query = $this->db->get();
		return $query->result();//passing all result to controller		
	}
	public function fetch_selected_agent_detail($uid)
	{
		$this->db->select('`uid`, `full_name`, `gender`, `mobile`, `commission`, `aadhar_no`, `show_app`, `active_flag`');
		$this->db->from('agent_master');
		$this->db->where('uid',$uid);
		$query = $this->db->get();
		return $query->row();//passing all result to controller			
	}
}
?>