<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed'); ?>
<?php

class Common_model extends CI_Model
{
	public function fetch_state()
	{
		$qry="SELECT `uid`, `statedist_name` FROM `state_dist` WHERE state_tag=0 ORDER BY `statedist_name`";
		$query=$this->db->query($qry);
		$options = array();
		foreach($query->result_array() as $row)
		{
		   $options [$row['uid']] = $row['statedist_name'];
		}
		return $options;
	}
	public function fetch_country()
	{
		$qry="SELECT `uid`, `country_name` FROM `country_tbl` ORDER BY `country_name`";
		$query=$this->db->query($qry);
		$options = array();
		foreach($query->result_array() as $row)
		{
		   $options [$row['uid']] = $row['country_name'];
		}
		return $options;
	}
	public function fetch_district($stateId)
	{
		$qry="select uid,statedist_name from state_dist where state_tag=$stateId order by statedist_name";
		$query=$this->db->query($qry);
		$options = array();
		foreach($query->result_array() as $row)
		{
		   $options [$row['uid']] = $row['statedist_name'];
		}
		return $options;
	}
	
    public function fetch_clinic($clinic_category)
	{
		if($clinic_category==0)
		{
			$qry="SELECT `uid`, `clinic_name` FROM `clinic` where active_flag=1 order by clinic_name";
		}
		if($clinic_category==1)
		{
			$qry="SELECT `uid`, `clinic_name` FROM `clinic` where active_flag=1 and category=1 order by clinic_name";
		}
		if($clinic_category==2)
		{
			$qry="SELECT `uid`, `clinic_name` FROM `clinic` where active_flag=1 and category=2 order by clinic_name";
		}
		$query=$this->db->query($qry);
		$options = array();
		foreach($query->result_array() as $row)
		{
		   $options [$row['uid']] = $row['clinic_name'];
		}
		return $options;
	}
	public function fetch_department_by_clinic($clinic_id=0)
	{
		if($clinic_id==0)
			$qry="SELECT distinct(department_uid), d.department_name FROM clinic_dept_doc_fees cdc,department d where d.uid=cdc.department_uid order by d.department_name";
		else
			$qry="SELECT department_uid, d.department_name FROM clinic_dept_doc_fees cdc,department d where d.uid=cdc.department_uid and cdc.clinic_uid=$clinic_id order by d.department_name";
		$query=$this->db->query($qry);
		$options = array();
		foreach($query->result_array() as $row)
		{
		   $options [$row['department_uid']] = $row['department_name'];
		}
		return $options;
	}
	public function fetch_doctors_by_department_by_clinic($clinic_id=0,$department)
	{
		if($department==-1)
			$qry="SELECT doctor_uid, d.full_name,d.qualification,designation FROM clinic_dept_doc_fees cdc,employee d where d.uid=cdc.doctor_uid and cdc.clinic_uid=$clinic_id";
		else if($clinic_id==0 || $clinic_id==-1)	
			$qry="SELECT distinct(doctor_uid), d.full_name,d.qualification,designation FROM clinic_dept_doc_fees cdc,employee d where d.uid=cdc.doctor_uid and cdc.department_uid=$department";
		else
			$qry="SELECT doctor_uid, d.full_name,d.qualification,designation FROM clinic_dept_doc_fees cdc,employee d where d.uid=cdc.doctor_uid and cdc.clinic_uid=$clinic_id and cdc.department_uid=$department";
		$query=$this->db->query($qry);
		return $query->result();		
	}
	public function fetch_selected_doctor_detail($doctor_id)
	{
		$qry="SELECT uid, full_name,qualification,designation FROM employee where uid=$doctor_id";
		$query=$this->db->query($qry);
		return $query->row();		
	}
	public function	fetch_patient_basic_details($patient_id)
	{
		$qry="SELECT `uid`,salutation,`full_name`,sex,age,dob,mobile,address1,address2,city FROM `patient` where uid=$patient_id";
		$query=$this->db->query($qry);
		return $query->row();	
	}	

	public function save_data($insertdata,$table_name)
	{
        $this->db->insert($table_name,$insertdata);
		$insert_id = $this->db->insert_id();
		return  $insert_id;			
	}
	public function fetch_patient_of_logged_user($log_user_id)	
	{
		$qry="SELECT distinct(uid),full_name FROM patient where registered_user_uid=$log_user_id";
		$query=$this->db->query($qry);
		return $query->result();		
	}
}
?>