<?php
	require_once('header.php');
?>
<head>
	<style>
		.wait_modal {
		display:    none;
		position:   fixed;
		z-index:    15000;
		top:        0;
		left:       0;
		height:     100%;
		width:      100%;
		background: rgba( 255, 255, 255, .8 ) 
		url('http://i.stack.imgur.com/FhHRx.gif') 
		50% 50% 
		no-repeat;
		}
	</style>
</head>
<body class="bacgbg">
	<div id="wrap">
		<div id="main" class="clear-top">
			<header class="header_top_ber1">
				<?php
					require_once('top_head_section.php');
				?>
			</header>
			<section class="">
				<div class="container-fluid">
					<div class="row">
						<div class="col-md-12 mt-3">
							<div class="top_menu">
								<?php
									require_once('top_menu.php');
								?>
							</div>
						</div>
					</div>
				</div>
			</section>
			<section class="main_body mt-3">
				<div class="container-fluid">
					<div class="row">
						<div class="col-md-12 ">
							<div class="dash_box" style="height:auto;">
								<div class="row">
									<div class="col-md-12">
										<div class="text-left border-0">
											<?php echo validation_errors(); ?>
											<div class="row">
												<div class="col-md-2">
													<div class="form-group">
														<label class="col-form-label">PUID</label>
														<input class="form-control" type="text" id="patient_id" name="patient_id" onBlur="search_data_patient_id()">
													</div>
												</div>
												<div class="col-md-2">
													<div class="form-group">
														<label class="col-form-label">Name</label>
														<input class="form-control" type="text" id="patient_name" name="patient_name" value="" readonly>
													</div>
												</div>
												<div class="col-md-2">
													<div class="form-group">
														<label class="col-form-label">Age/Sex</label>
														<input class="form-control" type="text" id="sexage" name="sexage" value="" readonly>
													</div>
												</div>
												<div class="col-md-2">
													<div class="form-group">
														<label class="col-form-label">Mobile Number</label>
														<input class="form-control" type="text" id="mobile" name="mobile" value="" readonly>
													</div>
												</div>
												<div class="col-md-4">
													<div class="form-group" style="display:inline-block;" >
														<label class="col-form-label" style="width:100%;">&nbsp;</label>
														<a id="search_data" class="search_icon" style="position:relative; display:inline-block;" href="javascript:void(0)" data-toggle="modal" data-target="#patient_search_list_modal" onclick="clear_search_data_table()"><i class="fas fa-search" aria-hidden="true"></i></a>  
													</div>
													<div class="form-group" style="display:inline-block;">
														<a href="javascript:void(0)" onclick="clear_modal_table('table_body_data')" data-toggle="modal" data-target="#search_appointment_modal" class="btn btn-info btn-md custom_btn2"><i class="fa fa-search" aria-hidden="true"></i> Appointment</a>&nbsp; <a href="javascript:void(0)" data-toggle="modal" data-target="#patient_registration_modal" class="btn btn-info btn-md custom_btn2"><i class="fa fa-plus" aria-hidden="true"></i> Registration</a> 
													</div>
												</div>
											</div>
											<div class="row">
												<div class="col-md-2">
													<div class="form-group">
														<label class="col-form-label">Treating Department</label>
														<?php
															$js = 'class="form-control" id="treating_department" name="treating_department" onchange="get_doctors('.$_SESSION['clinicId'].',this.value,\'treating_doctor\',0,0,0)"';
															echo form_dropdown('op_department',$all_departments,'-1',$js);
														?>									
													</div>
												</div>
												<div class="col-md-4">
													<div class="form-group">
													<label class="col-form-label">Treating Doctor</label>
													<select class="form-control" id="treating_doctor" name="treating_doctor" >
														<option value="-1">-Select-</option>
													</select >
													</div>
												</div>
												<div class="col-md-3">
													<div class="form-group">
														<label class="col-form-label" id="sponsor" name="sponsor">Sponsor</label>
													<select class="form-control" >
														<option value="1">Cash</option>
														<option value="2">Insurance</option>
														<option value="3">CGHS</option>
														<option value="4">WBHS</option>
														<option value="5">Corporate</option>
													</select>
													</div>
												</div>
												<div class="col-md-3">
													<div class="form-group">
														<label class="col-form-label">Agent</label>
														<select class="form-control" id="agent" name="agent">
															<option value="-1">--Select--</option>
															<option value="551">Bansi Lal Das</option>
															<option value="552">Ajay Kumar Sarkar</option>
														</select>
													</div>
												</div>												
											</div>
										</div>
									</div>
								</div>
							</div>       
							</div>
						<form method="post" action="<?=base_url()?>Billing/save_bill" onsubmit="return validate_form()">
							<input type="hidden" id="mad" name="mad" value="<?=base64_encode($employee_level_discount->allowed_discount_percentage)?>">
							<input type="hidden" id="pid" name="pid"/>
							<input type="hidden" id="appoint_id" name="appoint_id" value="0"/>
							<input type="hidden" id="consulting_doctor" name="consulting_doctor"/>
							<input type="hidden" id="agent_code" name="agent_code"/>
							<div class="col-md-12">
								<div class="dash_box" style="height:auto;">
									<div class="row">
										<div class="col-md-6 ">
											<ul class="nav nav-tabs custom_nav1" role="tablist">
												<li class="nav-item"> <a class="nav-link active" data-toggle="tab" href="#op"> OP</a> </li>
												<li class="nav-item"> <a class="nav-link" data-toggle="tab" href="#inv"> Investigation</a> </li>
												<li class="nav-item"> <a class="nav-link" data-toggle="tab" href="#procedure"> Procedure</a> </li>
												<li class="nav-item"> <a class="nav-link" data-toggle="tab" href="#admin"> Admin</a> </li>
												<li class="nav-item"> <a class="nav-link" data-toggle="tab" href="#package"> Package</a> </li>
												<li class="nav-item"> <a class="nav-link" data-toggle="tab" href="#serviceCharge"> Service Charge</a> </li>
											</ul>
											<!-- Tabs Content -->
											<div class="tab-content pt-2">
												<div id="op" class="tab-pane active">
													<form action="#" method="POST" >
														<div class="row clearfix">
															<div class="col-md-12">
																<div class="form-group">
																	<div class="row">
																		<div class="col-md-12">
																			<div class="form-group">
																				<label class="col-form-label">Services</label>
																				<select class="form-control" id="op_service_type" name="op_service_type" onChange="change_service_type(this.value,'op_department')">
																					<option value="-1">--Select--</option>
																					<option value="10101">OP Consultation</option>
																					<option value="10102">Reporting</option>
																				</select>
																			</div>
																		</div>
																		<div class="col-md-4">
																			<div class="form-group">
																				<label class="col-form-label">Department</label>
																				<?php
																					$arr["-1"]="--Select--";
																					$all_departments_marged=$arr+$all_departments;
																					$js = 'class="form-control" id="op_department" name="op_department" onchange="get_doctors('.$_SESSION['clinicId'].',this.value,\'doctors\',\'op_amount\',0,\'op_service_type\')"';
																					echo form_dropdown('op_department',$all_departments_marged,'-1',$js);
																				?>									
																			</div>
																		</div>
																		<div class="col-md-5">
																			<label class="col-form-label">Doctor</label>
																			<select class="form-control" id="doctors" name="doctors" onChange="get_doctor_fees(this.value,'op_amount','op_service_type')">
																				<option value="-1">-Select-</option>
																			</select >								
																		</div>
																		<div class="col-md-3">
																			<label class="col-form-label">+ Diet/Service</label>
																			<input type="checkbox" class="form-control" id="include_diet" name="include_diet" value="500" onChange="get_doctor_fees(document.getElementById('doctors').value,'op_amount','op_service_type')">							
																		</div>																		
																	</div>
																</div>
																<div class="form-group">
																	<div class="row">
																		<div class="col-md-4">
																			<label class="col-form-label">Gross</label>
																			<input class="form-control" type="text" id="op_amount" name="op_amount" value="0" readonly>
																		</div>
																		<div class="col-md-4">
																			<label class="col-form-label">Discount</label>
																			<input class="form-control" type="text" id="op_discount" name="op_discount" value="0" onblur="calculate_amount_after_discount('op_amount','op_discount','op_net_amount')">
																		</div>
																		<div class="col-md-4">
																			<label class="col-form-label">Net</label>
																			<input class="form-control" type="text" id="op_net_amount" name="op_net_amount" value="0" readonly>
																		</div>  
																	</div>
																</div>
																<div class="form-group">
																	<div class="row">
																		<div class="col-md-4">
																			<label class="col-form-label">Discount Reason</label>
																			<select class="form-control" id="op_discount_reason" name="op_discount_reason">
																				<option value="N/A">N/A</option>
																				<option value="nmeedypatient">Needy patient</option>
																				<option value="Staff">Staff</option>
																				<option value="doctorrecomendation">Doctor recomendation</option>
																			</select>
																		</div>
																		<div class="col-md-3">
																			<label class="col-form-label">Approved By</label>
																			<?php
																				$js = 'class="form-control" id="op_discount_approved_by" ';
																				echo form_dropdown('op_discount_approved_by',$admin_employee,'-1',$js);
																			?>																				
																		</div>	
																		<div class="col-md-3">
																			<label class="col-form-label">Service Date</label>
																			<div class="input-group date id_4">
																				<input type="text"  class="form-control" id="op_date" name="op_date" value="<?=date('d-m-Y')?>" required />
																				<div class="input-group-addon input-group-append">
																					<div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar"></i> </div>
																				</div>
																			</div>
																		</div>
																		<div class="col-md-2">
																			<div class="col-md-12 text-right">
																				<label class="col-form-label" style="width:100%">&nbsp;</label>
																			<a href="javascript:void(0)" onClick="add_op_data_to_table()" class="btn btn-info btn-md custom_btn2" >>></a> </div>
																		</div>
																	</div>
																</div>
															</div>
														</div>
													</form>
												</div>
												<div id="inv" class="tab-pane ">
													<form action="#" method="POST" >
														<div class="row clearfix">
															<div class="col-md-12">
																<div class="form-group">
																	<div class="row">
																		<div class="col-md-4">
																			<div class="form-group">
																				<label class="col-form-label">Type</label>
																				<select class="form-control" id="investigation_type" name="investigation_type" onChange="change_service_type(this.value,'investigation_department')">
																					<option value="103">Lab</option>
																					<option value="104">Non Lab</option>
																				</select>
																			</div>
																		</div>
																		<div class="col-md-8">
																			<div class="form-group">
																				<label class="col-form-label">Test Name</label>
																				<input type="text" class="form-control" id="test_name" name="test_name" onkeyup="search_investigation(this.value)">
																				<input type="hidden" id="test_id" name="test_id" value="">
																				<div id="investigation_list" style="display:none" class="drop_down_item_list" >
																				</div>								  
																			</div>
																		</div>								  
																		<div class="col-md-6">
																			<div class="form-group">
																				<label class="col-form-label">Department</label>
																				<?php
																					$arr["-1"]="--Select--";
																					$all_departments_marged=$arr+$all_departments;
																					$js = 'class="form-control" id="investigation_department" name="investigation_department" onchange="get_doctors('.$_SESSION['clinicId'].',this.value,\'investigation_doctors\',\'investigation_amount\',0,\'investigation_type\')"';
																					echo form_dropdown('department',$all_departments_marged,'-1',$js);
																				?>									
																			</div>
																		</div>
																		<div class="col-md-6">
																			<label class="col-form-label">Doctor</label>
																			<select class="form-control" id="investigation_doctors" name="investigation_doctors" onChange="get_doctor_fees(this.value,'investigation_amount','investigation_type')">
																				<option value="-1">-Select-</option>
																			</select >								
																		</div>
																	</div>
																</div>
																<div class="form-group">
																	<div class="row">
																		<div class="col-md-4">
																			<label class="col-form-label">Gross</label>
																			<input class="form-control" type="text" id="investigation_amount" name="investigation_amount" value="0" readonly>
																		</div>
																		<div class="col-md-4">
																			<label class="col-form-label">Discount </label>
																			<input class="form-control" type="text" id="investigation_discount" name="investigation_discount" value="0" onblur="calculate_amount_after_discount('investigation_amount','investigation_discount','investigation_net_amount')">
																		</div>
																		<div class="col-md-4">
																			<label class="col-form-label">Net</label>
																			<input class="form-control" type="text" id="investigation_net_amount" name="op_net_amount" value="0" readonly>
																		</div> 
																	</div>
																</div>
																<div class="form-group">
																	<div class="row">
																		<div class="col-md-4">
																			<label class="col-form-label">Discount Reason</label>
																			<select class="form-control" id="investigation_discount_reason" name="investigation_discount_reason">
																				<option value="N/A">N/A</option>
																				<option value="nmeedypatient">Needy patient</option>
																				<option value="Staff">Staff</option>
																				<option value="doctorrecomendation">Doctor recomendation</option>
																			</select>
																		</div>
																		<div class="col-md-3">
																			<label class="col-form-label">Approved By</label>
																			<?php
																				$js = 'class="form-control" id="investigation_discount_approved_by" ';
																				echo form_dropdown('investigation_discount_approved_by',$admin_employee,'-1',$js);
																			?>
																		</div>
																		<div class="col-md-3">
																			<label class="col-form-label">Date</label>
																			<div class="input-group date id_4">
																				<input type="text"  class="form-control" id="investigation_date" name="investigation_date" value="<?=date('d-m-Y')?>" required/>
																				<div class="input-group-addon input-group-append">
																					<div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar"></i> </div>
																				</div>
																			</div>
																		</div>
																		<div class="col-md-2">
																			<div class="col-md-12 text-right">
																				<label class="col-form-label" style="width:100%">&nbsp;</label>
																			<a href="javascript:void(0)" onclick="focus_on_a_field('investigation_amount');focus_on_a_field('investigation_net_amount');add_inv_data_to_table()"  class="btn btn-info btn-md custom_btn2" >>></a> </div>
																		</div>
																	</div>
																</div>
															</div>
														</div>
													</form>					
												</div>
												<div id="procedure" class="tab-pane ">
													<form action="#" method="POST" >
														<div class="row clearfix">
															<div class="col-md-12">
																<div class="form-group">
																	<div class="row">
																		<div class="col-md-4">
																			<div class="form-group">
																				<label class="col-form-label">Type</label>
																				<select class="form-control" id="procedure_ot_type" name="procedure_ot_type">
																					<option value="106">Procedure</option>
																					<option value="107">OT</option>
																				</select>
																			</div>
																		</div>
																		<div class="col-md-8">
																			<div class="form-group">
																				<label class="col-form-label">Name</label>
																				<input type="text" class="form-control" id="procedure_ot_name" name="procedure_ot_name" onkeyup="get_items(this.value)">
																				<div id="procedure_ot_list" style="display:none" class="drop_down_item_list">
																				</div>								  
																				<input type="hidden" id="procedure_ot_name_id" name="procedure_ot_name_id" value="">
																			</div>
																		</div>								  
																		<div class="col-md-6">
																			<div class="form-group">
																				<label class="col-form-label">Department</label>
																				<?php
																					$arr["-1"]="--Select--";
																					$all_departments_marged=$arr+$all_departments;																			
																					$js = 'class="form-control" id="procedure_ot_department" name="procedure_ot_department" onchange="get_doctors('.$_SESSION['clinicId'].',this.value,\'procedure_ot_doctors\',\'procedure_ot_amount\',0,\'procedure_ot_type\')"';
																					echo form_dropdown('op_department',$all_departments_marged,'-1',$js);
																				?>									
																			</div>
																		</div>
																		<div class="col-md-6">
																			<label class="col-form-label">Doctor</label>
																			<select class="form-control" id="procedure_ot_doctors" name="procedure_ot_doctors">
																				<option value="-1">-Select-</option>
																			</select >								
																		</div>
																	</div>
																</div>
																<div class="form-group">
																	<div class="row">
																		<div class="col-md-4">
																			<label class="col-form-label">Amount</label>
																			<input class="form-control" type="text" id="procedure_ot_amount" name="procedure_ot_amount" value="" readonly>
																		</div>
																		<div class="col-md-4">
																			<label class="col-form-label">Discount</label>
																			<input class="form-control" type="text" id="procedure_ot_discount" name="procedure_ot_discount" value="0" onblur="calculate_amount_after_discount('procedure_ot_amount','procedure_ot_discount','procedure_ot_net_amount')">
																		</div>
																		<div class="col-md-4">
																			<label class="col-form-label">Net</label>
																			<input class="form-control" type="text" id="procedure_ot_net_amount" name="procedure_ot_net_amount" value="" readonly>
																		</div>
																	</div>
																</div>
																<div class="form-group">
																	<div class="row">
																		
																		<div class="col-md-4">
																			<label class="col-form-label">Discount Reason</label>
																			<select class="form-control" id="procedure_discount_reason" name="procedure_discount_reason">
																				<option value="N/A">N/A</option>
																				<option value="nmeedypatient">Needy patient</option>
																				<option value="Staff">Staff</option>
																				<option value="doctorrecomendation">Doctor recomendation</option>
																			</select>
																		</div>
																		<div class="col-md-3">
																			<label class="col-form-label">Approved By</label>
																			<?php													
																				$js = 'class="form-control" id="procedure_discount_approved_by" ';
																				echo form_dropdown('procedure_discount_approved_by',$admin_employee,'-1',$js);
																			?>
																		</div>
																		<div class="col-md-3">
																			<label class="col-form-label">Date</label>
																			<div class="input-group date id_4">
																				<input type="text"  class="form-control" id="procedure_ot_date" name="procedure_ot_date" value="<?=date('d-m-Y')?>" required/>
																				<div class="input-group-addon input-group-append">
																					<div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar"></i> </div>
																				</div>
																			</div>
																		</div>
																		<div class="col-md-2">
																			<div class="col-md-12 text-right">
																				<label class="col-form-label" style="width:100%">&nbsp;</label>
																			<a href="javascript:void(0)"     class="btn btn-info btn-md custom_btn2" onclick="focus_on_a_field('procedure_ot_amount');focus_on_a_field('procedure_ot_net_amount');add_procedure_data_to_table()">>></a> </div>
																		</div>
																	</div>
																</div>
															</div>
														</div>
													</form>	
												</div>
												<div id="admin" class="tab-pane ">
													<form action="#" method="POST" >
														<div class="row clearfix">
															<div class="col-md-12">
																<div class="form-group">
																	<div class="row">
																		<input type="hidden" id="admin_service_type" name="admin_service_type" value="102">
																		<div class="col-md-12">
																			<div class="form-group">
																				<label class="col-form-label">Items</label>
																				<?php
																					$itm['-1']='--Select--';
																					$admin_items=$itm+$all_admin_items;
																					$js = 'class="form-control" id="admin_items" name="admin_items" onchange="get_item_charge(this.value)"';
																					echo form_dropdown('admin_items',$admin_items,'-1',$js);
																				?>
																			</div>
																		</div>							  
																	</div>
																</div>
																<div class="form-group">
																	<div class="row">
																		<div class="col-md-4">
																			<label class="col-form-label">Amount</label>
																			<input class="form-control" type="text" id="admin_service_amount" name="admin_service_amount" value="0" required readonly>
																		</div>
																		<div class="col-md-4">
																			<label class="col-form-label">Discount </label>
																			<input class="form-control" type="text" id="admin_service_discount" name="admin_service_discount" value="0" onblur="calculate_amount_after_discount('admin_service_amount','admin_service_discount','admin_service_net_amount')">
																		</div>
																		<div class="col-md-4">
																			<label class="col-form-label">Net</label>
																			<input class="form-control" type="text" id="admin_service_net_amount" name="admin_service_net_amount" value="0" required readonly>
																		</div>
																	</div>
																</div>
																<div class="form-group">
																	<div class="row">
																		<div class="col-md-4">
																			<label class="col-form-label">Discount Reason</label>
																			<select class="form-control" id="admin_discount_reason" name="admin_discount_reason">
																				<option value="N/A">N/A</option>
																				<option value="nmeedypatient">Needy patient</option>
																				<option value="Staff">Staff</option>
																				<option value="doctorrecomendation">Doctor recomendation</option>
																			</select>
																		</div>
																		<div class="col-md-3">
																			<label class="col-form-label">Approved By</label>
																			
																			<?php
																				$js = 'class="form-control" id="admin_discount_approved_by" ';
																				echo form_dropdown('admin_discount_approved_by',$admin_employee,'-1',$js);
																			?>																				
																		</div>
																		<div class="col-md-3">
																			<label class="col-form-label">Service Date</label>
																			<div class="input-group date id_4">
																				<input type="text"  class="form-control" id="admin_service_date" name="admin_service_date" value="<?=date('d-m-Y')?>" required >
																				<div class="input-group-addon input-group-append">
																					<div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar"></i> </div>
																				</div>
																			</div>
																		</div>
																		<div class="col-md-2">
																			<div class="col-md-12 text-right">
																				<label class="col-form-label" style="width:100%">&nbsp;</label>
																			<a href="javascript:void(0)"  onclick="focus_on_a_field('admin_service_amount');focus_on_a_field('admin_service_net_amount');add_admin_data_to_table()"    class="btn btn-info btn-md custom_btn2" >>></a> </div>
																		</div>
																	</div>
																</div>
															</div>
														</div>
													</form>	
												</div>
												<div id="package" class="tab-pane ">
													<form action="#" method="POST" >
														<div class="row clearfix">
															<div class="col-md-12">
																<div class="form-group">
																	<div class="row">
																		<div class="col-md-12">
																			<div class="form-group">
																				<label class="col-form-label">Name</label>
																				<?php
																					$js = 'class="form-control" id="package_name" name="package_name" onchange="get_charge(this.value,114,\'package_amount\',\'package_net_amount\')"';
																					echo form_dropdown('package_name',$package_name,'-1',$js);
																				?>								  
																			</div>
																		</div>							  
																	</div>
																</div>
																<div class="row">
																	<div class="col-md-6">
																		<label class="col-form-label">Department</label>
																		<?php
																			$arr["-1"]="--Select--";
																			$all_departments_marged=$arr+$all_departments;																			
																			$js = 'class="form-control" id="package_ot_department" name="package_ot_department" onchange="get_doctors('.$_SESSION['clinicId'].',this.value,\'package_doctors\',\'investigation_amount\',0,\'investigation_type\')"';
																			echo form_dropdown('department',$all_departments_marged,'-1',$js);
																		?>									
																	</div>
																	<div class="col-md-6">
																		<label class="col-form-label">Doctor</label>
																		<select class="form-control" id="package_doctors" name="package_doctors">
																			<option value="-1">-Select-</option>
																		</select >								
																	</div>																
																</div>
																<div class="form-group">
																	<div class="row">
																		<div class="col-md-4">
																			<label class="col-form-label">Amount</label>
																			<input class="form-control" type="text" id="package_amount" name="package_amount" value="" readonly>
																		</div>
																		<div class="col-md-4">
																			<label class="col-form-label">Discount %</label>
																			<input class="form-control" type="text" id="package_discount" name="package_discount" value="0" onblur="calculate_amount_after_discount('package_amount','package_discount','package_net_amount')">
																		</div>
																		<div class="col-md-4">
																			<label class="col-form-label">Net</label>
																			<input class="form-control" type="text" id="package_net_amount" name="package_net_amount" value="" readonly>
																		</div>
																	</div>
																</div>
																<div class="form-group">
																	<div class="row">
																		<div class="col-md-4">
																			<label class="col-form-label">Discount Reason</label>
																			<select class="form-control" id="special_discount_reason" name="package_discount_reason">
																				<option value="N/A">N/A</option>
																				<option value="nmeedypatient">Needy patient</option>
																				<option value="Staff">Staff</option>
																				<option value="doctorrecomendation">Doctor recomendation</option>
																			</select>
																		</div>
																		<div class="col-md-3">
																			<label class="col-form-label">Approved By</label>
																			<?php													
																				$js = 'class="form-control" id="special_discount_approved_by" ';
																				echo form_dropdown('special_discount_approved_by',$admin_employee,'-1',$js);
																			?>
																		</div>
																		
																		<div class="col-md-3">
																			<label class="col-form-label">Service Date</label>
																			<div class="input-group date id_4">
																				<input type="text"  class="form-control" id="package_date" name="package_date" value="<?=date('d-m-Y')?>" required>
																				<div class="input-group-addon input-group-append">
																					<div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar"></i> </div>
																				</div>
																			</div>
																		</div>
																		<div class="col-md-2">
																			<div class="col-md-12 text-right">
																				<label class="col-form-label" style="width:100%">&nbsp;</label>
																			<a href="javascript:void(0)" onClick="focus_on_a_field('package_amount');focus_on_a_field('package_net_amount');add_package_data_to_table()" class="btn btn-info btn-md custom_btn2" >>></a> </div>
																		</div>
																	</div>
																</div>
															</div>
														</div>
													</form>	
												</div>				  
												<div id="serviceCharge" class="tab-pane ">
													<form action="#" method="POST" >
														<div class="row clearfix">
															<div class="col-md-12">
																<div class="form-group">
																	<div class="row">
																		<div class="col-md-12">
																			<div class="form-group">
																				<label class="col-form-label">Name</label>
																				<?php
																					$js = 'class="form-control" id="service_charge_name" name="service_charge_name" onchange="get_charge(this.value,110,\'service_charge_name_amount\',\'service_charge_name_net_amount\')"';
																					echo form_dropdown('service_charge_name',$service_charge_name,'-1',$js);
																				?>								  
																			</div>
																		</div>							  
																	</div>
																</div>
																<div class="row">
																	<div class="col-md-6">
																		<label class="col-form-label">Department</label>
																		<?php
																			$arr["-1"]="--Select--";
																			$all_departments_marged=$arr+$all_departments;																			
																			$js = 'class="form-control" id="service_charge_department" name="service_charge_department" onchange="get_doctors('.$_SESSION['clinicId'].',this.value,\'service_charge_doctors\',0,0,0)"';
																			echo form_dropdown('department',$all_departments_marged,'-1',$js);
																		?>									
																	</div>
																	<div class="col-md-6">
																		<label class="col-form-label">Doctor</label>
																		<select class="form-control" id="service_charge_doctors" name="service_charge_doctors">
																			<option value="-1">-Select-</option>
																		</select >								
																	</div>																
																</div>																
																<div class="form-group">
																	<div class="row">
																		<div class="col-md-4">
																			<label class="col-form-label">Amount</label>
																			<input class="form-control" type="text" id="service_charge_name_amount" name="service_charge_name_amount" value="" readonly>
																		</div>
																		<div class="col-md-4">
																			<label class="col-form-label">Discount %</label>
																			<input class="form-control" type="text" id="service_charge_name_discount" name="service_charge_name_discount" value="0" onblur="calculate_amount_after_discount('service_charge_name_amount','service_charge_name_discount','service_charge_name_net_amount')">
																		</div>
																		<div class="col-md-4">
																			<label class="col-form-label">Net</label>
																			<input class="form-control" type="text" id="service_charge_name_net_amount" name="service_charge_name_net_amount" value="0" readonly>
																		</div>
																	</div>
																</div>
																<div class="form-group">
																	<div class="row">
																		<div class="col-md-4">
																			<label class="col-form-label">Discount Reason</label>
																			<select class="form-control" id="service_charge_discount_reason" name="service_charge_discount_reason" >
																				<option value="N/A">N/A</option>
																				<option value="nmeedypatient">Needy patient</option>
																				<option value="Staff">Staff</option>
																				<option value="doctorrecomendation">Doctor recomendation</option>
																			</select>
																		</div>
																		<div class="col-md-3">
																			<label class="col-form-label">Approved By</label>
																			<?php													
																				$js = 'class="form-control" id="service_charge_discount_approved_by"';
																				echo form_dropdown('service_charge_discount_approved_by',$admin_employee,'-1',$js);
																			?>
																		</div>	
																		<div class="col-md-3">
																			<label class="col-form-label">Service Date</label>
																			<div class="input-group date id_4">
																				<input type="text"  class="form-control" id="service_charge_name_date" name="service_charge_name_date" value="<?=date('d-m-Y')?>" required>
																				<div class="input-group-addon input-group-append">
																					<div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar"></i> </div>
																				</div>
																			</div>
																		</div>
																		<div class="col-md-2">
																			<div class="col-md-12 text-right">
																				<label class="col-form-label" style="width:100%">&nbsp;</label>
																			<a href="javascript:void(0)" onClick="focus_on_a_field('service_charge_name_amount');focus_on_a_field('service_charge_name_net_amount');add_service_charge_name_data_to_table()" class="btn btn-info btn-md custom_btn2" >>></a> </div>
																		</div>
																	</div>
																</div>
															</div>
														</div>
													</form>	
												</div>                
											</div>
										</div>
										<div class="col-md-6">
											<h6 class="sub_header_new">Service Added</h6>
											<div style="height:150px; overflow:auto;">
												<table class="table dataTable no-footer" id="cart_data_table">
													<thead style="background: #1e3770;color: #fff;">
														<tr>
															<th>Services</th>
															<th>Item</th>
															<th>Amount</th>
															<th>Disc.</th>
															<th>Net</th>
															<th>&nbsp;</th>
															<th>Action</th>
														</tr>
													</thead>
													<tbody >
														
													</tbody>
												</table>
											</div>
											<div class="row mt-3" >
												<div class="col-md-3" style="border-top:1px solid #ccc;">
													<div class="form-group">
														<label class="col-form-label">Gross</label>
														<input class="form-control" type="text" id="total_amount" name="total_amount" value="0" readonly>
													</div>
												</div>
												<div class="col-md-3" style="border-top:1px solid #ccc;">
													<div class="form-group">
														<label class="col-form-label">Item(s) Disc. </label>
														<input class="form-control" type="text" id="totItm_discount_amount" name="totItm_discount_amount" value="0" readonly>
													</div>	
												</div>
												<div class="col-md-3" style="border-top:1px solid #ccc;">
													<div class="form-group">
														<label class="col-form-label">Adm. Discount </label>
														<input class="form-control" type="text" id="discount_amount" name="discount_amount" value="0" onblur="calculate_amount_after_totaldiscount('total_amount','totItm_discount_amount','discount_amount','payble_amount')" readonly>
														<a href="" data-target="#adminConfirmModal" data-toggle="modal"><i class="fa fa-unlock-alt" aria-hidden="true"></i></a>
													</div>	
												</div>												
												<div class="col-md-3" style="border-top:1px solid #ccc;">
													<div class="form-group">
														<label class="col-form-label">Advance </label>
														<input class="form-control" type="text" id="advance_amount" name="advance_amount" value="">
													</div>
												</div>
											</div>
											<div class="row">
												
												<div class="col-md-3">
													<div class="form-group">
														<label class="col-form-label">Payble</label>
														<input class="form-control" type="text" id="payble_amount" name="payble_amount" value="0" readonly>
													</div>
												</div>
												<div class="col-md-5">
													<label class="col-form-label">Adm. Disc. Reason</label>
													<select class="form-control" id="adm_special_discount_reason" name="adm_special_discount_reason" onclick="focus_on_a_field('payment_amount_1')">
														<option value="N/A">N/A</option>
														<option value="nmeedypatient">Needy patient</option>
														<option value="Staff">Staff</option>
														<option value="doctorrecomendation">Doctor recomendation</option>
													</select>
												</div>
												<div class="col-md-4">
													<label class="col-form-label">Approved By</label>
													<?php													
														$js = 'class="form-control" id="adm_special_discount_approved_by" onclick="focus_on_a_field(\'payment_amount_1\')"';
														echo form_dropdown('adm_special_discount_approved_by',$admin_employee,'-1',$js);
													?>
												</div>		
											</div>
										</div>
									</div>
									<div class="row">
										<div class="col-md-12">
											<h6 class="mt-3 pb-1 sub_header_new">Patient Payment</h6>
											
											
											<table class="table dataTable no-footer" id="payment_data_table">
												<thead style="background: #1e3770;color: #fff;">
													<tr>
														<th><label class="col-form-label"><strong>Mode</strong> </label></th>
														<th><label class="col-form-label"><strong>Date</strong> </label></th>
														<th><label class="col-form-label"><strong>Chq/Instrument No</strong> </label></th>
														<th><label class="col-form-label"><strong>Amount</strong> </label></th>
														<th><label class="col-form-label"><strong>Action</strong> </label></th>
														<th>&nbsp;</th>
													</tr>
												</thead>
												<tbody id="payment_data_table_body">
													<tr>
														<td>
															<select id="payment_mode_1" name="payment_mode_1" class="form-control" onchange="input_cardNo_approvalNo(this.value,'instrument_no_1')">
																<option value="1"> Cash </option>
																<option value="2"> Debit Card </option>
																<option value="3"> Credit Card </option>
																<option value="4"> Cheque </option>
																<option value="5"> UPI/Wallet </option>
															</select>
														</td>
														<td> 
															<div class="input-group date id_4">
																<input type="text"  class="form-control" id="payment_date_1" name="payment_date_1" value="<?=date('d-m-Y')?>" required />
																<div class="input-group-addon input-group-append">
																	<div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar"></i> </div>
																</div>
															</div>						
														</td>
														<td>
															<input type="text" id="instrument_no_1" name="instrument_no_1" class="form-control" placeholder="Cheque/Instrument No" value="0">						
														</td>
														<td> 
															<input type="text" id="payment_amount_1" name="payment_amount_1" class="form-control" onkeyup="add_to_payment_array(1)" onblur="add_to_payment_array(1)" placeholder="Amount" value="0">
														</td>
														<td><a href="javascript:void(0)" onclick="add_new_payment_row()" class="plus_minus" title="Add"><i class="fa fa-plus" aria-hidden="true"></i></a> <a href="#" class="plus_minus" title="Delete"><i class="fa fa-trash-o" aria-hidden="true"></i></a> </td>
														<td><input type="hidden" id="payment_data_arr_1" name="payment_data_arr[]"></td>
													</tr>
												</tbody>
											</table>                
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col-md-12 text-right">
										<input type="submit" id="bill_submit_btn" onclick="pid_finally_set()" name="bill_submit_btn" class="btn btn-info btn-md custom_btn2" value="Submit">
									</div>
								</div>         
								
							</div>
						</form>
					</div>
				</div>
				
			</section>
			<!--------------------Modal form------------------------>
				  <!-- Modal -->
				  <div class="modal fade" id="adminConfirmModal" role="dialog">
					<div class="modal-dialog modal-sm">
					  <div class="modal-content">
						<div class="modal-header">
						 <h4 class="modal-title">Confirm</h4> 
						 <button type="button" class="close" data-dismiss="modal">&times;</button>
						  
						</div>
						<div class="modal-body">
							<div class="row" style="margin-bottom:20px">
								<div class="col-md-12">
									<label class="col-form-label">Discount</label>
									<input class="form-control" type="text" id="modal_discount" name="modal_discount" value="0" onblur="calculate_amount_after_totaldiscount('total_amount','totItm_discount_amount','modal_discount','payble_amount')" value="0">
								</div>
								<div class="col-md-12">
									<label class="col-form-label">Adm. Disc. Reason</label>
									<select class="form-control" id="modal_special_discount_reason" name="modal_special_discount_reason">
										<option value="N/A">N/A</option>
										<option value="nmeedypatient">Needy patient</option>
										<option value="Staff">Staff</option>
										<option value="doctorrecomendation">Doctor recomendation</option>
									</select>
								</div>
								<div class="col-md-12">
									<label class="col-form-label">Approved By</label>
									<?php													
										$js = 'class="form-control" id="approved_by_user_id" ';
										echo form_dropdown('approved_by_user_id',$admin_employee,'-1',$js);
									?>
								</div>
								<div class="col-md-12">
									<label class="col-form-label">Password</label>
									<input class="form-control" type="password" id="user_password" name="user_password" value="">
								</div>								
							</div>						  
						</div>
						<div class="modal-footer">
						  <button type="button" class="btn btn-success" data-dismiss="modal" onclick="check_data_to_approve()">Approve</button>
						</div>
					  </div>
					</div>
				  </div>
		
		</div>			
			<div class="modal" id="patient_search_list_modal" tabindex="-1" role="dialog">
				<div class="modal-dialog" role="document">
					<div class="modal-content">
						<div class="modal-header">
							<h5 class="modal-title">Patients Search</h5>
							<button type="button" class="close" data-dismiss="modal" aria-label="Close">
								<span aria-hidden="true">&times;</span>
							</button>
						</div>
						<div class="modal-body">
							<div class="row" style="margin-bottom:20px">
								<div class="col-md-6">
									<label class="col-form-label">Name</label>
									<input class="form-control" type="text" id="search_patient_name" name="search_patient_name" value="" onKeyUp="patient_search_data()">
								</div>
								<div class="col-md-6">
									<label class="col-form-label">Mobile</label>
									<input class="form-control" type="text" id="search_patient_mobile" name="search_patient_mobile" value="" onKeyUp="patient_search_data()">
								</div>
							</div>
							
							<table class="table table-hover">
								<thead>
									<tr>
										<th>New ID#</th>
										<th>OLD ID#</th>
										<th>Name</th>
										<th>Mobile</th>
									</tr>
								</thead>
								<tbody id="patients_name_list_tbl_body">
									
								</tbody>
							</table>        
							
						</div>
						<div class="modal-footer">
							<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
						</div>
					</div>
				</div>
			</div>
			<div class="wait_modal" id="wait_div"><!-- Place at bottom of page -->
				<p>Please Wait...</p>
			</div>
			<!--------------------Modal form------------------------>
		</div>
	</div>
	<div class="modal" id="patient_registration_modal" tabindex="-1" role="dialog">
		<div class="modal-dialog modal-lg"  role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title">New Patient Registration</h5>
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<div class="modal-body">
					<form method="post" action="<?=base_url()?>Billing/new_patient_short_registration" autocomplete="off">
						<div class="row">
							<div class="col-md-6">
								<label class="col-form-label">Name <span style="color:red">*</span></label>
								<input class="form-control" type="text" id="patient_name" name="patient_name" value="" required>
							</div>
							<div class="col-md-6">
								<label class="col-form-label">Gender <span style="color:red">*</span></label>
								<select class="form-control" id="gender" name="gender">
									<option value="2">Male</option>
									<option value="1">Female</option>
									<option value="3">Transgender</option>
								</select>
							</div>
							
							<div class="col-md-6">
								<label class="col-form-label">Age <span style="color:red">*</span></label>
								<input class="form-control" type="text" id="age" name="age" value="" required>
							</div>
							<div class="col-md-6">
								<label class="col-form-label">Blood Group</label>
								<select class="form-control" id="blood_group" name="blood_group">
									<option value="Unknown">Unknown</option>
									<option value="A+">A+</option>
									<option value="A-">A-</option>
									<option value="B+">B+</option>
									<option value="B-">B-</option>
									<option value="AB+">AB+</option>
									<option value="AB-">AB-</option>
									<option value="O+">O+</option>
									<option value="O-">O-</option>
								</select>
							</div>
							<div class="col-md-6">
								<label class="col-form-label">Mobile <span style="color:red">*</span></label>
								<input class="form-control" type="text" id="mobile" name="mobile" value="" maxlength="10" onblur="check_mobile_no_exist_or_not(this.value)" required>
							</div>
							<div class="col-md-6">
								<label class="col-form-label">Alternative No</label>
								<input class="form-control" type="text" id="alternative_no" name="alternative_no" value="">
							</div>
							<div class="col-md-6">
								<label class="col-form-label">Address <span style="color:red">*</span></label>
								<input class="form-control" type="text" id="address" name="address" value="" required>
							</div>
							<div class="col-md-6">
								<label class="col-form-label">City <span style="color:red">*</span></label>
								<input class="form-control" type="text" id="city" name="city" value="" required>
							</div>
							<div class="col-md-6">
								<label class="col-form-label">Email </label>
								<input class="form-control" type="email" id="email_id" name="email_id" value="">
							</div>
							<div class="col-md-6">
								<label class="col-form-label">PS <span style="color:red">*</span></label>
								<input class="form-control" type="text" id="ps" name="ps" value="" required>
							</div>							
							
							<div class="col-md-6">
								<label class="col-form-label">State <span style="color:red">*</span></label>
								<?php
									$js = 'class="form-control" id="state_code" onChange="loadDistrict(this.value);"';
									echo form_dropdown('state_code',$stateName,'10037',$js);
								?>									
							</div>
							<div class="col-md-6">
								<label class="col-form-label">District <span style="color:red">*</span></label>
								<?php
									$js = 'class="form-control" id="district"';
									echo form_dropdown('district',$districtName,'',$js);
								?>
							</div>
							
							<div class="col-md-6">
								<label class="col-form-label">Country  </label>
								<?php
									$js = 'class="form-control" id="country_code" onChange="loadDistrict(this.value);"';
									echo form_dropdown('country_code',$country,'76',$js);
								?>
							</div>
							<div class="col-md-6">
								<label class="col-form-label">Pin <span style="color:red">*</span></label>
								<input class="form-control" type="text" id="pin" name="pin" value="" maxlength="6" required>
							</div>
							
							<div class="col-md-6">
								<label class="col-form-label">Category</label>
								<select class="form-control" id="patient_category" name="patient_category">
									<option value="1">General</option>
									<option value="2">VIP</option>
									<option value="3">referral</option>
								</select>
							</div>
							<div class="col-md-6">
								<label class="col-form-label">Type</label>
								<select class="form-control" id="patient_type" name="patient_type">
									<option value="1">General</option>
									<option value="2">Dialysis</option>
									<option value="3">Tx Wt</option>
									<option value="3">Post Tx</option>
								</select>
							</div>
							<div class="col-md-6">
								<label class="col-form-label">Anniversary</label>
								<div class="input-group date id_4">
									<input type="text"  class="form-control" id="anniversary" name="anniversary" />
									<div class="input-group-addon input-group-append">
										<div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar"></i> </div>
									</div>
								</div>								
							</div>
							<div class="col-md-6">
								<label class="col-form-label">Occupation </label>
								<input class="form-control" type="text" id="occupation" name="occupation" value="">
							</div>							
							
							
							<div class="col-md-12 text-right mt-3">
								<button type="submit" class="btn btn-info btn-md custom_btn2">Submit</button>
							</div>
						</div>       
					</form>
				</div>
			</div>
		</div>
	</div>
	
	
	<div class="modal" id="search_appointment_modal" tabindex="-1" role="dialog">
		<div class="modal-dialog modal-lg" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title">Search Appointment</h5>
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<div class="modal-body">
					<div class="form-group">
						<div class="row">
							
							<div class="col-md-3">
								<label class="col-form-label">Department </label>
								<?php
																
									$js = 'class="form-control" id="appo_departments" name="appo_departments" onchange="get_doctors('.$_SESSION['clinicId'].',this.value,\'appo_doctors\',0,0,0)"';
									echo form_dropdown('appo_departments',$all_departments,'-1',$js);
								?>
							</div>
							<div class="col-md-3">
								<label class="col-form-label">Doctor Name</label>
								<select class="form-control" id="appo_doctors" name="appo_doctors">
									
								</select >
							</div>
							<div class="col-md-3">
									<label class="col-form-label">Date</label>
									<div class="input-group date id_4">
										<input type="text"  class="form-control" id="appo_date" name="appo_date" value="<?=date('d-m-Y')?>" required/>
										<div class="input-group-addon input-group-append">
											<div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar"></i> </div>
										</div>
									</div>
								
							</div>
							<div class="col-md-3" style="margin-top:24px">
								<input type="button" id="search_data_btn" name="search_data_btn" onclick="search_data()" class="btn btn-info btn-md custom_btn2" value="Search">
							</div>
						</div>
					</div>
					<div class="form-group">
						<div class="row">
								
												
						</div>
					</div>
					<table class="table mt-3">
						<thead class="thead-dark">
							<tr>
								<th>Sl. </th>
								<th>Patient </th>
								<th>Age </th>
								<th>Mobile </th>
								<th>Action</th>
							</tr>
						</thead>
						<tbody id="table_body_data">
							<tr>
								<td colspan="5">Date not available</td>
							</tr>
						</tbody>
					</table>				
					
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
				</div>
			</div>
		</div>
	</div>
	<div class="modal" id="cardNo_approval_modal" tabindex="-1" role="dialog">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title">Modal title</h5>
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<div class="modal-body">
					<div class="form-group">
						<div class="row">
							
							<div class="col-md-6">
								<label class="col-form-label">Card No</label>
								<input type="text" class="form-control" id="card_no" name="card_no" placeholder="Enter card no"/>
							</div>
							<div class="col-md-6">
								<label class="col-form-label">Approval No</label>
								<input type="text" class="form-control" id="approval_no" name="approval_no" placeholder="Enter approval no" />
								<input type="hidden" class="form-control" id="modal_instrument_selector" name="modal_instrument_selector" />
							</div>
						</div>
					</div>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
					<button type="button" class="btn btn-primary" data-dismiss="modal" onclick="set_instrument_value()">Save changes</button>
				</div>
			</div>
		</div>
	</div>
	<footer class="footer">
		<?php
			require_once('footer.php');
		?>
	</footer>
</body>
<?php
	require_once('common_script.php');
?>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.9.0/moment-with-locales.min.js"></script>
<script src="<?=js_url?>bootstrap-datetimepicker.min.js"></script>
<script src="<?=js_url?>demo.js"></script>
<script>
	
	function patient_search_data()
	{
		var patient_id="";
		var patient_name=$("#search_patient_name").val();
		var mobile=$("#search_patient_mobile").val();
		var param_flag=2;
		$("#patients_name_list_tbl_body").html('');
		if(patient_name.length>=3 || mobile.length>=5)
		{
			$('#wait_div').show();
			$.post("<?=base_url()?>Billing/get_patient_name_list_using_filter",{patient_id:patient_id,patient_name:patient_name,mobile:mobile,param_flag:param_flag},function(data)
			{	
				$('#wait_div').hide();
				$("#patients_name_list_tbl_body").html(data);
			});
		}
	}
	function select_patient_from_list(pid,pname,psexage,pmobile,issetpatient)
	{
		if(issetpatient==1)
		{
			$('#patient_id').val(pid);
			$('#patient_name').val(pname);
			$('#sexage').val(psexage);
			$('#mobile').val(pmobile);
		}
		if(issetpatient==0)
		{
			$.post("<?=base_url()?>Billing/save_patient_from_old_new",{patient_id:pid},function(data)
			{	
				var jsdata=eval('('+data+')')
				$("#patient_id").val(jsdata.uid);
				$('#patient_name').val(jsdata.full_name);
				$('#sexage').val(jsdata.agesex);
				$('#mobile').val(jsdata.mobile);
			});
		
		}
	}
	function change_service_type(service_id,dept_selector_id)
	{
		$("#"+dept_selector_id).val('-1');	
	}
	function get_doctor_fees(docid=0,amount_selector_id="",service_type_selector_id="")
	{
		if(docid==0)
		{
			var docid=$('#doctors').val();
		}
		if(docid!=-1)
		{
			$('#wait_div').show();
			$.post("<?=base_url()?>Common/fetch_doctor_fees",{doctor_id:docid},function(data)
			{			
			$('#wait_div').hide();
			var service_type=$('#'+service_type_selector_id).val();
			var jsdata=eval('('+data+')')
			if(service_type==10101)
			{
				if($("#include_diet").prop('checked')==true)
				{
					var extra=parseFloat($("#include_diet").val());
					$("#"+amount_selector_id).val(parseFloat(jsdata.consultation_fees)+(extra));
					$("#op_net_amount").val(parseFloat(jsdata.consultation_fees)+(extra));
				}
				else
				{
					$("#"+amount_selector_id).val(jsdata.consultation_fees);
					$("#op_net_amount").val(jsdata.consultation_fees);					
				}
			}
			if(service_type==10102)
			{
				$("#"+amount_selector_id).val(jsdata.reporting_fees);
				$("#op_net_amount").val(jsdata.reporting_fees);
			}
		
			$("#op_discount").val(0);
		
			});
		}
		if(docid==-1)
		{
			$("#"+amount_selector_id).val('');
			$("#op_net_amount").val('');			
		}
	
	}
		function get_doctors(clinic_id,dept_id,doctor_load_selector_id,amount_selector_id,appo_flag=0,service_type_selector_id=0)
		{
			$('#wait_div').show();
			$.post("<?=base_url()?>Common/get_doctors",{clinic_id:clinic_id,department_id:dept_id},function(data)
			{			
			$('#wait_div').hide();
			$("#"+doctor_load_selector_id).html(data);
			var service_type=$("#"+service_type_selector_id).val();
			/*		var docid=0;
			if(appo_flag!=1 && service_type!=103)
			get_doctor_fees(docid,amount_selector_id,service_type_selector_id);*/
			});	
		}
	
		function calculate_amount_after_discount(tamount,disc,net)
		{
		
			var disct=$("#"+disc).val();	
			var mad=window.atob($("#mad").val());
			var max_disc=(parseFloat($("#"+tamount).val())*mad)/100;
			if(disct==="" || isNaN(disct))
			{
				$("#"+disc).val('0');
			}	
			else if(disct<=max_disc)
			{
				var service_amount=parseFloat($("#"+tamount).val());
				var service_discount=parseFloat($("#"+disc).val());
				$("#"+net).val(service_amount-service_discount);
				$("#payment_amount_1").focus();
			}
			else
			{
				alert("Sorry.Discount not approved..");
				$("#"+disc).val('0');
				return false;
			}
		}
		function calculate_amount_after_totaldiscount(gross_fld,item_disc_fld,adm_disc_fld,payable_amount_fld)
		{	
		
			var item_disc=$("#"+item_disc_fld).val();	
			var gross=parseFloat($("#"+gross_fld).val());
			var adm_disc=parseFloat($("#"+adm_disc_fld).val());
			$("#"+payable_amount_fld).val((gross-item_disc)-adm_disc);
			$("#payment_amount_1").val((gross-item_disc)-adm_disc);
			$("#payment_amount_1").focus();			
		}

			
		
	function search_data_patient_id()
	{
		var patient_id=$("#patient_id").val();
		var patient_name="";
		var mobile="";
		var param_flag=1;
		
		if(patient_id!="")
		{
		$('#wait_div').show();
			$.post("<?=base_url()?>Billing/get_patient_name_list_using_filter",{patient_id:patient_id,patient_name:patient_name,mobile:mobile,param_flag:param_flag},function(data)
			{	
			$('#wait_div').hide();
			var jsdata=eval('('+data+')');
			$('#patient_id').val(jsdata.uid);
			$('#patient_name').val(jsdata.full_name);
			$('#sexage').val(jsdata.agesex);
			$('#mobile').val(jsdata.mobile);
		
		});
		}
	
	}
	
	var tabIndex=0;
	var total_amount=0;
	var total_discount=0;
	
	function add_op_data_to_table()
	{	
		var disct=parseFloat($( "#op_discount").val());	
		var tamt=parseFloat($( "#op_amount").val());	
		var mad=window.atob($("#mad").val());
		var max_disc=(parseFloat(tamt)*mad)/100;
		
		if($("patient_id").val()=="")
		{
			alert("Oops..Select a patient first !");
		}
		else
		{
		
			if((disct==="") || isNaN(disct))
			{
				$("#op_discount").val('0');
			}	
			else if(disct<=max_disc)
			{	
				var service_amount=parseFloat($("#op_amount").val());
				var service_discount=parseFloat($("#op_discount").val());
				
				$("#op_net_amount").val(service_amount-service_discount);
				
				var tablebody = document.getElementById("cart_data_table").getElementsByTagName('tbody')[0];;
				tabIndex = tablebody.rows.length;
				var row = tablebody.insertRow(tabIndex);
				var cell1 = row.insertCell(0);
				var cell2 = row.insertCell(1);
				var cell3 = row.insertCell(2);
				var cell4 = row.insertCell(3);
				var cell5 = row.insertCell(4);
				var cell6 = row.insertCell(5);
				var cell7 = row.insertCell(6);
				
				var op_service_type = 101;	
				var item_id = parseInt($("#op_service_type").val());
				
				var  op_department= parseInt($("#op_department").val());
				var doctor = parseInt($( "#doctors").val());
				var op_amount = parseFloat($( "#op_amount").val());
				var op_discount = parseFloat($( "#op_discount").val());
				var  op_net_amount = parseFloat($( "#op_net_amount").val());
				var  op_discount_reason = "'"+$( "#op_discount_reason option:selected").text()+"'";
				var  op_discount_approved_by = $( "#op_discount_approved_by").val();
				var  op_date = "'"+$( "#op_date").val()+"'";
				var service_arr=[op_service_type,op_department,doctor,op_amount,op_discount,op_net_amount,op_date,op_discount_reason,op_discount_approved_by,item_id];
				var srvc=service_arr.toString();
				
				
				cell1.innerHTML = $("#op_service_type option:selected" ).text();
				cell2.innerHTML = "";
				cell3.innerHTML = $( "#op_amount").val();
				cell4.innerHTML = $( "#op_discount").val();
				cell5.innerHTML = $( "#op_net_amount").val();
				cell6.innerHTML = '<input type="hidden" id="" name="service_array[]" value="'+srvc+'">';
				cell7.innerHTML ='<center><a href="javascript:void(0)" class="redcolor" onclick="javascript:subtract_removed_item_amount(\''+btoa(srvc)+'\');$(this).closest(\'tr\').remove();"><i class="fa fa-trash-o"></i></a></center>';					
				
				
				
				$("#op_service_type").val('-1');	
				$("#op_department").val('-1');	
				$("#doctors").val('-1');	
				$("#op_amount").val('');	
				$("#op_discount").val('');	
				$("#op_net_amount").val('');
				
				//calculate net amount	
				total_amount+=op_amount;
				total_discount+=op_discount;
				$("#total_amount").val(total_amount);
				$("#totItm_discount_amount").val(total_discount);
				$("#payble_amount").val(total_amount-total_discount);
				$("#payment_amount_1").val(total_amount-total_discount);
				$("#payment_amount_1").focus();
				
				calculate_amount_after_totaldiscount('total_amount','totItm_discount_amount','discount_amount','payble_amount');				
			}
			else
			{
				alert("Sorry.Discount not approved..");
				$("#"+disc).val('0');
			}			
		
		
		}
	
	}
	function add_inv_data_to_table()
	{
		var tablebody = document.getElementById("cart_data_table").getElementsByTagName('tbody')[0];;
		tabIndex = tablebody.rows.length;
		var row = tablebody.insertRow(tabIndex);
		var cell1 = row.insertCell(0);
		var cell2 = row.insertCell(1);
		var cell3 = row.insertCell(2);
		var cell4 = row.insertCell(3);
		var cell5 = row.insertCell(4);
		var cell6 = row.insertCell(5);
		var cell7 = row.insertCell(6);
		
		var investigation_type = parseInt($("#investigation_type").val());	
		var inv_test_name = parseInt($("#test_id").val());	
		var inv_department= parseInt($("#investigation_department").val());
		var inv_doctor = parseInt($( "#investigation_doctors").val());
		var inv_amount = parseFloat($( "#investigation_amount").val());
		var inv_discount = parseFloat($( "#investigation_discount").val());
		var inv_net_amount = parseFloat($( "#investigation_net_amount").val());
		var inv_date = "'"+$( "#investigation_date").val()+"'";
		var investigation_discount_reason = "'"+$( "#investigation_discount_reason option:selected").text()+"'";
		var investigation_discount_approved_by = $( "#investigation_discount_approved_by").val();
		var service_arr=[investigation_type,inv_department,inv_doctor,inv_amount,inv_discount,inv_net_amount,inv_date,investigation_discount_reason,investigation_discount_approved_by,inv_test_name,];
		var srvc=service_arr.toString();
		
		
		cell1.innerHTML = $("#investigation_type option:selected" ).text();
		cell2.innerHTML = $("#test_name").val();
		cell3.innerHTML = inv_amount;
		cell4.innerHTML = inv_discount;
		cell5.innerHTML = inv_net_amount;
		cell6.innerHTML = '<input type="hidden" id="" name="service_array[]" value="'+srvc+'">';
		cell7.innerHTML ='<center><a href="javascript:void(0)" class="redcolor" onclick="javascript:subtract_removed_item_amount(\''+btoa(srvc)+'\');$(this).closest(\'tr\').remove();"><i class="fa fa-trash-o"></i></a></center>';
		
		
		
		$("#investigation_type").val('103');	
		$("#test_id").val('');	
		$("#test_name").val('');	
		$("#investigation_department").val('-1');	
		$("#investigation_doctors").val('-1');	
		$("#investigation_amount").val('');	
		$("#investigation_discount").val('0');	
		$("#investigation_net_amount").val('');

		//calculate net amount	
		total_amount+=inv_amount;
		total_discount+=inv_discount;
		$("#total_amount").val(total_amount);
		$("#totItm_discount_amount").val(total_discount);
		$("#payble_amount").val(total_amount-total_discount);
		$("#payment_amount_1").val(total_amount-total_discount);

		calculate_amount_after_totaldiscount('total_amount','totItm_discount_amount','discount_amount','payble_amount');
	}
	function add_procedure_data_to_table()
	{
		var tablebody = document.getElementById("cart_data_table").getElementsByTagName('tbody')[0];;
		tabIndex = tablebody.rows.length;
		var row = tablebody.insertRow(tabIndex);
		var cell1 = row.insertCell(0);
		var cell2 = row.insertCell(1);
		var cell3 = row.insertCell(2);
		var cell4 = row.insertCell(3);
		var cell5 = row.insertCell(4);
		var cell6 = row.insertCell(5);
		var cell7 = row.insertCell(6);

		var procedure_ot_type = parseInt($("#procedure_ot_type").val());	
		var procedure_ot_name = parseInt($("#procedure_ot_name").val());	
		var procedure_ot_name_id = parseInt($("#procedure_ot_name_id").val());	
		var procedure_ot_department= parseInt($("#procedure_ot_department").val());
		var procedure_ot_doctors = parseInt($( "#procedure_ot_doctors").val());
		var procedure_ot_amount = parseFloat($( "#procedure_ot_amount").val());
		var procedure_ot_discount = parseFloat($( "#procedure_ot_discount").val());
		var procedure_ot_net_amount = parseFloat($( "#procedure_ot_net_amount").val());
		var procedure_ot_date = "'"+$( "#procedure_ot_date").val()+"'";
		var procedure_discount_reason = "'"+$( "#procedure_discount_reason option:selected").text()+"'";
		var procedure_discount_approved_by = $( "#procedure_discount_approved_by").val();
		
		var service_arr=[procedure_ot_type,procedure_ot_department,procedure_ot_doctors,procedure_ot_amount,procedure_ot_discount,procedure_ot_net_amount,procedure_ot_date,procedure_discount_reason,procedure_discount_approved_by,procedure_ot_name_id];
		var srvc=service_arr.toString();


		cell1.innerHTML = $("#procedure_ot_type option:selected" ).text();
		cell2.innerHTML = $("#procedure_ot_name").val();
		cell3.innerHTML = procedure_ot_amount;
		cell4.innerHTML = procedure_ot_discount;
		cell5.innerHTML = procedure_ot_net_amount;
		cell6.innerHTML = '<input type="hidden" id="" name="service_array[]" value="'+srvc+'">';
		cell7.innerHTML ='<center><a href="javascript:void(0)" class="redcolor" onclick="javascript:subtract_removed_item_amount(\''+btoa(srvc)+'\');$(this).closest(\'tr\').remove();"><i class="fa fa-trash-o"></i></a></center>';
		$("#procedure_ot_name_id").val('');	
		$("#procedure_ot_name").val('');	
		$("#procedure_ot_department").val('-1');	
		$("#procedure_ot_doctors").val('-1');	
		$("#procedure_ot_amount").val('');	
		$("#procedure_ot_discount").val('0');	
		$("#procedure_ot_net_amount").val('');

		//calculate net amount	
		total_amount+=procedure_ot_amount;
		total_discount+=procedure_ot_discount;
		$("#total_amount").val(total_amount);
		$("#totItm_discount_amount").val(total_discount);
		$("#payble_amount").val(total_amount-total_discount);
		$("#payment_amount_1").val(total_amount-total_discount);
		calculate_amount_after_totaldiscount('total_amount','totItm_discount_amount','discount_amount','payble_amount');
	}
	function add_package_data_to_table()
	{
		var tablebody = document.getElementById("cart_data_table").getElementsByTagName('tbody')[0];;
		tabIndex = tablebody.rows.length;
		var row = tablebody.insertRow(tabIndex);
		var cell1 = row.insertCell(0);
		var cell2 = row.insertCell(1);
		var cell3 = row.insertCell(2);
		var cell4 = row.insertCell(3);
		var cell5 = row.insertCell(4);
		var cell6 = row.insertCell(5);
		var cell7 = row.insertCell(6);

		var package_type = 114;	
		var package_name = parseInt($("#package_name option:selected").text());	
		var package_id = parseInt($("#package_name").val());	
		var package_department= parseInt($("#package_department").val());
		var package_doctors = parseInt($( "#package_doctors").val());
		var package_amount = parseFloat($( "#package_amount").val());
		var package_discount = parseFloat($( "#package_discount").val());
		var package_net_amount = parseFloat($( "#package_net_amount").val());
		var package_date = "'"+$( "#package_date").val()+"'";
		var package_discount_reason = "'"+$( "#package_discount_reason option:selected").text()+"'";
		var package_discount_approved_by = $( "#package_discount_approved_by").val();
			
		var service_arr=[package_type,package_department,package_doctors,package_amount,package_discount,package_net_amount,package_date,package_discount_reason,package_discount_approved_by,package_id];
		var srvc=service_arr.toString();


		cell1.innerHTML = "Package";
		cell2.innerHTML = $("#package_name option:selected").text();
		cell3.innerHTML = package_amount;
		cell4.innerHTML = package_discount;
		cell5.innerHTML = package_net_amount;
		cell6.innerHTML = '<input type="hidden" id="" name="service_array[]" value="'+srvc+'">';
		cell7.innerHTML ='<center><a href="javascript:void(0)" class="redcolor" onclick="javascript:subtract_removed_item_amount(\''+btoa(srvc)+'\');$(this).closest(\'tr\').remove();"><i class="fa fa-trash-o"></i></a></center>';


		$("#package_name").val('-1');	
		$("#package_department").val('-1');	
		$("#package_doctors").val('-1');	
		$("#package_amount").val('');	
		$("#package_discount").val('0');	
		$("#package_net_amount").val('');

		//calculate net amount	
		total_amount+=package_net_amount;
		total_discount+=package_discount;
		$("#total_amount").val(total_amount);
		$("#totItm_discount_amount").val(total_discount);
		$("#payble_amount").val(total_amount-total_discount);
		$("#payment_amount_1").val(total_amount-total_discount);
		calculate_amount_after_totaldiscount('total_amount','totItm_discount_amount','discount_amount','payble_amount');
	}
	function add_service_charge_name_data_to_table()
	{
		var tablebody = document.getElementById("cart_data_table").getElementsByTagName('tbody')[0];;
		tabIndex = tablebody.rows.length;
		var row = tablebody.insertRow(tabIndex);
		var cell1 = row.insertCell(0);
		var cell2 = row.insertCell(1);
		var cell3 = row.insertCell(2);
		var cell4 = row.insertCell(3);
		var cell5 = row.insertCell(4);
		var cell6 = row.insertCell(5);
		var cell7 = row.insertCell(6);

		var service_charge_name_type = 110;	
		var service_charge_name = parseInt($("#service_charge_name option:selected").text());	
		var service_charge_name_id = parseInt($("#service_charge_name").val());	
		var service_charge_name_department= $("#service_charge_department").val();
		var service_charge_name_doctors = $( "#service_charge_doctors").val();
		var service_charge_name_amount = parseFloat($( "#service_charge_name_amount").val());
		var service_charge_name_discount = parseFloat($( "#service_charge_name_discount").val());
		var service_charge_name_net_amount = parseFloat($( "#service_charge_name_net_amount").val());
		var service_charge_name_date = "'"+$( "#service_charge_name_date").val()+"'";
		var service_charge_discount_reason = "'"+$( "#service_charge_discount_reason option:selected").text()+"'";
		var service_charge_discount_approved_by = $( "#service_charge_discount_approved_by").val();

		var service_arr=[service_charge_name_type,service_charge_name_department,service_charge_name_doctors,service_charge_name_amount,service_charge_name_discount,service_charge_name_net_amount,service_charge_name_date,service_charge_discount_reason,service_charge_discount_approved_by,service_charge_name_id];
		var srvc=service_arr.toString();


		cell1.innerHTML = "Service Charge";
		cell2.innerHTML = $("#service_charge_name option:selected").text();
		cell3.innerHTML = service_charge_name_amount;
		cell4.innerHTML = service_charge_name_discount;
		cell5.innerHTML = service_charge_name_net_amount;
		cell6.innerHTML = '<input type="hidden" id="" name="service_array[]" value="'+srvc+'">';
		cell7.innerHTML ='<center><a href="javascript:void(0)" class="redcolor" onclick="javascript:subtract_removed_item_amount(\''+btoa(srvc)+'\');$(this).closest(\'tr\').remove();"><i class="fa fa-trash-o"></i></a></center>';


		$("#service_charge_name").val('-1');	
		$("#service_charge_name_department").val('-1');	
		$("#service_charge_name_doctors").val('-1');	
		$("#service_charge_name_amount").val('');	
		$("#service_charge_name_discount").val('0');	
		$("#service_charge_name_net_amount").val('');

		//calculate net amount	
		total_amount+=service_charge_name_amount;
		total_discount+=service_charge_name_discount;
		$("#total_amount").val(total_amount);
		$("#totItm_discount_amount").val(total_discount);
		$("#payble_amount").val(total_amount-total_discount);
		$("#payment_amount_1").val(total_amount-total_discount);
		calculate_amount_after_totaldiscount('total_amount','totItm_discount_amount','discount_amount','payble_amount');
	}
		var p_tbl_row=1;
	function add_new_payment_row()
	{
		var tablebody = document.getElementById("payment_data_table").getElementsByTagName('tbody')[0];;
		tabIndex = tablebody.rows.length;
		var row = tablebody.insertRow(tabIndex);
		var cell1 = row.insertCell(0);
		var cell2 = row.insertCell(1);
		var cell3 = row.insertCell(2);
		var cell4 = row.insertCell(3);
		var cell5 = row.insertCell(4);
		var cell6 = row.insertCell(5);

		add_to_payment_array(p_tbl_row);

		p_tbl_row++;
		/*
		alert(p_tbl_row-1+"-"+prevAmt+"-"+netRemAmt);
		//get remaining amount after 1st mode payment
		var payableAmt=parseFloat($("#payble_amount").val());
		var prevAmt=parseFloat($("#payment_amount_"+p_tbl_row-1).val());
		var netRemAmt=payableAmt-prevAmt;*/

		cell1.innerHTML = '<select id="payment_mode_'+p_tbl_row+'" name="payment_mode_'+p_tbl_row+'" class="form-control" onchange="input_cardNo_approvalNo(this.value,\'instrument_no_'+p_tbl_row+'\')"><option value="1"> Cash </option><option value="2"> Debit Card </option><option value="3"> Credit Card </option><option value="4"> Cheque </option><option value="5"> UPI/Wallet </option></select>';
		cell2.innerHTML = '<div class="input-group date id_4"><input type="text" class="form-control" id="payment_date_'+p_tbl_row+'" name="payment_date_'+p_tbl_row+'" value="" required=""><div class="input-group-addon input-group-append"><div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar" aria-hidden="true"></i> </div></div></div>';
		cell3.innerHTML = '<input type="text" id="instrument_no_'+p_tbl_row+'" name="instrument_no_'+p_tbl_row+'" class="form-control" placeholder="Cheque/Instrument No" value="0">';
		cell4.innerHTML = '<input type="text" id="payment_amount_'+p_tbl_row+'" name="payment_amount_'+p_tbl_row+'" class="form-control" onkeyup="add_to_payment_array('+p_tbl_row+')"  onblur="add_to_payment_array('+p_tbl_row+')" placeholder="Amount" value="0">';
		cell5.innerHTML = '<a href="javascript:void(0)" onclick="add_new_payment_row()" class="plus_minus" title="Add"><i class="fa fa-plus" aria-hidden="true"></i></a> <a href="#" class="plus_minus" title="Delete"><i class="fa fa-trash-o" aria-hidden="true"></i></a>';
		cell6.innerHTML = '<input type="hidden" id="payment_data_arr_'+p_tbl_row+'" name="payment_data_arr[]" value="">';

		$("#payment_amount_"+p_tbl_row).focus();
		//calculate net amount	
		//total_amount+=op_net_amount;
		//$("#total_amount").val(total_amount);
		//$("#payble_amount").val(total_amount);

	}
	function add_to_payment_array(p_tbl_row)
	{
		var payment_mode = parseInt($("#payment_mode_"+p_tbl_row).val());	
		var payment_date= "'"+$("#payment_date_"+p_tbl_row).val()+"'";
		var instrument_no = $( "#instrument_no_"+p_tbl_row).val();
		var payment_amount = parseFloat($( "#payment_amount_"+p_tbl_row).val());
		var pay_data_arr=[payment_mode,payment_date,instrument_no,payment_amount];
		var payment_data=pay_data_arr.toString();

		$( "#payment_data_arr_"+p_tbl_row).val(btoa(payment_data));		
	}
	function loadDistrict(state_id)
	{
		$.post("<?=base_url()?>Common/load_district",{state_id:state_id},function(data){
		$("#district").html(data);
		});
	}
	function pid_finally_set()
	{
		var p=$("#patient_id").val();
		$("#pid").val(p);

	}
	function search_data()
	{
		var clinic=$("#clinic").val();
		var doctor_id=$("#appo_doctors").val();
		var from_date=$("#appo_date").val();
		var to_date=$("#appo_date").val();
		$.post("<?=base_url()?>Billing/get_appo_data",{clinic:clinic,doctor_id:doctor_id,from_date:from_date,to_date:to_date},function(data)
		{	
		$("#table_body_data").html(data);
		});

	}
	function select_appo_patient(pid)
	{
		$("#patient_id").val(pid);
		$("#patient_id").focus();
	}
	function set_present(appoint_id)
	{
		$.post("<?=base_url()?>Appointment/set_present",{appoint_id:appoint_id},function(data)
		{	
		//	alert(data);
			$("#patient_id").val(data);
			$("#appoint_id").val(appoint_id);
			$("#treating_department").focus();
			search_data_patient_id();
		});	
	}
	function set_appo_id_to_store(appoint_id)
	{
		$("#appoint_id").val(appoint_id);
	}

	function search_investigation(investigation_search_text)
	{
		var investigation_type=$("#investigation_type").val();
		if(investigation_search_text=="")
			$("#investigation_list").html('');	
		if(investigation_search_text.length>=2)
		{
			$("#investigation_list").show();
			$.post("<?=base_url()?>Common/get_investigation_by_name",{investigation_search_text:investigation_search_text,investigation_type:investigation_type},function(data)
			{	
				$("#investigation_list").html(data);
			});
		}
		else
		{
			$("#investigation_list").hide();
		}	
	}

	function clear_search_data_table()
	{
		$("#patients_name_list_tbl_body").html('');
		$("#search_patient_name").val('');
		$("#search_patient_mobile").val('');	
	}
	function investigation_set_record(enc_id,test,fees)
	{
		$("#investigation_list").html('');
		$("#investigation_list").hide();
		$("#test_name").val(test);
		$("#test_id").val(atob(enc_id));
		$("#investigation_amount").val(fees);
		$("#investigation_net_amount").val(fees);
	}
	function get_item_charge(admin_item_id)
	{
		$('#wait_div').show();
		$.post("<?=base_url()?>Common/fetch_item_by_id",{admin_item_id:admin_item_id},function(data)
		{	
		$('#wait_div').hide();
		$("#admin_service_amount").val(data);
		$("#admin_service_net_amount").val(data);
		});	
	}
	function add_admin_data_to_table()
	{
		var tablebody = document.getElementById("cart_data_table").getElementsByTagName('tbody')[0];;
		tabIndex = tablebody.rows.length;
		var row = tablebody.insertRow(tabIndex);
		var cell1 = row.insertCell(0);
		var cell2 = row.insertCell(1);
		var cell3 = row.insertCell(2);
		var cell4 = row.insertCell(3);
		var cell5 = row.insertCell(4);
		var cell6 = row.insertCell(5);
		var cell7 = row.insertCell(6);

		var admin_service_type = parseInt($("#admin_service_type").val());	
		var admin_items = parseInt($("#admin_items").val());	
		var admin_department= "0";
		var admin_doctor = "0";
		var admin_service_amount = parseFloat($( "#admin_service_amount").val());
		var admin_service_discount = parseFloat($( "#admin_service_discount").val());
		var admin_service_net_amount = parseFloat($( "#admin_service_net_amount").val());
		var admin_service_date = "'"+$( "#admin_service_date").val()+"'";
		var admin_service_discount_reason = "'"+$( "#admin_discount_reason option:selected").text()+"'";
		var admin_service_discount_approved_by = $( "#admin_discount_approved_by").val();

		var service_arr=[admin_service_type,admin_department,admin_doctor,admin_service_amount,admin_service_discount,admin_service_net_amount,admin_service_date,admin_service_discount_reason,admin_service_discount_approved_by,admin_items];
		var srvc=service_arr.toString();


		cell1.innerHTML = "Administration";
		cell2.innerHTML = $("#admin_items option:selected").text();
		cell3.innerHTML = admin_service_amount;
		cell4.innerHTML = admin_service_discount;
		cell5.innerHTML = admin_service_net_amount;
		cell6.innerHTML = '<input type="hidden" id="" name="service_array[]" value="'+srvc+'">';
		cell7.innerHTML ='<center><a href="javascript:void(0)" class="redcolor" onclick="javascript:subtract_removed_item_amount(\''+btoa(srvc)+'\');$(this).closest(\'tr\').remove();"><i class="fa fa-trash-o"></i></a></center>';

		$("#admin_items").val('-1');	
		$("#test_name").val('');	
		$("#admin_service_amount").val('0');	
		$("#admin_service_discount").val('0');	
		$("#admin_service_net_amount").val('0');

		//calculate net amount	
		total_amount+=admin_service_amount;
		total_discount+=admin_service_discount;
		$("#total_amount").val(total_amount);
		$("#totItm_discount_amount").val(total_discount);
		$("#payble_amount").val(total_amount-total_discount);
		$("#payment_amount_1").val(total_amount-total_discount);
		calculate_amount_after_totaldiscount('total_amount','totItm_discount_amount','discount_amount','payble_amount');
	}

	function get_items(search_item)
	{
		if(search_item.length>=2)
		{
			var services=$("#procedure_ot_type").val();
			$('#wait_div').show();
			$("#item_list").html('');
			$.post("<?=base_url()?>IPD/get_add_services_items",{services:services,search_item:search_item},function(data){
			$('#wait_div').hide();
			$("#procedure_ot_list").html(data);
			$("#procedure_ot_list").show();
			});
		}
		else
		{
			$("#procedure_ot_list").html('');
			$("#procedure_ot_list").hide();
		}

	}
	function set_item(record_id,item,amount)
	{
		$("#procedure_ot_name_id").val(record_id);
		$("#procedure_ot_name").val(item);
		$("#procedure_ot_amount").val(amount);
		$("#procedure_ot_net_amount").val(amount);
		$("#procedure_ot_list").hide();
		temp=amount;

	}
	function get_charge(item_id,service_uid,amount_selector_id,net_amount_selector_id)
	{
		if(item_id!=-1)
		{
			$('#wait_div').show();
			$.post("<?=base_url()?>Common/get_item_charge_by_id",{item_id:item_id,service_uid:service_uid},function(data)
			{	
				$('#wait_div').hide();
				var jsdata=eval('('+data+')')
				$("#"+amount_selector_id).val(jsdata.charge_amount);		
				$("#"+net_amount_selector_id).val(jsdata.charge_amount);		
			});
		}
		else
		{
			$("#"+amount_selector_id).val(0);		
			$("#"+net_amount_selector_id).val(0);
		}		
	}
	function clear_modal_table(table_body_id)
	{
		$("#"+table_body_id).html('');
	}
	function subtract_removed_item_amount(removedServcArrValue)
	{	var text=atob(removedServcArrValue);
		var myArray = text.split(",");
		var removedGrossAmount = myArray[3];
		var removedItmDiscAmount = myArray[4];
		var removedNetAmount = myArray[5];
		//calculate net amount	
		total_amount-=removedGrossAmount;
		total_discount-=removedItmDiscAmount;		
		$("#total_amount").val(total_amount);
		$("#totItm_discount_amount").val(total_discount);
		$("#payble_amount").val(total_amount-total_discount);
		$("#payment_amount_1").val(total_amount-total_discount); 
		calculate_amount_after_totaldiscount('total_amount','totItm_discount_amount','discount_amount','payble_amount');
			
	}

	function input_cardNo_approvalNo(payment_mode,instrument_no)
	{
		$("#modal_instrument_selector").val('');
		if(payment_mode==2 || payment_mode==3)
		{
			$('#cardNo_approval_modal').modal();
			$("#modal_instrument_selector").val(instrument_no);
		}


	}
	function set_instrument_value()
	{
		var instrument_id_field=$("#modal_instrument_selector").val();
		var approval_no=$("#approval_no").val();
		var card_no=$("#card_no").val();
		$("#"+instrument_id_field).val(card_no+"/APV"+approval_no);
	}
	function focus_on_a_field(field_name)
	{
		$("#"+field_name).focus();
	}
	function check_data_to_approve()
	{
		var total_amount=$("#total_amount").val();
		if(total_amount>0)
		{
			var user_id=$("#approved_by_user_id").val();
			var user_password=$("#user_password").val();
			var modal_discount_amount=parseFloat($("#modal_discount").val());
			$.post("<?=base_url()?>Common/is_id_password_correct",{'user_id':user_id,'user_password':user_password,'user_type':3},function(data){
				if(data==1)
				{
					$("#discount_amount").val(modal_discount_amount);
					$("#adm_special_discount_reason").val($("#modal_special_discount_reason").val());
					$("#adm_special_discount_approved_by").val($("#approved_by_user_id").val());
					$("#modal_discount").val('');
					$("#user_password").val('');
				}
				if(data==0)
				{
					alert("Invalid password..Request not approved");
					$("#discount_amount").val(0);
					$("#user_password").val('');
					calculate_amount_after_totaldiscount('total_amount','totItm_discount_amount','discount_amount','payble_amount');
				}			
			});		

		}
	}
	function validate_form()
	{
		$("#consulting_doctor").val($("#treating_doctor").val());
		$("#agent_code").val($("#agent").val());
		add_to_payment_array(p_tbl_row);
		if($("#treating_doctor").val()==-1)
		{
			alert("Please select treating doctor");
			return false;
		}
	}
	function check_mobile_no_exist_or_not(mobile_no)
	{
		if(mobile_no.length!=10)
			alert("Please enter 10 digit mobile no");
		else
		{
			$("wait_div").show();
			$.post("<?=base_url()?>Common/check_mobile_exist",{'mobile_no':mobile_no},function(data){
				$("wait_div").hide();
				if(data==true)
				{
					var conf=confirm("This mobile no already exist. Do you want new entry with same no? ");
					if(conf==false)
					{
						$("#patient_registration_modal").modal('hide');
					}
				}
			});			
		}
	}
<?php
if(isset($_REQUEST['stat']) && ($_REQUEST['stat']=="PAYERR"))
{
echo "alert('Payble amount and paid amount not matched OR Service not found!! Try again.')";
}
if(isset($_REQUEST['stat']) && ($_REQUEST['stat']=="105"))
{
echo "alert('Data Saved')";
}
if(isset($_SESSION['temp_print_bill_no']))
{?>
window.open("<?=base_url()?>Billing/printBill/<?=$_SESSION['temp_print_bill_no']?>",'_blank');
<?php
}
?>
</script>
</html>																		