<?php
require_once('header.php');
?>
<head>
<link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css" rel="stylesheet"/>
</head>    
<body class="bacgbg">  
<div id="wrap">
  <div id="main" class="clear-top">
    <header class="header_top_ber1">
	<?php
	require_once('top_head_section.php');
	?>
    </header>
    
  <section class="">
  <div class="container-fluid">
    <div class="row">
    
        <div class="col-md-12 mt-3">
    <div class="top_menu">
	<?php
	require_once('top_menu.php');
	?>
	</div>
      </div>
    </div>
  </div>
</section>
    <section class="main_body ">
      <div class="container-fluid">
        <div class="row">
        <div class="col-md-12 pt-4 ">
        <div class="dash_box" style="height:auto;">
		<form id="login" method="post" action="<?php echo site_url('Common/add_medicine_record');?>">
		  <div class="row">
		  <div class="col-md-5">
                <div class="form-group">
                  <div class="row">
                    
                    <div class="col-md-6">
                    <label class="col-form-label">Medicine Name</label>
					<input class="form-control" type="text" id="medicine_name" name="medicine_name" value="<?=(isset($medicine_record)?$medicine_record->medicine_name:'')?>">
					<input class="form-control" type="hidden" id="medicine_enc_id" name="medicine_enc_id" value="<?=(isset($medicine_record)?base64_encode($medicine_record->uid):'')?>">
					<?php echo form_error('medicine_name'); ?>
                    </div>
                    
                     <div class="col-md-6">
                    <label class="col-form-label">Strength</label>
					<input class="form-control" type="text"  id="strength" name="strength" value="<?=(isset($medicine_record)?$medicine_record->strength:'')?>">
					<?php echo form_error('strength'); ?>
                    </div>
                  </div>
                </div>
                <div class="form-group">
                  <div class="row">
                  <div class="col-md-6">
                    <label class="col-form-label">Form</label>
					<?php
						$js = 'class="form-control" id="medicine_form" name="medicine_form"';
						echo form_dropdown('medicine_form',$medicine_form,(isset($medicine_record))?$medicine_record->form:'1',$js);
					?>
                    </div>
                    <div class="col-md-6">
                    
                    <div class="form-group">
						<label class="col-form-label">Schedule</label>
						<select  class="form-control" id="schedule" name="schedule">
						<option value="-1">--Select--</option>
						<option value="H" <?=(isset($medicine_record) && $medicine_record->schedule=='H')?'selected':'';?> >H</option>
						<option value="K" <?=(isset($medicine_record) && $medicine_record->schedule=='K')?'selected':'';?> >K</option>
						<option value="G" <?=(isset($medicine_record) && $medicine_record->schedule=='G')?'selected':'';?> >G</option>
						<option value="X" <?=(isset($medicine_record) && $medicine_record->schedule=='X')?'selected':'';?> >X</option>
						</select>
					</div>
                    </div>
                    
                  </div>
                </div>
                
                <div class="form-group">
                  <div class="row">
                    
                    <div class="col-md-6">
                    <label class="col-form-label">Adult Dosage(E)</label>
					<input class="form-control" type="text" id="adult_dose" name="adult_dose" value="<?=(isset($medicine_record)?$medicine_record->dosage_adult_eng:'')?>">
                    </div>
                    
                     <div class="col-md-6">
                    <label class="col-form-label">Child Dosage(E)</label>
					<input class="form-control" type="text" id="child_dose" name="child_dose" value="<?=(isset($medicine_record)?$medicine_record->dosage_child_eng:'')?>">
                    </div>
                  </div>
                </div>
                
                <div class="form-group">
                  <div class="row">
                    
                    <div class="col-md-6">
                    <label class="col-form-label">Company</label>
					<input class="form-control" type="text" id="company" name="company" value="<?=(isset($medicine_record)?$medicine_record->madeby:'')?>">
					<?php echo form_error('company'); ?>
                    </div>
                    
                     <div class="col-md-6">
                    <label class="col-form-label">Price</label>
					<input class="form-control" type="text" id="price" name="price" value="<?=(isset($medicine_record)?$medicine_record->price:'')?>">
					<?php echo form_error('price'); ?>
                    </div>
                  </div>
                </div>
                          
          </div>
          <div class="col-md-4">
           
              <form>
                <div class="form-group">
                  <div class="row">
                    
                    <div class="col-md-9">
					<div class="total_searchbox_new" style="width:100%;">
						<ul class="navbar-nav mr-auto">
							<li class="nav-item dropdown">
							<input class="form-control" id="generic_search_data" name="generic_search_data" type="text" placeholder="Search Generic" onKeyUp="loadGenericData()">
							<div class="record_search" id="generic_list"> </div>
							</li>
						</ul>
					</div>
						<input type="hidden" id="generic_id_arr" name="generic_id_arr" />
                    </div>
                     <div class="col-md-3">
					<a href="javascript:void(0)" data-toggle="modal" data-target="#add_generic_modal"><i class="far fa-plus-square" style="font-size: 34px;"></i></a>
                    </div>
                    <div class="col-md-12">
                    <table class="table mt-3" id="generic_table">
                <thead class="thead-dark">
                  <tr>
                    <th>Id</th>
                    <th>Generic</th>
                    <th>Action</th>
                   
                  </tr>
                </thead>
                <tbody id="generic_table_body">
					<?php
					if(isset($medicine_generic_details))
					{
						foreach($medicine_generic_details as $record)
						{
						?>
						<tr>
							<td><?=$record->generic_uid?></td>
							<td><?=$record->generic_name?></td>
							<td><a href="javascript:void(0)" onClick="deleteRow(this)"><i class="fa fa-trash" aria-hidden="true"></i></a></td>
						</tr>
						<?php
						$temp_generic_arr[]=$record->generic_uid;
						}
					}
					?>
				</tbody>
              </table>
                    </div>
                    
                  </div>
                </div>
                
                
                
              </form>
              
           
          </div>
          <div class="col-md-3 switch_section">
            
            <div class="row">
              <div class="col-md-8">
              Show in App
              </div>
              <div class="col-md-4"> 
              <label class="switch">
  <input type="checkbox" id="show_app" name="show_app" value="1" <?=(isset($medicine_record) && $medicine_record->show_app=='1')?'checked':'';?>>
  <span class="slider round"></span>
</label></div>

 <div class="col-md-8">
              Show in Pharmacy 
              </div>
              <div class="col-md-4"> 
              <label class="switch">
  <input type="checkbox"  id="show_pharmacy" name="show_pharmacy" value="1" <?=(isset($medicine_record) && $medicine_record->show_pharmacy=='1')?'checked':'';?>>
  <span class="slider round"></span>
</label></div>

<div class="col-md-8">
              Active
              </div>
              <div class="col-md-4"> 
              <label class="switch">
  <input type="checkbox" id="active_flag" name="active_flag" value="1" <?=(isset($medicine_record) && $medicine_record->active_flag=='1')?'checked':'';?>>
  <span class="slider round"></span>
</label></div>
</div>              
          
          </div> 
         
          
                    <div class="col-md-12 pt-2 text-right">
                      <input type="submit" name="submit" class="btn btn-info btn-md custom_btn2" value="Submit">
                    </div>
                 
           
		  </div>
		</form>		  
		  </div>
		  </div>
          
         
        </div>
      </div>
    </section>
  </div>
<!---------modal----------->
<div class="modal" id="add_generic_modal" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <form method="post" action="<?=base_url()?>Common/add_generic_name">
	<div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Add Generic Name</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="row">
			<div class="col-md-12">
				<label class="col-form-label">Generic Name</label>
				<input class="form-control" type="text" id="generic_name" name="generic_name" required>				
			</div>			
		</div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="submit" class="btn btn-primary">Save changes</button>
      </div>
    </div>
	</form>
  </div>
</div>
<!-----------------end modal----------->
</div>
<footer class="footer">
<?php
require_once('footer.php');
?>
</footer>
</body> 
<?php
require_once('common_script.php');
?>
<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script> 
<script>
function loadGenericData()
{
	var search_text=$("#generic_search_data").val();
	if(search_text=="")
		$("#generic_list").html('');
	if(search_text.length>=2)
	{
		$("#generic_list").show();
		$.post("<?=base_url()?>Common/fetch_generic_list",{'text':search_text},function(data){
			
			$("#generic_list").html(data);
		});
	}
	else	
	{
		$("#generic_list").hide();
	}
}

var generic_id_arr=new Array();
function get_generic(generic_id,generic_name)
{		
			var rowNo = document.getElementById("generic_table").rows.length;
			var table = document.getElementById("generic_table");
			var row = table.insertRow(rowNo);
			var cell1 = row.insertCell(0);
			var cell2 = row.insertCell(1);
			var cell3 = row.insertCell(2);
			cell1.innerHTML = generic_id;
			cell2.innerHTML = generic_name;
			cell3.innerHTML = '<a href="javascript:void(0)" onclick="deleteRow(this)"><i class="fa fa-trash" aria-hidden="true"></i></a>';
			$("#generic_list").html('');
			$("#generic_list").hide();
				for(i=1;i<=rowNo;i++)
				{
					generic_id_arr[i-1]=document.getElementById("generic_table").rows[i].cells[0].innerHTML;
				}

			$("#generic_id_arr").val(generic_id_arr.toString());
			$("#generic_search_data").val('');			
}
function add_to_array()
{
	var generic_id_arr=new Array();
	var rowNo = document.getElementById("generic_table").rows.length;alert(rowNo);
	for(i=1;i<rowNo;i++)
	{
		generic_id_arr[i-1]=document.getElementById("generic_table").rows[i].cells[0].innerHTML;
	}

	$("#generic_id_arr").val(generic_id_arr.toString());
}
function deleteRow(btn) {
  var row = btn.parentNode.parentNode;
  row.parentNode.removeChild(row);
  add_to_array();
}
</script>
<?php
if(isset($_SESSION['success'])){
echo '<script>toastr.success("'.$_SESSION['success'].'","Success");</script>';
}

if(isset($medicine_generic_details))
{//used for medicine generic edit
	$generic_arr=implode(",",$temp_generic_arr);
	echo '<script>$("#generic_id_arr").val("'.$generic_arr.'")</script>';
}
?>
</html>    