<?php
require_once('header.php');
?>
<head>
	<link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css" rel="stylesheet"/>
</head>    
	<body class="bacgbg">  
		<div id="wrap">
			<div id="main" class="clear-top">
				<header class="header_top_ber1">
					<?php
					require_once('top_head_section.php');
					?>
				</header>
				<section class="">
					<div class="container-fluid">
						<div class="row">
							<div class="col-md-12 mt-3">
								<div class="top_menu">
									<?php
									require_once('top_menu.php');
									?>
								</div>
							</div>
						</div>
					</div>
				</section>
				<section class="main_body ">
					<div class="container-fluid">
						<div class="row">
							<div class="col-md-12 pt-4 ">
								<div class="dash_box" style="height:auto;">
									<form id="login" method="post" action="<?php echo site_url('Dialysis/add_item_record');?>">
										<div class="row">
											<div class="col-md-7">
											
				
														<div class="form-group">
															<div class="row">
																<div class="col-md-6">
																	<label class="col-form-label">Product Name</label>
																	<input class="form-control" type="text" id="product_name" name="product_name" value="<?=(isset($item_record)?$item_record->product_name:'')?>">
																	<input class="form-control" type="hidden" id="uid" name="uid" value="<?=(isset($item_record)?base64_encode($item_record->uid):'')?>">
																	<?php echo form_error('product_name'); ?>
																</div>
																<div class="col-md-6">
																	<label class="col-form-label">Product Category</label>
																		<?php
																			$options = [ 
																				'2'=> 'Consumable'
																			];
																			$js = 'class="form-control" id="product_category"';
																			echo form_dropdown('product_category',$options,(isset($item_record)?$item_record->product_category:''),$js);
																		?>
																		<?php echo form_error('product_category'); ?>
																</div>
															</div>
														</div>
											
														<div class="form-group">
															<div class="row">
																<div class="col-md-4">
																	<label class="col-form-label">Reorder Level</label>
																	<input class="form-control" type="text" id="reorder_level" name="reorder_level" value="<?=(isset($item_record)?$item_record->reorder_level:'')?>">
																	<?php echo form_error('reorder_level'); ?>
																</div>
																<div class="col-md-4">
																	<label class="col-form-label">Minimum Level</label>
																	<input class="form-control" type="text" id="minimum_level" name="minimum_level" value="<?=(isset($item_record)?$item_record->minimum_level:'')?>">
																	<?php echo form_error('minimum_level'); ?>
																</div>
																<div class="col-md-4">
																	<label class="col-form-label">Maximum Level</label>
																	<input class="form-control" type="text" id="maxium_level" name="maxium_level" value="<?=(isset($item_record)?$item_record->maxium_level:'')?>">
																	<?php echo form_error('maxium_level'); ?>
																</div>
																
															</div>
														</div>
														<div class="form-group">
															<div class="row">
																<div class="col-md-6">
																	<label class="col-form-label">Issue Method</label>
																		<?php
																			$options = [ 
																			'1' => 'Customerwise',
																			'2'=> 'Non-Customerwise'
																			];
																			$js = 'class="form-control" id="issue_method"';
																			echo form_dropdown('issue_method',$options,(isset($item_record)?$item_record->issue_method:''),$js);
																		?>
																		<?php echo form_error('issue_method'); ?>
																</div>
																<div class="col-md-6">
																	<label class="col-form-label">Warehouse</label>
																			<?php
																				$js = 'class="form-control" id="clinic_uid"';
																				echo form_dropdown('clinic_uid',$clinic_location,(isset($item_record)?$item_record->clinic_uid:'101'),$js);
																			?>
																</div>
															</div>
														</div>
														

											</div>
											<div class="col-md-5 switch_section">
												<div class="row">
													<div class="col-md-8">
														Show in App
													</div>
													<div class="col-md-4"> 
														<label class="switch">
															<input type="checkbox" id="show_app" name="show_app" value="1" <?=(isset($item_record) && $item_record->show_app=='1')?'checked':'';?>>
															<span class="slider round"></span>
														</label>
													</div>

													<div class="col-md-8">
														Active
													</div>
													<div class="col-md-4"> 
														<label class="switch">
															<input type="checkbox" id="active_flag" name="active_flag" value="1" <?=(isset($item_record) && $item_record->active_flag=='1')?'checked':'';?>>
															<span class="slider round"></span>
														</label>
													</div>
												</div>              
											</div> 
											<div class="col-md-12 pt-2 text-right">
											  <input type="submit" name="submit" class="btn btn-info btn-md custom_btn2" value="Submit">
											</div>
										</div>
									</form>		  
								</div>
							</div>
						</div>
					</div>
				</section>
			</div>
		</div>
		<footer class="footer">
			<?php
			require_once('footer.php');
			?>
		</footer>
	</body> 
		<?php
		require_once('common_script.php');
		?>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script> 
	<script>
		function deleteRow(btn) {
		  var row = btn.parentNode.parentNode;
		  row.parentNode.removeChild(row);
		  add_to_array();
		}
	</script>
	<?php
	if(isset($_SESSION['success'])){
	echo '<script>toastr.success("'.$_SESSION['success'].'","Success");</script>';
	}
	?>
</html>    