<?php
require_once('header.php');
?>
<head>
	<link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css" rel="stylesheet"/>
<style type="text/css">
.wait_modal {
	display: none;
	position: fixed;
	z-index: 15000;
	top: 0;
	left: 0;
	height: 100%;
	width: 100%;
	background: rgba( 255, 255, 255, .8 ) url('http://i.stack.imgur.com/FhHRx.gif') 50% 50% no-repeat;
}			
		</style>
</head>    
	<body class="bacgbg">  
		<div id="wrap">
			<div id="main" class="clear-top">
				<header class="header_top_ber1">
					<?php
					require_once('top_head_section.php');
					?>
				</header>
				<section class="">
					<div class="container-fluid">
						<div class="row">
							<div class="col-md-12 mt-3">
								<div class="top_menu">
									<?php
									require_once('top_menu.php');
									?>
								</div>
							</div>
						</div>
					</div>
				</section>
				<section class="main_body ">
					<div class="container-fluid">
						<div class="row">
							<div class="col-md-12 pt-4 ">
								<div class="dash_box" style="height:auto;">
									<form id="login" method="post" action="<?php echo site_url('Dialysis/add_group_record');?>">
										<div class="row">
											<div class="col-md-5">
												<div class="form-group">
													<div class="row">
														<div class="col-md-12">
															<label class="col-form-label">Group Name</label>
															<input class="form-control" type="text" id="group_name" name="group_name" value="<?=(isset($item_record)?$item_record->product_name:'')?>">
															<input class="form-control" type="hidden" id="uid" name="uid" value="<?=(isset($item_record)?base64_encode($item_record->uid):'')?>">
															<?php echo form_error('group_name'); ?>
														</div>
													</div>
												</div>
									
												<div class="form-group">
													<div class="row">
														<div class="col-md-12">
															<div class="table-responsive" style="max-height:300px">
																<table class="table table-striped">
																  <thead>
																	<tr>
																	  <th scope="col">Select</th>
																	  <th scope="col">Item ID#</th>
																	  <th scope="col">Items</th>
																	</tr>
																  </thead>
																  <tbody>
																  <?php
																  foreach($all_item_list as $record)
																  {
																  ?>
																	<tr>
																	  <th scope="row"><input type="checkbox" id="item_list" name="item_list[]" value="<?=$record->uid?>" ></th>
																	  <td><?=$record->uid?></td>
																	  <td><?=$record->product_name?></td>
																	</tr>
																<?php
																  }
																?>
																  </tbody>
																</table>															
															</div>
														
														</div>
													</div>
												</div>
											</div>
											<div class="col-md-4 switch_section">
												<div class="row">
													<div class="col-md-8">
														Show in App
													</div>
													<div class="col-md-4"> 
														<label class="switch">
															<input type="checkbox" id="show_app" name="show_app" value="1" <?=(isset($item_record) && $item_record->show_app=='1')?'checked':'';?>>
															<span class="slider round"></span>
														</label>
													</div>

													<div class="col-md-8">
														Active
													</div>
													<div class="col-md-4"> 
														<label class="switch">
															<input type="checkbox" id="active_flag" name="active_flag" value="1" <?=(isset($item_record) && $item_record->active_flag=='1')?'checked':'';?>>
															<span class="slider round"></span>
														</label>
													</div>
													<div class="col-md-12 pt-2 text-right">
													  <input type="submit" name="submit" class="btn btn-info btn-md custom_btn2" value="Submit">
													</div>												
												</div>              
											</div> 
											<div class="col-md-3">
												<div class="table-responsive" style="max-height:300px">
													<table class="table table-striped">
													  <thead>
														<tr>
														  <th scope="col">Group Name</th>
														  <th scope="col">Action</th>
														</tr>
													  </thead>
													  <tbody>
													  <?php
													  foreach($group_list as $record)
													  {
													  ?>
														<tr>
														  <td><a href="javascript:void(0)" data-toggle="modal" data-target="#list_modal" onclick="show_group_items('<?=$record->group_name?>')" ><?=$record->group_name?></a></td>
														  <td><a href="<?=base_url('Dialysis/delete_group/'.$record->group_name) ?>" ><i class="fa fa-trash" aria-hidden="true"></i></a></td>														  
														</tr>
													<?php
													  }
													?>
													  </tbody>
													</table>															
												</div>
																									
											</div>
										</div>
									</form>		  
								</div>
							</div>
						</div>
					</div>
				</section>
			<!--------------------Modal form------------------------>
			<div class="modal" id="list_modal" tabindex="-1" role="dialog">
				<div class="modal-dialog" role="document">
					<div class="modal-content">
						<div class="modal-header">
							<h5 class="modal-title">Group Items</h5>
							<button type="button" class="close" data-dismiss="modal">
								<span aria-hidden="true">&times;</span>
							</button>
						</div>
						<div class="modal-body">
							<div class="row" style="margin-bottom:20px">
								<div class="col-md-12">
									<label class="col-form-label">Group Name</label>
									<input class="form-control" type="text" id="modal_group_name" name="modal_group_name" readonly>
								</div>
							</div>
							
							<table class="table table-hover">
								<thead>
									<tr>
										<th>ID#</th>
										<th>Items</th>
									</tr>
								</thead>
								<tbody id="list_tbl_body">
									
								</tbody>
							</table>        
							
						</div>
						<div class="modal-footer">
							<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
						</div>
					</div>
				
				</div>
			</div>
			<div class="wait_modal" id="wait_div"><!-- Place at bottom of page -->
				<p>Please Wait...</p>
			</div>
			<!--------------------Modal form------------------------>				
			</div>
		</div>
		<footer class="footer">
			<?php
			require_once('footer.php');
			?>
		</footer>
	</body> 
		<?php
		require_once('common_script.php');
		?>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script> 
	<script>
		function show_group_items(group_name)
		{
		$("#wait_div").show();
		$.post("<?=base_url()?>Dialysis/get_group_items",{group_name:group_name},function(data)
		{	
			$('#wait_div').hide();
			$('#modal_group_name').val(group_name);
			$('#list_tbl_body').html(data);

		});				
		}
	</script>
	<?php
	if(isset($_SESSION['success'])){
	echo '<script>toastr.success("'.$_SESSION['success'].'","Success");</script>';
	}
	?>
</html>    