<!--------------------Modal form------------------------>	

<div class="modal" id="patient_search_list_modal" tabindex="-1" role="dialog">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Patients Search</h5>
			</div>
			<div class="modal-body">
				<div class="row" style="margin-bottom:20px">
					<div class="col-md-6">
						<label class="col-form-label">Name</label>
						<input class="form-control" type="text" id="search_patient_name" name="search_patient_name" value="" onKeyUp="patient_search_data()">
					</div>
					<div class="col-md-6">
						<label class="col-form-label">Mobile</label>
						<input class="form-control" type="text" id="search_patient_mobile" name="search_patient_mobile" value="" onKeyUp="patient_search_data()">
					</div>
				</div>
				
				<table class="table table-hover">
					<thead>
						<tr>
							<th>New ID#</th>
							<th>OLD ID#</th>
							<th>Name</th>
							<th>Mobile</th>
						</tr>
					</thead>
					<tbody id="patients_name_list_tbl_body">
						
					</tbody>
				</table>        
				
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-secondary" data-dismiss="modal" >Close</button>
			</div>
		</div>
	</div>
</div>
			
<!--------------------Modal form------------------------>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<script src="<?=js_url?>flaunt.js"></script>
<script>
function clear_patient_session()
{
	$.post("<?=base_url()?>Doctor/clear_patient_session",{},function(data){
		window.location.assign("<?=base_url('Doctor/dashboard')?>");
	});	
}

function load_departments()
{
	var clinic_id=$("#clinic").val();
	$.post("<?=base_url()?>Common/load_departments",{'clinic_id':clinic_id},function(data){
	$("#departmentsID").html(data);
	});
}
function load_doctors()
{
	var clinic_id=$("#clinic").val();
	var department_id=$("#departmentsID").val();
	if(department_id!=-1)
	{
		$.ajax({
		  type: "POST",
		  url: '<?=base_url()?>Common/get_doctors',
		  data: {'clinic_id':clinic_id,'department_id':department_id},
		  success: function(data)
					{	
						$("#doctorsID").html(data);
					}
		});
	}	
	
}
function load_billed_patient()
{
	var clinic_id=$("#clinic").val();
	var doctor_id=$("#doctorsID").val();
	var date=$("#billed_date").val();
	if(doctor_id!=-1)
	{
		$.ajax({
		  type: "POST",
		  url: '<?=base_url()?>Doctor/get_billed_patient',
		  data: {'clinic_id':clinic_id,'doctor_id':doctor_id,'date':date},
		  success: function(data)
					{	
						$("#patient_list_tbody").html(data);
					}
		});
	}	
}
function show_patient_search_modal()
{
	$("#patient_search_list_modal").show();
}
function patient_search_data()
{
		var patient_id="";
		var patient_name=$("#search_patient_name").val();
		var mobile=$("#search_patient_mobile").val();
		var param_flag=2;
		$("#patients_name_list_tbl_body").html('');
		if(patient_name.length>=3 || mobile.length>=5)
		{
			$('#wait_div').show();
			$.post("<?=base_url()?>Dialysis/get_patient_name_list_using_filter",{patient_id:patient_id,patient_name:patient_name,mobile:mobile,param_flag:param_flag},function(data)
			{	
				$('#wait_div').hide();
				$("#patients_name_list_tbl_body").html(data);
			});
		}
}
function select_patient_from_list(pid,pname,psexage,pmobile,issetpatient)
{
		//get patient details
		$('#wait_div').show();
		$.post("<?=base_url()?>Common/get_patient_record",{pid:pid},function(data)
		{	
			$('#wait_div').hide();
			var jsdata=eval('('+data+')');
			var pat_name=jsdata.full_name;
			var pat_sex=jsdata.gender;
			var pat_age=jsdata.age;
			
			set_patient_session(pid,pname,pat_age,pat_sex);
		});		
		

}
function clear_visit_data()
{
	$('#pid').val('');
	$('#pt_name').val('');
}
</script>