<?php
require_once('header.php');
?>
<head>
<style>
.wait_modal {
    display:    none;
    position:   fixed;
    z-index:    15000;
    top:        0;
    left:       0;
    height:     100%;
    width:      100%;
    background: rgba( 255, 255, 255, .8 ) 
                url('http://i.stack.imgur.com/FhHRx.gif') 
                50% 50% 
                no-repeat;
}
</style>
</head>
<body class="bacgbg">
<div id="wrap">
  <div id="main" class="clear-top">
    <header class="header_top_ber1">
      <?php
	require_once('top_head_section.php');
	?>
    </header>
    <section class="">
      <div class="container-fluid">
        <div class="row">
          <div class="col-md-12 mt-3">
            <div class="top_menu">
              <?php
	require_once('top_menu.php');
	?>
            </div>
          </div>
        </div>
      </div>
    </section>
    <section class="main_body mt-3">
    <div class="container-fluid">
      <div class="row">
        <div class="col-md-12 ">
          <div class="dash_box" style="height:auto;">
            <div class="row">
              <div class="col-md-12 ">
                <div class=" text-left border-0 ">
                  <div class="row">
                    <div class="col-md-2">
                      <div class="form-group">
                        <label class="col-form-label">PUID</label>
                        <input class="form-control" type="text" id="patient_id" name="patient_id" onBlur="search_data_patient_id()">
                      </div>
                    </div>
                    <div class="col-md-2">
                      <div class="form-group">
                        <label class="col-form-label">Name</label>
                        <input class="form-control" type="text" id="patient_name" name="patient_name" value="" readonly>
                      </div>
                    </div>
                    <div class="col-md-2">
                      <div class="form-group">
                        <label class="col-form-label">Gender</label>
                        <select id="gender" name="gender" class="form-control">
                          <option value="2">Male</option>
                          <option value="1">Female</option>
                        </select>
                      </div>
                    </div>
                    <div class="col-md-2">
                      <div class="form-group">
                        <label class="col-form-label">Age</label>
                        <input class="form-control" type="text" id="age" name="age" value="" readonly>
                      </div>
                    </div>
                    <div class="col-md-2">
                      <div class="form-group">
                        <label class="col-form-label">Mobile Number</label>
                        <input class="form-control" type="text" id="mobile" name="mobile" value="" readonly>
                      </div>
                    </div>
                    <div class="col-md-2">
                      <div class="form-group">
                        <label class="col-form-label" style="width:100%;">&nbsp;</label>
                        <a id="search_data" class="search_icon" style="position:relative; display:inline-block;" href="javascript:void(0)" data-toggle="modal" data-target="#patient_search_list_modal" onclick="clear_search_data_table()"><i class="fas fa-search" aria-hidden="true"></i></a>  </div>
                    </div>
                  </div>
                  <div class="row mt-3">
                    <div class="col-md-3" >
                      <table width="100%" border="0" cellspacing="0" cellpadding="0">
                        <tr>
                          <td><label class="col-form-label">Type:</label></td>
                          <td><select class="form-control">
                              <option>New</option>
                              <option>Follow Up</option>
                            </select></td>
                        </tr>
                      </table>
                    </div>
                    <div class="col-md-3" >
                      <table width="100%" border="0" cellspacing="0" cellpadding="0">
                        <tr>
                          <td><label class="col-form-label">Sponsor:</label></td>
                          <td><select class="form-control" >
                              <option>New</option>
                              <option>Follow Up</option>
                            </select></td>
                        </tr>
                      </table>
                    </div>
                    <div class="col-md-3" >
                      <table width="100%" border="0" cellspacing="0" cellpadding="0">
                        <tr>
                          <td><label class="col-form-label">Plan:</label></td>
                          <td><select class="form-control">
                              <option>New</option>
                              <option>Follow Up</option>
                            </select></td>
                        </tr>
                      </table>
                    </div>
                    <div class="col-md-3">
                      <div class="form-group">
                        <a href="javascript:void(0)" data-toggle="modal" data-target="#search_appointment_modal" class="btn btn-info btn-md custom_btn2"><i class="fa fa-search" aria-hidden="true"></i> Appointment</a>&nbsp; <a href="javascript:void(0)" data-toggle="modal" data-target="#patient_registration_modal" class="btn btn-info btn-md custom_btn2"><i class="fa fa-plus" aria-hidden="true"></i> Registration</a> </div>
                    </div>					
                  </div>
                </div>
              </div>
            </div>
          </div>       
		</div>
        <form method="post" action="<?=base_url()?>Billing/save_bill" >
		<input type="hidden" id="pid" name="pid"/>
		<div class="col-md-12">
		
          <div class="dash_box" style="height:auto;">
            <div class="row">
              <div class="col-md-6 ">
                <ul class="nav nav-tabs custom_nav1" role="tablist">
                  <li class="nav-item"> <a class="nav-link active" data-toggle="tab" href="#op"> OP</a> </li>
                  <li class="nav-item"> <a class="nav-link" data-toggle="tab" href="#inv"> Investigation</a> </li>
                  <li class="nav-item"> <a class="nav-link" data-toggle="tab" href="#procedure"> Procedure</a> </li>
                  <li class="nav-item"> <a class="nav-link" data-toggle="tab" href="#admin"> Admin</a> </li>
                  <li class="nav-item"> <a class="nav-link" data-toggle="tab" href="#package"> Package</a> </li>
                </ul>
                <!-- Tabs Content -->
                <div class="tab-content pt-2">
                  <div id="op" class="tab-pane active">
                    <form action="#" method="POST" >
                      <div class="row clearfix">
                        <div class="col-md-12">
                          <div class="form-group">
                            <div class="row">
                              <div class="col-md-12">
                                <div class="form-group">
                                  <label class="col-form-label">Services</label>
                                  <select class="form-control" id="op_service_type" name="op_service_type" onChange="change_service_type(this.value,'op_department')">
                                    <option value="-1">--Select--</option>
                                    <option value="101">Consultation</option>
                                    <option value="102">Reporting</option>
                                  </select>
                                </div>
                              </div>
                              <div class="col-md-6">
                                <div class="form-group">
                                  <label class="col-form-label">Department</label>
									<?php
										$dept['-1']='--Select--';
										$departments=$dept+$all_departments;
										$js = 'class="form-control" id="op_department" name="op_department" onchange="get_doctors(this.value,\'doctors\',\'op_amount\',0,\'op_service_type\')"';
										echo form_dropdown('op_department',$departments,'-1',$js);
									?>									
                                </div>
                              </div>
                              <div class="col-md-6">
                                <label class="col-form-label">Doctor</label>
								<select class="form-control" id="doctors" name="doctors" onChange="get_doctor_fees(this.value,'op_amount','op_service_type')">
								
								</select >								
                              </div>
                            </div>
                          </div>
                          <div class="form-group">
                            <div class="row">
                              <div class="col-md-6">
                                <label class="col-form-label">Amount</label>
                                <input class="form-control" type="text" id="op_amount" name="op_amount" value="" readonly>
                              </div>
                              <div class="col-md-6">
                                <label class="col-form-label">Discount</label>
                                <input class="form-control" type="text" id="op_discount" name="op_discount" value="" onblur="calculate_amount_after_discount('op_amount','op_discount','op_net_amount')">
                              </div>
                            </div>
                          </div>
                          <div class="form-group">
                            <div class="row">
                              <div class="col-md-6">
                                <label class="col-form-label">Net</label>
                                <input class="form-control" type="text" id="op_net_amount" name="op_net_amount" value="">
                              </div>

                              <div class="col-md-4">
                                <label class="col-form-label">Date</label>
								  <div class="input-group date id_4">
									<input type="text"  class="form-control" id="op_date" name="op_date" value="<?=date('d-m-Y')?>" required />
									<div class="input-group-addon input-group-append">
									  <div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar"></i> </div>
									</div>
								  </div>
                              </div>
                              <div class="col-md-2">
                                <div class="col-md-12 text-right">
                                  <label class="col-form-label" style="width:100%">&nbsp;</label>
                                  <a href="javascript:void(0)" onClick="add_op_data_to_table()" class="btn btn-info btn-md custom_btn2" >>></a> </div>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    </form>
                  </div>
                  <div id="inv" class="tab-pane ">
					<form action="#" method="POST" >
					  <div class="row clearfix">
						<div class="col-md-12">
						  <div class="form-group">
							<div class="row">
							  <div class="col-md-4">
								<div class="form-group">
								  <label class="col-form-label">Type</label>
								  <select class="form-control" id="investigation_type" name="investigation_type" onChange="change_service_type(this.value,'investigation_department')">
									<option value="103">Lab</option>
									<option value="104">Non Lab</option>
								  </select>
								</div>
							  </div>
							  <div class="col-md-8">
								<div class="form-group">
								  <label class="col-form-label">Test Name</label>
								  <input type="text" class="form-control" id="test_name" name="test_name" onkeyup="search_investigation(this.value)">
								  <input type="hidden" id="test_id" name="test_id" value="">
								  <div id="investigation_list" style="display:none" class="drop_down_item_list" >
								  </div>								  
								</div>
							  </div>								  
							  <div class="col-md-6">
								<div class="form-group">
								  <label class="col-form-label">Department</label>
									<?php
										$dept['-1']='--Select--';
										$departments=$dept+$all_departments;
										$js = 'class="form-control" id="investigation_department" name="investigation_department" onchange="get_doctors(this.value,\'investigation_doctors\',\'investigation_amount\',0,\'investigation_type\')"';
										echo form_dropdown('department',$departments,'-1',$js);
									?>									
								</div>
							  </div>
							  <div class="col-md-6">
								<label class="col-form-label">Doctor</label>
								<select class="form-control" id="investigation_doctors" name="investigation_doctors" onChange="get_doctor_fees(this.value,'investigation_amount','investigation_type')">
								
								</select >								
							  </div>
							</div>
						  </div>
						  <div class="form-group">
							<div class="row">
							  <div class="col-md-6">
								<label class="col-form-label">Amount</label>
								<input class="form-control" type="text" id="investigation_amount" name="investigation_amount" readonly>
							  </div>
							  <div class="col-md-6">
								<label class="col-form-label">Discount %</label>
								<input class="form-control" type="text" id="investigation_discount" name="investigation_discount" value="0" onblur="calculate_amount_after_discount('investigation_amount',investigation_discount','investigation_net_amount')">
							  </div>
							</div>
						  </div>
						  <div class="form-group">
							<div class="row">
							  <div class="col-md-6">
								<label class="col-form-label">Net</label>
								<input class="form-control" type="text" id="investigation_net_amount" name="investigation_net_amount" readonly>
							  </div>

							  <div class="col-md-4">
								<label class="col-form-label">Date</label>
								  <div class="input-group date id_4">
									<input type="text"  class="form-control" id="from_date" name="from_date" value="<?=date('d-m-Y')?>" required/>
									<div class="input-group-addon input-group-append">
									  <div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar"></i> </div>
									</div>
								  </div>
							  </div>
							  <div class="col-md-2">
								<div class="col-md-12 text-right">
								  <label class="col-form-label" style="width:100%">&nbsp;</label>
								  <a href="#"     class="btn btn-info btn-md custom_btn2" >>></a> </div>
							  </div>
							</div>
						  </div>
						</div>
					  </div>
					</form>					
                  </div>
                  <div id="procedure" class="tab-pane ">
					<form action="#" method="POST" >
					  <div class="row clearfix">
						<div class="col-md-12">
						  <div class="form-group">
							<div class="row">
							  <div class="col-md-4">
								<div class="form-group">
								  <label class="col-form-label">Type</label>
								  <select class="form-control" id="procedure_ot_type" name="procedure_ot_type">
									<option value="106">Procedure</option>
									<option value="107">OT</option>
								  </select>
								</div>
							  </div>
							  <div class="col-md-8">
								<div class="form-group">
								  <label class="col-form-label">Name</label>
								  <input type="text" class="form-control" id="procedure_ot_name" name="procedure_ot_name">
								</div>
							  </div>								  
							  <div class="col-md-6">
								<div class="form-group">
								  <label class="col-form-label">Department</label>
									<?php
										$dept['-1']='--Select--';
										$departments=$dept+$all_departments;
										$js = 'class="form-control" id="procedure_ot_department" name="procedure_ot_department" onchange="get_doctors(this.value,\'procedure_ot_doctors\',\'procedure_ot_amount\',0,\'procedure_ot_type\')"';
										echo form_dropdown('department',$departments,'-1',$js);
									?>									
								</div>
							  </div>
							  <div class="col-md-6">
								<label class="col-form-label">Doctor</label>
								<select class="form-control" id="procedure_ot_doctors" name="procedure_ot_doctors">
								
								</select >								
							  </div>
							</div>
						  </div>
						  <div class="form-group">
							<div class="row">
							  <div class="col-md-6">
								<label class="col-form-label">Amount</label>
								<input class="form-control" type="text" id="procedure_ot_amount" name="procedure_ot_amount" value="">
							  </div>
							  <div class="col-md-6">
								<label class="col-form-label">Discount</label>
								<input class="form-control" type="text" id="" name="" value="">
							  </div>
							</div>
						  </div>
						  <div class="form-group">
							<div class="row">
							  <div class="col-md-6">
								<label class="col-form-label">Net</label>
								<input class="form-control" type="text" id="" name="" value="">
							  </div>

							  <div class="col-md-4">
								<label class="col-form-label">Date</label>
								  <div class="input-group date id_4">
									<input type="text"  class="form-control" id="from_date" name="from_date" value="<?=date('d-m-Y')?>" required/>
									<div class="input-group-addon input-group-append">
									  <div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar"></i> </div>
									</div>
								  </div>
							  </div>
							  <div class="col-md-2">
								<div class="col-md-12 text-right">
								  <label class="col-form-label" style="width:100%">&nbsp;</label>
								  <a href="#"     class="btn btn-info btn-md custom_btn2" >>></a> </div>
							  </div>
							</div>
						  </div>
						</div>
					  </div>
					</form>	
                  </div>
				  <div id="admin" class="tab-pane ">
					<form action="#" method="POST" >
					  <div class="row clearfix">
						<div class="col-md-12">
						  <div class="form-group">
							<div class="row">
							  <div class="col-md-12">
								<div class="form-group">
								  <label class="col-form-label">Service</label>
								  <select class="form-control" id="admin_service_type" name="admin_service_type">
									<option value="120">Registration</option>
								  </select>
								</div>
							  </div>							  
							</div>
						  </div>
						  <div class="form-group">
							<div class="row">
							  <div class="col-md-6">
								<label class="col-form-label">Amount</label>
								<input class="form-control" type="text" id="admin_service_amount" name="admin_service_amount" value="">
							  </div>
							  <div class="col-md-6">
								<label class="col-form-label">Discount %</label>
								<input class="form-control" type="text" id="" name="" value="">
							  </div>
							</div>
						  </div>
						  <div class="form-group">
							<div class="row">
							  <div class="col-md-6">
								<label class="col-form-label">Net</label>
								<input class="form-control" type="text" id="" name="" value="">
							  </div>

							  <div class="col-md-4">
								<label class="col-form-label">Date</label>
								  <div class="input-group date id_4">
									<input type="text"  class="form-control" id="from_date" name="from_date" value="<?=date('d-m-Y')?>" required/>
									<div class="input-group-addon input-group-append">
									  <div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar"></i> </div>
									</div>
								  </div>
							  </div>
							  <div class="col-md-2">
								<div class="col-md-12 text-right">
								  <label class="col-form-label" style="width:100%">&nbsp;</label>
								  <a href="#"     class="btn btn-info btn-md custom_btn2" >>></a> </div>
							  </div>
							</div>
						  </div>
						</div>
					  </div>
					</form>	
                  </div>
                  <div id="package" class="tab-pane ">
					<form action="#" method="POST" >
					  <div class="row clearfix">
						<div class="col-md-12">
						  <div class="form-group">
							<div class="row">
							  <div class="col-md-12">
								<div class="form-group">
								  <label class="col-form-label">Name</label>
								  <select class="form-control" id="package_name" name="package_name">
									<option value="-1">--Select--</option>
								  </select>
								</div>
							  </div>							  
							</div>
						  </div>
						  <div class="form-group">
							<div class="row">
							  <div class="col-md-6">
								<label class="col-form-label">Amount</label>
								<input class="form-control" type="text" id="package_amount" name="package_amount" value="">
							  </div>
							  <div class="col-md-6">
								<label class="col-form-label">Discount %</label>
								<input class="form-control" type="text" id="package_discount" name="package_discount" value="">
							  </div>
							</div>
						  </div>
						  <div class="form-group">
							<div class="row">
							  <div class="col-md-6">
								<label class="col-form-label">Net</label>
								<input class="form-control" type="text" id="" name="" value="">
							  </div>

							  <div class="col-md-4">
								<label class="col-form-label">Date</label>
								  <div class="input-group date id_4">
									<input type="text"  class="form-control" id="from_date" name="from_date" value="<?=date('d-m-Y')?>" required/>
									<div class="input-group-addon input-group-append">
									  <div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar"></i> </div>
									</div>
								  </div>
							  </div>
							  <div class="col-md-2">
								<div class="col-md-12 text-right">
								  <label class="col-form-label" style="width:100%">&nbsp;</label>
								  <a href="javascript:void(0)" onClick="add_op_data_to_table()" class="btn btn-info btn-md custom_btn2" >>></a> </div>
							  </div>
							</div>
						  </div>
						</div>
					  </div>
					</form>	
                  </div>				  
                </div>
              </div>
              <div class="col-md-6">
                <h6 class="sub_header_new">Service Added</h6>
                <div style="height:150px; overflow:auto;">
                  <table class="table dataTable no-footer" id="cart_data_table">
                    <thead style="background: #1e3770;color: #fff;">
                      <tr>
                        <th>Services</th>
                        <th>Item</th>
                        <th>Amount</th>
                        <th>Disc.</th>
                        <th>Net</th>
                        <th>&nbsp;</th>
                        <th>Action</th>
                      </tr>
                    </thead>
                    <tbody >

					</tbody>
                  </table>
                </div>
                <div class="row mt-3" >
                  <div class="col-md-6" style="border-top:1px solid #ccc;">
                    <div class="form-group">
                      <label class="col-form-label">Total</label>
                      <input class="form-control" type="text" id="total_amount" name="total_amount" value="" readonly>
                    </div>
                  </div>
                  <div class="col-md-6" style="border-top:1px solid #ccc;">
                    <label class="col-form-label">Discount </label>
                    <input class="form-control" type="text" id="discount_amount" name="discount_amount" value="" onblur="calculate_amount_after_discount('total_amount','discount_amount','payble_amount')">
                  </div>
                  <div class="col-md-6">
                    <div class="form-group">
                      <label class="col-form-label">Advance </label>
                      <input class="form-control" type="text" id="advance_amount" name="advance_amount" value="">
                    </div>
                  </div>
                  <div class="col-md-6">
                    <div class="form-group">
                      <label class="col-form-label">Payble/</label>
                      <input class="form-control" type="text" id="payble_amount" name="payble_amount" value="" readonly>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-12">
                <h6 class="mt-3 pb-1 sub_header_new">Patient Payment</h6>
                
                
                <table class="table dataTable no-footer" id="payment_data_table">
                    <thead style="background: #1e3770;color: #fff;">
                      <tr>
                        <th><label class="col-form-label"><strong>Mode</strong> </label></th>
                        <th><label class="col-form-label"><strong>Date</strong> </label></th>
                        <th><label class="col-form-label"><strong>Chq/Instrument No</strong> </label></th>
                        <th><label class="col-form-label"><strong>Amount</strong> </label></th>
                        <th><label class="col-form-label"><strong>Action</strong> </label></th>
                        <th>&nbsp;</th>
                      </tr>
                    </thead>
                    <tbody id="payment_data_table_body">
					<tr>
                        <td>
						<select id="payment_mode_1" name="payment_mode_1" class="form-control">
							<option value="1"> Cash </option>
							<option value="2"> Debit Card </option>
							<option value="3"> Credit Card </option>
							<option value="4"> Cheque </option>
							<option value="5"> UPI/Wallet </option>
						</select>
						</td>
                        <td> 
						  <div class="input-group date id_4">
							<input type="text"  class="form-control" id="payment_date_1" name="payment_date_1" value="<?=date('d-m-Y')?>" required />
							<div class="input-group-addon input-group-append">
							  <div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar"></i> </div>
							</div>
						  </div>						
						</td>
                        <td>
							<input type="text" id="instrument_no_1" name="instrument_no_1" class="form-control" placeholder="Cheque/Instrument No" value="0">						
						</td>
                        <td> 
							<input type="text" id="payment_amount_1" name="payment_amount_1" class="form-control" onkeyup="add_to_payment_array(1)" placeholder="Amount" value="0">
						</td>
                        <td><a href="javascript:void(0)" onclick="add_new_payment_row()" class="plus_minus" title="Add"><i class="fa fa-plus" aria-hidden="true"></i></a> <a href="#" class="plus_minus" title="Delete"><i class="fa fa-trash-o" aria-hidden="true"></i></a> </td>
						<td><input type="hidden" id="payment_data_arr_1" name="payment_data_arr[]"></td>
                      </tr>
					</tbody>
                  </table>                
              </div>
            </div>
          </div>
			<div class="row">
				<div class="col-md-12 text-right">
					<input type="submit" id="bill_submit_btn" onclick="pid_finally_set()" name="bill_submit_btn" class="btn btn-info btn-md custom_btn2" value="Submit">
				</div>
			</div>         
		
		</div>
		</form>
      </div>
    </div>
 
</section>
<!--------------------Modal form------------------------>
<div class="modal" id="patient_search_list_modal" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Patients</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
		<div class="row" style="margin-bottom:20px">
		  <div class="col-md-6">
			<label class="col-form-label">Name</label>
			<input class="form-control" type="text" id="search_patient_name" name="search_patient_name" value="" onKeyUp="patient_search_data()">
		  </div>
		  <div class="col-md-6">
			<label class="col-form-label">Mobile</label>
			<input class="form-control" type="text" id="search_patient_mobile" name="search_patient_mobile" value="" onKeyUp="patient_search_data()">
		  </div>
		</div>
		
		<table class="table table-hover">
			<thead>
			  <tr>
				<th>ID#</th>
				<th>Name</th>
				<th>Mobile</th>
			  </tr>
			</thead>
			<tbody id="patients_name_list_tbl_body">

			</tbody>
		  </table>        

	  </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>
<div class="wait_modal" id="wait_div"><!-- Place at bottom of page -->
<p>Please Wait...</p>
</div>
<!--------------------Modal form------------------------>
</div>
</div>
<div class="modal" id="patient_registration_modal" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">New Patient Registration</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
		 <div class="row">
                              <div class="col-md-6">
                                <label class="col-form-label">Name</label>
                                <input class="form-control" type="text" id="patient_name" name="patient_name" value="">
                              </div>
                              <div class="col-md-6">
                                <label class="col-form-label">Gender</label>
                                <select class="form-control" id="gender" name="gender">
									<option value="2">Male</option>
									<option value="1">Female</option>
									<option value="3">Transgender</option>
								</select>
                              </div>
                              
                                <div class="col-md-6">
                                <label class="col-form-label">Age</label>
                                <input class="form-control" type="text" id="age" name="age" value="">
                              </div>
                              <div class="col-md-6">
                                <label class="col-form-label">Blood Group</label>
                                <select class="form-control" id="blood_group" name="blood_group">
									<option value="-1">Unknown</option>
									<option value="1">A+</option>
									<option value="2">A-</option>
									<option value="3">B+</option>
									<option value="4">B-</option>
									<option value="5">AB+</option>
									<option value="1">AB-</option>
									<option value="2">O-</option>
									<option value="3">O+</option>
								</select>
                              </div>
                              
                              
                              <div class="col-md-6">
                                <label class="col-form-label">Mobile</label>
                                <input class="form-control" type="text" id="mobile" name="mobile" value="" maxlength="10">
                              </div>
                              <div class="col-md-6">
                                <label class="col-form-label">Alternative No</label>
                                <input class="form-control" type="text" id="alternative_no" name="alternative_no" value="">
                              </div>
                              
                              
                                
                              <div class="col-md-6">
                                <label class="col-form-label">Address </label>
                                <input class="form-control" type="text" id="address" name="address" value="">
                              </div>
                              <div class="col-md-6">
                                <label class="col-form-label">City</label>
                                <input class="form-control" type="text" id="city" name="city" value="">
                              </div>
                              
                              
                              <div class="col-md-6">
                                <label class="col-form-label">State </label>
								<?php
									$js = 'class="form-control" id="state_code" onChange="loadDistrict(this.value);"';
									echo form_dropdown('state_code',$stateName,'10037',$js);
								?>									
                              </div>
                              <div class="col-md-6">
                                <label class="col-form-label">District</label>
								<?php
									$js = 'class="form-control" id="district"';
									echo form_dropdown('district',$districtName,'',$js);
								?>
                              </div>
                              
                                <div class="col-md-6">
                                <label class="col-form-label">Country  </label>
								<?php
									$js = 'class="form-control" id="country_code" onChange="loadDistrict(this.value);"';
									echo form_dropdown('country_code',$country,'76',$js);
								?>
                              </div>
                              <div class="col-md-6">
                                <label class="col-form-label">Pin</label>
                                <input class="form-control" type="text" id="pin" name="pin" value="" maxlength="6">
                              </div>
                              <div class="col-md-12 text-right mt-3">
                              <a href="#" class="btn btn-info btn-md custom_btn2">Submit</a>
                              </div>
                            </div>       
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>


<div class="modal" id="search_appointment_modal" tabindex="-1" role="dialog">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Search Appointment</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
                <div class="form-group">
                  <div class="row">
                    
                    <div class="col-md-6">
                    <label class="col-form-label">Clinic</label>
					<?php
						$js = 'class="form-control" id="clinic" name="clinic"';
						echo form_dropdown('clinic',$clinic_location,$_SESSION['clinicId'],$js);
					?>	
                    </div>
                    
                    <div class="col-md-6">
                    <label class="col-form-label">Department </label>
					<?php
						$js = 'class="form-control" id="appo_departments" name="appo_departments" onchange="get_doctors(this.value,\'appo_doctors\',\'appo_doc_amount\',1)"';
						echo form_dropdown('appo_departments',$all_departments,'1',$js);
					?>
                    </div>
                  </div>
                </div>
                <div class="form-group">
                  <div class="row">
                  <div class="col-md-6">
                    <label class="col-form-label">Doctor Name</label>
					<select class="form-control" id="appo_doctors" name="appo_doctors">
					
					</select >
                    </div>
                    <div class="col-md-3">
                    
                    <div class="form-group">
					 <label class="col-form-label">Date</label>
					  <div class="input-group date id_4">
						<input type="text"  class="form-control" id="appo_date" name="appo_date" value="<?=date('d-m-Y')?>" required/>
						<div class="input-group-addon input-group-append">
						  <div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar"></i> </div>
						</div>
					  </div>
					</div>
         
                    </div>
					<div class="col-md-3" style="margin-top:24px">
						<input type="button" id="search_data_btn" name="search_data_btn" onclick="search_data()" class="btn btn-info btn-md custom_btn2" value="Search">
                    </div>					
                  </div>
                </div>
				  <table class="table mt-3">
					<thead class="thead-dark">
					  <tr>
						<th>Sl. </th>
						<th>Patient </th>
						<th>Age </th>
						<th>Mobile </th>
						<th>Action</th>
					  </tr>
					</thead>
					<tbody id="table_body_data">
					<tr>
						<td colspan="5">Date not available</td>
					</tr>
					</tbody>
				  </table>				
     
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>





<footer class="footer">
  <div class="container">
    <div class="row">
      <div class="col-md-12 cpyright-txt">
        <ul class="list-inline">
          <li> <a href="#">Terms &amp; Condition</a> | <a href="#">Privacy Policy</a> | </li>
          <li> © 2021. All Right Reserved. Powered by: <a href="http://infonetics.in/" style="color:#ffc107">Infonetics</a> </li>
        </ul>
      </div>
    </div>
  </div>
</footer>
</body>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.9.0/moment-with-locales.min.js"></script>
<script src="<?=js_url?>bootstrap-datetimepicker.min.js"></script>
<script src="<?=js_url?>demo.js"></script>
<script src="<?=js_url?>flaunt.js"></script>
<script>
function patient_search_data()
{

	var patient_id="";
	var patient_name=$("#search_patient_name").val();
	var mobile=$("#search_patient_mobile").val();
	var param_flag=2;
	$("#patients_name_list_tbl_body").html('');
	if(patient_name.length>=3 || mobile.length>=5)
	{
		$('#wait_div').show();
		$.post("<?=base_url()?>Billing/get_patient_name_list_using_filter",{patient_id:patient_id,patient_name:patient_name,mobile:mobile,param_flag:param_flag},function(data)
		{	
			$('#wait_div').hide();
			$("#patients_name_list_tbl_body").html(data);
		});
	}

}
function select_patient_from_list(pid,pname,psex,page,pmobile)
{
	$('#patient_id').val(pid);
	$('#patient_name').val(pname);
	$('#age').val(page);
	$('#gender').val(psex);
	$('#mobile').val(pmobile);
}
function change_service_type(service_id,dept_selector_id)
{
	$("#"+dept_selector_id).val('-1');	
}
function get_doctor_fees(docid=0,amount_selector_id="",service_type_selector_id="")
{
	if(docid==0)
	{
		var docid=$('#doctors').val();
	}
	if(docid!=-1)
	{
		$('#wait_div').show();
		$.post("<?=base_url()?>Common/fetch_doctor_fees",{doctor_id:docid},function(data)
		{			
			
			$('#wait_div').hide();
			var service_type=$('#'+service_type_selector_id).val();
			var jsdata=eval('('+data+')')
			if(service_type==101)
			{
				$("#"+amount_selector_id).val(jsdata.consultation_fees);
				$("#op_net_amount").val(jsdata.consultation_fees);
			}
			if(service_type==102)
			{
				$("#"+amount_selector_id).val(jsdata.reporting_fees);
				$("#op_net_amount").val(jsdata.reporting_fees);
			}
			
			$("#op_discount").val(0);
			
		});
	}	
		
}
function get_doctors(dept_id,doctor_load_selector_id,amount_selector_id,appo_flag=0,service_type_selector_id=0)
{alert(service_type_selector_id);
	$('#wait_div').show();
	$.post("<?=base_url()?>Common/get_departmental_doctors",{department:dept_id},function(data)
	{			
		$('#wait_div').hide();
		$("#"+doctor_load_selector_id).html(data);
		var docid=0;
		if(appo_flag!=1)
			get_doctor_fees(docid,amount_selector_id,service_type_selector_id);
	});	
}

function calculate_amount_after_discount(tamount,disc,net)
{alert(tamount+disc+net);
	var service_amount=parseFloat($("#"+tamount).val());
	var service_discount=parseFloat($("#"+disc).val());
	
	$("#"+net).val(service_amount-service_discount);
}
function search_data_patient_id()
{
	var patient_id=$("#patient_id").val();
	var patient_name="";
	var mobile="";
	var param_flag=1;

	if(patient_id!="")
	{
		$('#wait_div').show();
		$.post("<?=base_url()?>Billing/get_patient_name_list_using_filter",{patient_id:patient_id,patient_name:patient_name,mobile:mobile,param_flag:param_flag},function(data)
		{	
			$('#wait_div').hide();
			var jsdata=eval('('+data+')');
            $('#patient_id').val(jsdata.uid);
            $('#patient_name').val(jsdata.full_name);
            $('#gender').val(jsdata.gender);
            $('#age').val(jsdata.age);
            $('#mobile').val(jsdata.mobile);

		});
	}

}

var tabIndex=0;
var total_amount=0;
function add_op_data_to_table()
{
	var tablebody = document.getElementById("cart_data_table").getElementsByTagName('tbody')[0];;
	tabIndex = tablebody.rows.length;
	var row = tablebody.insertRow(tabIndex);
	var cell1 = row.insertCell(0);
	var cell2 = row.insertCell(1);
	var cell3 = row.insertCell(2);
	var cell4 = row.insertCell(3);
	var cell5 = row.insertCell(4);
	var cell6 = row.insertCell(5);
	var cell7 = row.insertCell(6);

	var op_service_type = parseInt($("#op_service_type").val());	
	var  op_department= parseInt($("#op_department").val());
	var doctor = parseInt($( "#doctors").val());
	var op_amount = parseFloat($( "#op_amount").val());
	var op_discount = parseFloat($( "#op_discount").val());
	var  op_net_amount = parseFloat($( "#op_net_amount").val());
	var  op_date = "'"+$( "#op_date").val()+"'";
	var service_arr=[op_service_type,op_department,doctor,op_amount,op_discount,op_net_amount,op_date];
	var srvc=service_arr.toString();
	

	cell1.innerHTML = $("#op_service_type option:selected" ).text();
	cell2.innerHTML = "";
	cell3.innerHTML = $( "#op_amount").val();
	cell4.innerHTML = $( "#op_discount").val();
	cell5.innerHTML = $( "#op_net_amount").val();
	cell6.innerHTML = '<input type="hidden" id="" name="service_array[]" value="'+srvc+'">';
	cell7.innerHTML ='<center><a href="#" class="redcolor" ><i class="fa fa-trash-o"></i></a></center>';					
	

	
	$("#op_service_type").val('-1');	
	$("#op_department").val('-1');	
	$("#doctors").val('-1');	
	$("#op_amount").val('');	
	$("#op_discount").val('');	
	$("#op_net_amount").val('');

	//calculate net amount	
	total_amount+=op_net_amount;
	$("#total_amount").val(total_amount);
	$("#payble_amount").val(total_amount);

}
var p_tbl_row=1;
function add_new_payment_row()
{
	var tablebody = document.getElementById("payment_data_table").getElementsByTagName('tbody')[0];;
	tabIndex = tablebody.rows.length;
	var row = tablebody.insertRow(tabIndex);
	var cell1 = row.insertCell(0);
	var cell2 = row.insertCell(1);
	var cell3 = row.insertCell(2);
	var cell4 = row.insertCell(3);
	var cell5 = row.insertCell(4);
	var cell6 = row.insertCell(5);

	add_to_payment_array(p_tbl_row);
	
	p_tbl_row++;
	
	cell1.innerHTML = '<select id="payment_mode_'+p_tbl_row+'" name="payment_mode_'+p_tbl_row+'" class="form-control"><option value="1"> Cash </option><option value="2"> Debit Card </option><option value="3"> Credit Card </option><option value="4"> Cheque </option><option value="5"> UPI/Wallet </option></select>';
	cell2.innerHTML = '<div class="input-group date id_4"><input type="text" class="form-control" id="payment_date_'+p_tbl_row+'" name="payment_date_'+p_tbl_row+'" value="" required=""><div class="input-group-addon input-group-append"><div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar" aria-hidden="true"></i> </div></div></div>';
	cell3.innerHTML = '<input type="text" id="instrument_no_'+p_tbl_row+'" name="instrument_no_'+p_tbl_row+'" class="form-control" placeholder="Cheque/Instrument No" value="0">';
	cell4.innerHTML = '<input type="text" id="payment_amount_'+p_tbl_row+'" name="payment_amount_'+p_tbl_row+'" class="form-control" onkeyup="add_to_payment_array('+p_tbl_row+')" placeholder="Amount" value="0">';
	cell5.innerHTML = '<a href="javascript:void(0)" onclick="add_new_payment_row()" class="plus_minus" title="Add"><i class="fa fa-plus" aria-hidden="true"></i></a> <a href="#" class="plus_minus" title="Delete"><i class="fa fa-trash-o" aria-hidden="true"></i></a>';
	cell6.innerHTML = '<input type="hidden" id="payment_data_arr_'+p_tbl_row+'" name="payment_data_arr[]" value="">';
					

	//calculate net amount	
	//total_amount+=op_net_amount;
	//$("#total_amount").val(total_amount);
	//$("#payble_amount").val(total_amount);

}
function add_to_payment_array(p_tbl_row)
{
	var payment_mode = parseInt($("#payment_mode_"+p_tbl_row).val());	
	var payment_date= "'"+$("#payment_date_"+p_tbl_row).val()+"'";
	var instrument_no = $( "#instrument_no_"+p_tbl_row).val();
	var payment_amount = parseFloat($( "#payment_amount_"+p_tbl_row).val());
	var pay_data_arr=[payment_mode,payment_date,instrument_no,payment_amount];
	var payment_data=pay_data_arr.toString();
	
	$( "#payment_data_arr_"+p_tbl_row).val(btoa(payment_data));		
}
function loadDistrict(state_id)
{
	$.post("<?=base_url()?>Common/load_district",{state_id:state_id},function(data){
		$("#district").html(data);
	});
}
function pid_finally_set()
{
	var p=$("#patient_id").val();
	$("#pid").val(p);
	
}
function search_data()
{
	var clinic=$("#clinic").val();
	var doctor_id=$("#appo_doctors").val();
	var from_date=$("#appo_date").val();
	var to_date=$("#appo_date").val();
	$.post("<?=base_url()?>Billing/get_appo_data",{clinic:clinic,doctor_id:doctor_id,from_date:from_date,to_date:to_date},function(data)
	{	
		$("#table_body_data").html(data);
	});

}
function select_appo_patient(pid)
{
	$("#patient_id").val(pid);
	$("#patient_id").focus();
}

function search_investigation(investigation_search_text)
{
	var investigation_type=$("#investigation_type").val();
	if(investigation_search_text=="")
		$("#investigation_list").html('');	
	if(investigation_search_text.length>=2)
	{
		$("#investigation_list").show();
		$.post("<?=base_url()?>Common/get_investigation_by_name",{investigation_search_text:investigation_search_text,investigation_type:investigation_type},function(data)
		{	
			$("#investigation_list").html(data);
		});
	}
	else
	{
		$("#investigation_list").hide();
	}	

}

function clear_search_data_table()
{
	$("#patients_name_list_tbl_body").html('');
	$("#search_patient_name").val('');
	$("#search_patient_mobile").val('');	
}
function investigation_set_record(enc_id,test,fees)
{
	$("#investigation_list").html('');
	$("#investigation_list").hide();
	$("#test_name").val(test);
	$("#test_id").val(atob(enc_id));
	$("#investigation_amount").val(fees);
	$("#investigation_net_amount").val(fees);
}
/*
function delete_data(rid,tab,fldnm)
{
	var result=confirm("Are you sure to delete?");
	var current_visit_no=window.btoa($("#current_visit_no").val());
	if(result==true)
	{
		var patient_id=window.btoa($("#patient_id").val());
		$.post("<?=base_url()?>Common/delete_data",{'rid':rid,'tab':tab,'field':fldnm},function(data){
			alert("Data deleted");
			window.location.assign('<?=base_url()?>Doctor/history_taking/'+patient_id+'/'+current_visit_no);
		});
	}	
}
*/
</script>
</html>