<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed'); ?>
<?php
	include(BASE_DIR."assets/fpdf/fpdf.php");
	include("common_functions.php");

		$patient_recipt_details = (array) $patient_recipt_details;//object to array
		$patient_personal_record = (array) $patient_personal_record;//object to array

		$pdf= new FPDF('P',"mm",'A4');
		$pdf->AliasNbPages();
		$pdf->SetAutoPageBreak(true, 15);
		$pdf->AddPage();
		$pdf->Image(BASE_DIR.'assets/images/logo.png',15,10,18,16);		
		$pdf->ln(2);
		$pdf->SetFont("Arial","B");
		$pdf->SetTextColor(29,122,202);
		$pdf->SetFontSize(13);
		$pdf->text(78,37,"PAYMENT RECEIPT",0,1);
		
		$pdf->SetFontSize(11);//address print
		$pdf->SetTextColor(0,0,0);
		$pdf->SetFont("Arial");
		$pdf->SetFontSize(9);
		$pdf->text(35,14,$clinic_details->clinic_name);
		$pdf->text(35,18,$clinic_details->address);
		$pdf->text(35,22,$clinic_details->address2);
		$pdf->text(35,26,$clinic_details->city.",".$clinic_details->district.",".$clinic_details->pin);
		
		$pdf->text(140,14,$clinic_details->phone);
		$pdf->text(140,18,$clinic_details->email);
		$pdf->text(140,22,$clinic_details->website);
	

		$pdf->SetTextColor(0,0,0);
		$pdf->SetFont("Arial");
		$pdf->SetFontSize(10);

		
$pdf->text(10,40,"------------------------------------------------------------------------------------------------------------------------------------------------------------");		

		$pdf->text(16,45,"PUHID");
		$pdf->text(40,45,":");
		$pdf->text(45,45,$patient_recipt_details['patient_uid']);

		$pdf->text(16,50,"Patient Name");
		$pdf->text(40,50,":");
		$pdf->text(45,50,$patient_personal_record['salutation']." ".$patient_personal_record['full_name']);

		$pdf->text(16,55,"Gender/Age");
		$pdf->text(40,55,":");
		if($patient_personal_record['sex']==1)
			$gender="Female";
		else if($patient_personal_record['sex']==2)
			$gender="Male";
		else
			$gender="Others";
	
		  //current age calculate
		  $dateOfBirth = date('Y-m-d',strtotime($patient_personal_record['dob']));
		  $today = date("Y-m-d");
		  $diff = date_diff(date_create($dateOfBirth), date_create($today));
		  $cur_age=$diff->format('%y');
	
		$pdf->text(45,55,$gender."/".$cur_age." Yrs.");

		$pdf->text(16,60,"Mobile No");
		$pdf->text(40,60,":");
		$pdf->text(45,60,$patient_personal_record['mobile']);

		$pdf->text(16,65,"Address");
		$pdf->text(40,65,":");
		$pdf->text(45,65,$patient_personal_record['address1'].",");
		$pdf->text(45,69,$patient_personal_record['address2'].",");
		$pdf->text(45,73,$patient_personal_record['city']);
		
		//$pdf->text(16,70,"Reffered by");
		//$pdf->text(40,70,":");
		//$pdf->text(45,70,$patient_personal_record->full_name);	


		$pdf->text(135,45,"Admission No");
		$pdf->text(165,45,":");
		$pdf->text(170,45,$patient_recipt_details['admission_no']);

		$pdf->text(135,50,"Receipt No");
		$pdf->text(165,50,":");
		$pdf->text(170,50,$patient_recipt_details['uid']);

		$pdf->text(135,55,"Receipt Date");
		$pdf->text(165,55,":");
		$pdf->text(170,55,date("d-m-Y",strtotime($patient_recipt_details['receipt_date'])));


		$pdf->text(135,60,"Patient Type");
		$pdf->text(165,60,":");
		$pdf->text(170,60,'');
		
		$pdf->text(135,65,"Class");
		$pdf->text(165,65,":");
		$pdf->text(170,65,'');		
		
	/*
		$pdf->text(140,60,"Visit No");
		$pdf->text(165,60,":");
	*/	

		$pdf->text(10,75,"------------------------------------------------------------------------------------------------------------------------------------------------------------");

		//$pdf->text(16,80,"Srl. No.");
		//$pdf->text(20,80,"Description");
		//$pdf->text(80,80,"Doctor");
		//$pdf->text(143,80,"Date");
		//$pdf->text(170,80,"Amount( Rs.)");		
		//$pdf->text(10,85,"------------------------------------------------------------------------------------------------------------------------------------------------------------");
			
		$srl=1;
		$varRow=80;
		$total_bill_amount=0.00;
		
		$row_flag=0;
		
		$text="Received with thanks from ".$patient_personal_record['salutation']." ".$patient_personal_record['full_name']." the sum of Rupees ".getIndianCurrencyInWord($patient_recipt_details['amount'])." toward ".$patient_recipt_details['toward'].". Payment Details-";
		$pdf->SetXY(20,$varRow);
		$pdf->MultiCell(0,5,"$text",0,'J',0);
		
		/*
		$varRow+=10;
		if($record->service_uid==101)
			$service_txt="Consultation";
		else if($record->service_uid==103)
			$service_txt="Lab";
		else if($record->service_uid==104)
			$service_txt="Non Lab";
		else if($record->service_uid==105)
			$service_txt="Dialysis";			
		else if($record->service_uid==106)
			$service_txt="Procedure";
		else if($record->service_uid==107)
			$service_txt="OT";
		else if($record->service_uid==108)
			$service_txt="Hospital Services";
		else if($record->service_uid==111)
			$service_txt="Pharmacy";
		else if($record->service_uid==112)
			$service_txt="Consumable";
		else if($record->service_uid==109)
			$service_txt="Bed";
		else if($record->service_uid==113)
			$service_txt="Miscellaneous";
		else if($record->service_uid==114)
			$service_txt="Package";
		else if($record->service_uid==115)
			$service_txt="Instrument";			
		else
			$service_txt="";		
		$text=($patient_recipt_details['service_id']==106)?"On Account - Procedure":($patient_recipt_details['service_id']==107)?"On Account - OT":($patient_recipt_details['service_id']==110)?"On Account - Package":"On Account - N/A";
		$pdf->SetXY(20,$varRow);
		$pdf->MultiCell(0,5,"$text",0,'J',0);*/

		$varRow+=5;
	/*	$text="Details - ".$patient_recipt_details['details'];
		$pdf->SetXY(20,$varRow);
		$pdf->MultiCell(0,5,"$text",0,'J',0);*/		
		//$pdf->text(24,$varRow,$patient_recipt_details['details']);
		//$pdf->text(140,$varRow,date("d-m-Y",strtotime($patient_recipt_details['entry_date_time'])));
		//$pdf->text(175,$varRow,$patient_recipt_details['amount']);				

		//$pdf->text(10,175,"------------------------------------------------------------------------------------------------------------------------------------------------------------");

		//getting payment details
		$rw=1;
		$varRow=105;
		$total_net=0;
		$tot_discount=0;
	/*	foreach($patient_recipt_details as $row)
		{*/
			//if($rw<=5)//maximum 5row will print in payment mode section
			//{
				if($patient_recipt_details['payment_mode']==1){$payMode="Cash";}
				if($patient_recipt_details['payment_mode']==2){$payMode="Debit Card";}
				if($patient_recipt_details['payment_mode']==3){$payMode="Credit Card";}
				if($patient_recipt_details['payment_mode']==4){$payMode="Cheque";}
				if($patient_recipt_details['payment_mode']==5){$payMode="Wallet/UPI";}
				
				$pdf->text(20,$varRow,$rw);
				$pdf->text(28,$varRow,$payMode);
				$pdf->text(75,$varRow,$patient_recipt_details['cheque_instrument_no']);
				
				//$total_net+=$row->net_amount;
				//$tot_discount+=$row->discount;
				
				$pdf->text(160,$varRow,$patient_recipt_details['amount']);
				
				//$dayDate=substr($paymentInstrumentDate,8);//Date format stored as 0000-00-00, cut last 2 digit
				//if($dayDate!="00")
			/*	if($row->instrument_date!="")
				{
					$pdf->text(160,$varRow,date("d-m-Y",strtotime($row->instrument_date)));//print when actual date is available in db
				}*/
				//$rw++;
				//$varRow+=5;
			//}//end if
		//}//end foreach
		
		$pdf->text(20,98,"Srl.");
		$pdf->text(28,98,"Payment Mode");
		//$pdf->text(45,185,"Receipt No");

		$pdf->text(75,98,"Instrument/Card No");
		$pdf->text(120,98,"Date");
		$pdf->text(160,98,"Amount");
		
		//$pdf->text(136,225,"Advance Amount");
		//$pdf->text(170,225,":");
		/*
		$pdf->text(175,225,$patient_recipt_details['amount']);
		
		$pdf->text(136,225,"Discount");
		$pdf->text(170,225,":");
		$pdf->text(175,225,$tot_discount);		
		
		$pdf->text(136,230,"Net Amount");
		$pdf->text(170,230,":");
		$pdf->text(175,230,$total_bill_amount-($tot_discount));
		
		$pdf->text(136,230,"Amount Paid");
		$pdf->text(170,230,":");
		$pdf->text(175,230,$patient_recipt_details['amount']);
		
		$pdf->text(136,240,"Balance to Pay");
		$pdf->text(170,240,":");
		$pdf->text(175,240,"0");
		
		//getting username from user id
	/*	$sql="select `fullname` from user_control where `userid`=?";
		$ustmt=$mysqli->prepare($sql);
		$ustmt->bind_param("i",$userId);
		$ustmt->execute();
		$ustmt->store_result();
		$ustmt->bind_result($generatedUserName);
		$ustmt->fetch();	
		*/
		$pdf->text(16,125,"_______________");
		$pdf->text(18,131,"Signature");
		$pdf->text(16,137,"Generated By : ");
		$pdf->text(41,137,$_SESSION['fullname']);
		$pdf->text(140,137,"Generated On : ");
		$pdf->text(165,137,date('d-m-y'));
		//$pdf->text(165,278,date('d-m-y h:i:sa'));
		$pdf->PageNo();
		$pdf->Output("I","receipt.pdf");
		//unset print bill id
		//unset($_SESSION['printableBillId']);

?>