<?php
require_once('header.php');
?>
<head>
<style>
.wait_modal {
	display: none;
	position: fixed;
	z-index: 15000;
	top: 0;
	left: 0;
	height: 100%;
	width: 100%;
	background: rgba( 255, 255, 255, .8 ) url('http://i.stack.imgur.com/FhHRx.gif') 50% 50% no-repeat;
}
</style>
</head>
<body class="bacgbg">
<div id="wrap">
  <div id="main" class="clear-top">
    <header class="header_top_ber1">
      <?php
	require_once('top_head_section.php');
	?>
    </header>
    <section class="">
      <div class="container-fluid">
        <div class="row">
          <div class="col-md-12 mt-3">
            <div class="top_menu">
              <?php
	require_once('top_menu.php');
	?>
            </div>
          </div>
        </div>
      </div>
    </section>
    <section class="main_body mt-3">
      <div class="container-fluid">
        <div class="row">
          <div class="col-md-12 ">
            <div class="dash_box" style="height:auto;">
              <div class="row">
                <div class="col-md-12">
                  <div class="row">
                    <div class="col-md-6">
                      <h5 style="color: #3170ff;">IPD Receipt</h5>
                    </div>
                    <div class="col-md-6 text-right"><a href="#" data-toggle="modal" data-target="#admitted_patient" class="btn btn-info btn-md custom_btn2"><i class="fa fa-search" aria-hidden="true"></i> Admitted Patient</a></div>
                  </div>
					<form method="post" action="<?=base_url()?>IPD/save_receipt" onsubmit="check_form()">
                  <div class="row">
                    <div class="col-md-3">
                      <label class="col-form-label">Admission No</label>
                      <input class="form-control" type="text"  id="admission_no" name="admission_no" onBlur="select_patient(this.value)" required>
                    </div>
                    <div class="col-md-3">
                      <label class="col-form-label">PUID </label>
                      <input class="form-control" type="text"  id="patient_uid" name="patient_uid" readonly>
                    </div>
                    <div class="col-md-2">
                      <label class="col-form-label">Name </label>
                      <input class="form-control" type="text"  id="patient_name" name="patient_name" readonly>
                    </div>
                    <div class="col-md-2">
                      <label class="col-form-label">DOA</label>
                      <input class="form-control"  id="doa" name="doa" type="text" readonly>
                    </div>
                    <div class="col-md-2">
                      <label class="col-form-label">BED</label>
                      <input class="form-control" type="text"  id="bed_no" name="bed_no" readonly>
                    </div>
                  
                  </div>
                  <div class="row">
                    <div class="col-md-6">
                     <div class="row">
                      <div class="col-md-4">
                      <div class="input-group date id_4">
                        <label class="col-form-label" style="width:100%">Date From</label>
                        <input type="text" class="form-control" id="from_date" name="from_date" value="<?=date('d-m-Y')?>" required>
                        <div class="input-group-addon input-group-append">
                          <div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar" aria-hidden="true"></i> </div>
                        </div>
                      </div>
                    </div>
                    <div class="col-md-4">
                      <div class="input-group date id_4">
                        <label class="col-form-label" style="width:100%">Date To</label>
                        <input type="text" class="form-control" id="to_date" name="to_date" value="<?=date('d-m-Y')?>" required>
                        <div class="input-group-addon input-group-append">
                          <div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar" aria-hidden="true"></i> </div>
                        </div>
                      </div>
                    </div>
                    <div class="col-md-4">
                      <label class="col-form-label" style="width:100%">&nbsp;</label>
                      <a href="javascript:void(0)" onClick="search_services();calculate_patient_services_total();search_transaction();calculate_patient_transaction_total();" class="btn btn-info btn-md custom_btn2"><i class="fa fa-search" aria-hidden="true"></i> Search</a> &nbsp; </div>
                    </div>
                    
                    
                      <div class="teable_scroll">
                        <table class="table">
                          <thead class="thead-dark">
                            <tr>
                              <th>Services </th>
                              <th>Qty.</th>
                              <th>Amount</th>
                            </tr>
                          </thead>
                          <tbody id="service_tbl_body">
                          <tr>
                            <td colspan="3"> Data not available</td>

                          </tr>
						  </tbody>
						</table>
                      </div>
                      
                      <table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td class="text-right" style="border-top:1px dashed #4f4f4f; border-bottom:1px dashed #4f4f4f; font-size: 15px; font-weight: 600; padding:8px 0px;">Services Total Amount: <span id="service_total">500</span></td>
  </tr>
</table>

                    </div>
                    <div class="col-md-6">
                      <h5 style="color: #3170ff; padding-top: 1.8rem;">Transaction History</h5>
                      <div class="teable_scroll" style="margin-top: 20px;" >
                        <table class="table">
                          <thead class="thead-dark">
                            <tr>
                              <th>Sl. no </th>
                              <th>Date </th>
                              <th>Mode </th>
                              <th>Amount</th>
                            </tr>
                          </thead>
                          <tbody id="transaction_tbl_body">
							<td colspan="4"> Data not available</td>
						  </tbody>
						</table>
                      </div>
                      <table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td  class="text-right" style="border-top:1px dashed #4f4f4f; border-bottom:1px dashed #4f4f4f; font-size: 15px;font-weight: 600; padding:8px 0px;">Transaction Total Amount: <span id="transaction_total">0</span> | Due Amount:<span id="due_total">0</span></td>
  </tr>
</table>
                    </div>
                  </div>
                  <div class="row mt-4">
                    <div class="col-md-2">
                      <label class="col-form-label">DOR</label>
					  <div class="input-group date id_4">
						<input type="text" class="form-control" id="dor" name="dor" value="<?=date('d-m-Y')?>" required>
						<div class="input-group-addon input-group-append">
						  <div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar" aria-hidden="true"></i> </div>
						</div>
					  </div>					  
                    </div>
                    <div class="col-md-2">
                      <label class="col-form-label">TOR</label>
                      <input class="form-control" type="time"  id="tor" name="tor" value="<?=date('H:m:s')?>" readonly>
                    </div>
                    <div class="col-md-2">
                      <label class="col-form-label">Mode</label>
						<?php 						
						$js = 'class="form-control" id="mode"';
						echo form_dropdown('mode',$all_payment_mode,'-1',$js);
						?>					  
                    </div>
                    <div class="col-md-2">
                      <label class="col-form-label">Chq/ Approve No</label>
                      <input class="form-control" type="text"  id="cheque_approve_no" name="cheque_approve_no																																				 No">
                    </div>
                    <div class="col-md-2">
                      <label class="col-form-label">Amount</label>
                      <input class="form-control" type="text"  id="amount" name="amount" value="0">
                      <input  type="hidden"  id="amount_flag" name="amount_flag" value="<?=base64_encode(0)?>">
                    </div>
                    <div class="col-md-2">
                      <label class="col-form-label">&nbsp;</label>
                      <a href="javascript:void(0)" data-target="#adminConfirmModal" data-toggle="modal" onclick="set_discount_value()"><i style="margin-top:30px" class="fa fa-unlock-alt" aria-hidden="true"></i></a>
                    </div>					

					<div class="col-md-3">
						<label class="col-form-label">Discount Reason</label>
					<!--<select class="form-control" id="special_discount_reason" name="special_discount_reason" onclick="focus_on_a_field('toward')">
							<option value="N/A">N/A</option>
							<option value="needypatient">Needy patient</option>
							<option value="Staff">Staff</option>
							<option value="doctorrecomendation">Doctor recomendation</option>
						</select>-->
						<input type="text" class="form-control" id="special_discount_reason" name="special_discount_reason" readonly>
					</div>
					<div class="col-md-2">
						<label class="col-form-label">Approved By</label>
						<?php													
							$js = 'class="form-control" id="special_discount_approved_by" onclick="focus_on_a_field(\'toward\')"';
							echo form_dropdown('special_discount_approved_by',$admin_employee,'-1',$js);
						?>
					</div>                    
					<div class="col-md-2">
                      <label class="col-form-label">On</label>
                      <select class="form-control" id="toward" name="toward">
						<option value="OT Booking">OT Booking</option>
						<option value="OT Advance">OT Advance</option>
						<option value="In Patient Deposit">In Patient Deposit</option>
						<option value="On Advance">On Advance</option>
						<option value="Procedure Booking">Procedure Booking</option>
					  </select>
                    </div>
                    <div class="col-md-3">
                      <label class="col-form-label">Remarks</label>
                      <input class="form-control" type="text"  id="remarks" name="remarks">
                    </div>
                    <div class="col-md-2">
                      <label class="col-form-label" style="width:100%">&nbsp;</label>
                      <button  type="submit" class="btn btn-info btn-md custom_btn2">Submit</button>
					</div>
                  </div>
					</form>
				</div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
				  <!-- Modal -->
				  <div class="modal fade" id="adminConfirmModal" role="dialog">
					<div class="modal-dialog modal-sm">
					  <div class="modal-content">
						<div class="modal-header">
						 <h4 class="modal-title">Confirm</h4> 
						 <button type="button" class="close" data-dismiss="modal">&times;</button>
						  
						</div>
						<div class="modal-body">
							<div class="row" style="margin-bottom:20px">
								<div class="col-md-12">
									<label class="col-form-label">Discount</label>
									<input class="form-control" type="text" id="modal_discount" name="modal_discount" value="0" readonly value="0">
								</div>
								<div class="col-md-12">
									<label class="col-form-label">Adm. Disc. Reason</label>
									<select class="form-control" id="modal_special_discount_reason" name="modal_special_discount_reason">
										<option value="N/A">N/A</option>
										<option value="needypatient">Needy patient</option>
										<option value="Staff">Staff</option>
										<option value="doctorrecomendation">Doctor recomendation</option>
									</select>
								</div>
								<div class="col-md-12">
									<label class="col-form-label">Approved By</label>
									<?php													
										$js = 'class="form-control" id="approved_by_user_id" ';
										echo form_dropdown('approved_by_user_id',$admin_employee,'-1',$js);
									?>
								</div>
								<div class="col-md-12">
									<label class="col-form-label">Password</label>
									<input class="form-control" type="password" id="user_password" name="user_password" value="">
								</div>								
							</div>						  
						</div>
						<div class="modal-footer">
						  <button type="button" class="btn btn-success" data-dismiss="modal" onclick="check_data_to_approve()">Approve</button>
						</div>
					  </div>
					</div>
				  </div>
		<!--------------Modal------------------------->	
  </div>
</div>
<footer class="footer">
  <div class="container">
    <div class="row">
      <div class="col-md-12 cpyright-txt">
        <ul class="list-inline">
          <li> <a href="#">Terms &amp; Condition</a> | <a href="#">Privacy Policy</a> | </li>
          <li> © 2021. All Right Reserved. Powered by: <a href="http://infonetics.in/" style="color:#ffc107">Infonetics</a> </li>
        </ul>
      </div>
    </div>
  </div>
</footer>
</body>
<div class="modal" id="admitted_patient">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <!-- Modal body -->
      <div class="modal-body pt-0">
        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label class="col-form-label">Location</label>
              <?php
						$js = 'class="form-control" id="clinic_location"';
						echo form_dropdown('clinic_location',$clinic_location,'',$js);
						?>
            </div>
          </div>
          <div class="col-md-4">
            <div class="form-group">
              <label class="col-form-label">Building</label>
				<?php
				$js = 'class="form-control" id="building" onchange="load_ward()"';
				echo form_dropdown('building',$building_location,'-1',$js);
				?>
            </div>
          </div>
          <div class="col-md-3">
            <div class="form-group">
              <label class="col-form-label">Ward</label>
				<?php
					$wardsName["0"]="--Select--";
					$js = 'class="form-control" id="ward" name="ward" onchange="load_bed()"';
					echo form_dropdown('ward',$wardsName,'1',$js);
				?>
            </div>
          </div>
          <div class="col-md-3">
            <div class="form-group">
              <label class="col-form-label">Bed</label>
              <select id="bed" name="bed" class="form-control">
              </select>
            </div>
          </div>
          <div class="col-md-2">
            <div class="form-group">
            <label class="col-form-label width-100">&nbsp;</label>
            <a href="javascript:void(0)" onClick="get_admitted_patient_list()" class="btn btn-info btn-md custom_btn2"><i class="fa fa-search" aria-hidden="true"></i> Search</a></div>
          </div>
          <div class="col-md-12 mt-3">
            <table class="table">
              <thead class="thead-dark">
                <tr>
                  <th>Sl no.</th>
                  <th>BED</th>
                  <th>Name</th>
                  <th>PUID</th>
                </tr>
              </thead>
              <tbody id="tbl_body">
                <tr>
                  <td colspan="4">Data Not Available</td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<div class="wait_modal" id="wait_div"><!-- Place at bottom of page -->
  <p>Please Wait...</p>
</div>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.9.0/moment-with-locales.min.js"></script>
<script src="<?=js_url?>bootstrap-datetimepicker.min.js"></script>
<script src="<?=js_url?>demo.js"></script>
<script src="<?=js_url?>flaunt.js"></script>
<script>
var temp=0;
var total_amount=0;
function load_bed()
{
	var building=$("#building").val();
	var ward=$("#ward").val();
	$('#wait_div').show();
	$.post("<?=base_url()?>IPD/load_bed",{building:building,ward:ward,'bed_status':1},function(data){
		$('#wait_div').hide();
		$('#bed').html(data);
	});	
}
function get_admitted_patient_list()
{
	var clinic=$("#clinic_location").val();
	var building=$("#building").val();
	var ward=$("#ward").val();
	var bed=$("#bed").val();
	$('#wait_div').show();
	$.post("<?=base_url()?>IPD/get_admitted_patient_list",{bed:bed},function(data){
		$('#wait_div').hide();
		$('#tbl_body').html(data);
	});	
}
function select_patient(rec_id)
{
	$('#wait_div').show();
	$.post("<?=base_url()?>IPD/get_admitted_patient_info",{rec_id:rec_id},function(data){
		$('#wait_div').hide();
		var jsdata=eval('('+data+')');
		$('#admission_no').val(jsdata.admission_no);
		$('#patient_uid').val(jsdata.patient_uid);
		$('#patient_name').val(jsdata.patient_name);
		$('#doa').val(jsdata.admission_date);
		$('#bed_no').val(jsdata.bed);		
	
	});		
}


function search_services()
{
	var from_date=$("#from_date").val();
	var to_date=$("#to_date").val();
	var patient_admission_no=$("#admission_no").val();
	$('#wait_div').show();
	$.post("<?=base_url()?>IPD/search_patient_services_summery",{from_date:from_date,to_date:to_date,patient_admission_no:patient_admission_no},function(data){
		$('#wait_div').hide();
		$('#service_tbl_body').html(data);
	});		
}
function search_transaction()
{
	var from_date=$("#from_date").val();
	var to_date=$("#to_date").val();
	var patient_admission_no=$("#admission_no").val();
	$('#wait_div').show();
	$.post("<?=base_url()?>IPD/search_patient_transaction_summery",{from_date:from_date,to_date:to_date,patient_admission_no:patient_admission_no},function(data){
		$('#wait_div').hide();
		$('#transaction_tbl_body').html(data);
	});		
}
function calculate_patient_services_total()
{
	var from_date=$("#from_date").val();
	var to_date=$("#to_date").val();
	var patient_admission_no=$("#admission_no").val();
	$('#wait_div').show();
	$.post("<?=base_url()?>IPD/calculate_patient_services_total",{from_date:from_date,to_date:to_date,patient_admission_no:patient_admission_no},function(data){
		$('#wait_div').hide();
		$('#service_total').html(data);
	});		
}
function calculate_patient_transaction_total()
{
	var from_date=$("#from_date").val();
	var to_date=$("#to_date").val();
	var patient_admission_no=$("#admission_no").val();
	$('#wait_div').show();
	$.post("<?=base_url()?>IPD/calculate_patient_transaction_total",{from_date:from_date,to_date:to_date,patient_admission_no:patient_admission_no},function(data){
		$('#wait_div').hide();
		$('#transaction_total').html(data);
		var service_tot=parseFloat($('#service_total').html());
		var transaction_tot=parseFloat($('#transaction_total').html());
		$("#due_total").html(service_tot-transaction_tot);
	});		
}

function load_ward()
{
	var building_id=$("#building").val();
	if(building_id!=0)
	{
		$.ajax({
		  type: "POST",
		  url: '<?=base_url()?>Common/get_ward',
		  data: {'building_id':building_id},
		  success: function(data)
					{	
						$("#ward").html(data);
					}
		});
	}	
	
}
function load_bed()
{
	var building=$("#building").val();
	var ward=$("#ward").val();
	$('#wait_div').show();
	$.post("<?=base_url()?>IPD/load_bed",{building:building,ward:ward,bed_status:1},function(data){
		$('#wait_div').hide();
		$('#bed').html(data);
	});	
}

function set_discount_value()
{
	var amount=$("#amount").val();
	$("#modal_discount").val(amount);
	
}
function check_data_to_approve()
{
	var total_amount=$("#total_amount").val();

		var user_id=$("#approved_by_user_id").val();
		var user_password=$("#user_password").val();
		var modal_discount_amount=parseFloat($("#modal_discount").val());
		$.post("<?=base_url()?>Common/is_id_password_correct",{'user_id':user_id,'user_password':user_password,'user_type':3},function(data){
			if(data==1)
			{
				//var modal_special_discount_reason='"'++'"';
				//alert(modal_special_discount_reason);
				$("#special_discount_reason").val($("#modal_special_discount_reason").val());
				$("#special_discount_approved_by").val($("#approved_by_user_id").val());
				$("#modal_discount").val('');
				$("#user_password").val('');
				$("#amount_flag").val(btoa(1));
				$("#amount").prop('readonly','readony');
			}
			if(data==0)
			{
				alert("Invalid password..Request not approved");
				$("#amount").val(0);
				$("#user_password").val('');
				$("#amount").prop('readonly',false);
				$("#special_discount_reason").val("N/A");
				$("#special_discount_approved_by").val("-1");
				//calculate_amount_after_totaldiscount('total_amount','totItm_discount_amount','discount_amount','payble_amount');
			}			
		});		

}
function focus_on_a_field(field_name)
{
$("#"+field_name).focus();
}
function check_form()
{
	if($("#patient_uid").val()=="")
	{
		alert("Select a patient first");
		return false;
	}
	if(($("#amount").val()>0) && $("#mode").val()=="-1")
	{
		alert("Select payment mode");
		return false;
	}
}

<?php
if(isset($_REQUEST['stat']) && ($_REQUEST['stat']=="PAYERR"))
{
	echo "alert('Payble amount and paid amount not matched !! Try again.')";
}
if(isset($_REQUEST['stat']) && ($_REQUEST['stat']=="105"))
{
	echo "alert('Data Saved')";
}
if(isset($_SESSION['temp_print_receipt_no']))
{?>
	window.open("<?=base_url()?>IPD/printReceipt/<?=$_SESSION['temp_print_receipt_no']?>",'_blank');
<?php
}
?>
</script>
</html>