<!doctype html>
<html lang="en">
	<head>
		<!-- Required meta tags -->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
		<link rel="shortcut icon" type="image/png" href="<?=images_url?>favicon.png"/>
		<title><?=PROJECT_NAME?></title>
		<link href="https://fonts.googleapis.com/css?family=Nunito+Sans:300,400,600,700,800&display=swap" rel="stylesheet">
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.9/dist/css/bootstrap-select.min.css">
		<script src="https://kit.fontawesome.com/d980747999.js"></script>
		<!-- Custom styles for this template -->
		<!-- <link href="<?=css_url?>animate.css" rel="stylesheet"> -->
		<!-- CSS | Theme Color -->
		<link href="<?=css_url?>style.css" rel="stylesheet">
		<link href="<?=css_url?>media.css" rel="stylesheet">
		<!--  <link rel="stylesheet" type="text/css" href="<?=css_url?>flatmenu.css" media="all"/> -->
		
		<link rel="stylesheet" href="<?=css_url?>bootstrap-datetimepicker.min.css" type="text/css" media="all" />
		<link rel="stylesheet" href="<?=css_url?>calendar.css" type="text/css" media="all" />
		<link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css" rel="stylesheet"/>
		<style type="text/css">
		.box {
			display: none;
		}
		.age {
			display: block;
		}
		</style>
	</head>

	<body>
		<div id="wrap">
			<div id="main" class="clear-top">
				<header class="header clearfix">
					<div class="navigation-section clearfix">
						<div class="navigation-wrapper clearfix">
							<div class="container-fluid">
								<div class="row">
									<div class="col-lg-10 logo-box"><img src="http://ncportal.in/medxpertBeta/assets/images/logo.png" style="width: 329px;height: 62px;" alt="Logo"></div>
										<div class="col-lg-2 nav-portion">
											<div> 
												<button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
													<i class="fas fa-user-cog" style="font-size: 18px;"></i> <?=$_SESSION['fullname']?></button>
														<div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
															<a class="dropdown-item" href="#">Profile</a>
																<a class="dropdown-item" href="<?=base_url()?>Patient/logout">Logout</a>

														</div>
											</div>
										</div> 
								</div>
							</div>
						</div>
					</div>
				</header>
				<div class="heading app_menu clearfix">
					<div class="container">
						<div class="row">
							<ul>
								<li><a href="#">Add member</a></li>
								<li><a href="#">Consultation History</a></li>
								<li><a href="#">Health record</a></li>
								<li><a href="#">Book Appointment</a></li>
							</ul>
						</div>
					</div>
				</div>
				<section class="section welcome_section  pb-5 clearfix " id="welcome">
					<div class="container" id="About">
						<div class="row">
							<div class="col-md-12 pt-4 text-center">
								<div class="row" >
					<!--<div class="col-md-4" id="doctor_details_div">
					<div class="single-choose mb-40 single-choose_select_dr">
					<div class="choose-head">
                    <h3>Your Selected Doctor </h3>
									<?php
									if(!isset($doctor))
									{
										echo '<h3><a href="#">Data Not Found </a></h3>';

									}
									else
									{
									?>
										<h3><a href="#">Dr. <?=$doctor->full_name?> </a></h3>
										<h4><?=$doctor->qualification?> </h4>
										<h5><?=$doctor->designation?><br/></h5>
									<?php
									}
									?>
									  </div>
									</div>
								  </div>-->
									<div class="col-md-12">
										<div class="single-choose p-4">
											<form method="post" action="<?=base_url()?>Patient/appointment_add" >
												<span class="text-danger"><?php echo $this->session->flashdata("error"); ?></span>
												<div class="row">
													<div class="col-md-12">
														<h5 class="text-left">Enter below details to Book your appointment </h5>
													</div>
													  <!--<div class="col-md-6 text-left">
														<div class="form-label-group">
														  <label>Appointment Type</label>
														  <select class="form-control" id="appointment_type" name="appointment_type" onChange="set_field(this.value)">
															<option value="1">New</option>
															<option value="2">Followup</option>
														  </select>
														</div>
													  </div>-->
													<div class="col-md-4 text-left">
														<div class="form-label-group">
															<label>Appointment Mode</label>
															<select id="consultation_mode" name="consultation_mode" class="form-control" onChange="set_field_for_appo_mode_change(this.value)">
																<option value="1">Online</option>
																<option value="2" selected>Clinic</option>
															</select>
														</div>
													</div>
													<div class="col-md-4 text-left">
														<div class="form-label-group">
															<label>Name</label>
														 <!--<input id="patient_name" name="patient_name" class="form-control custom_form" placeholder="Enter" autofocus>-->
																<select class="form-control custom_form" id="patient_name_list" name="patient_name_list" onChange="get_patient_profile_details(this.value)">
														  
																</select>
																<?php echo form_error('patient_name'); ?>
														</div>
													</div>
													<div class="col-md-4 text-left">
				 										<div class="form-label-group">
															<label>Whatsapp No</label>
															<input id="whatsapp_no" name="whatsapp_no" class="form-control custom_form" placeholder="Enter" autofocus>
															<?php echo form_error('whatsapp_no'); ?>
														</div>				  
													</div>

													<div class="col-md-4 text-left">
														<div class="form-label-group">
															<label>Select Clinic</label>
															   <?php
																	$select_option['-1']="--Select--";
																	$clinic_location_wd_optn=$select_option+$clinic_location;
																	$js = 'class="form-control" id="clinic" name="clinic" onchange="load_departments(this.value)"';
																	echo form_dropdown('clinic',$clinic_location_wd_optn,'-1',$js);
																?>
														</div>
													</div>                  
													<div class="col-md-4 text-left">
														<div class="form-label-group">
															<label>Select Department</label>
															<?php
																$departmentsName["0"]="--Select--";
																$js = 'class="form-control" id="departmentsID" onchange="load_doctors()"';
																echo form_dropdown('departmentsID',$departmentsName,'0',$js);
															?>
														</div>
													</div>

													<div class="col-md-4 text-left">
														<div class="form-label-group">
															<label>Select Doctor</label>
															<?php
																$doctorsName["0"]="--Select--";
																$js = 'class="form-control" id="doctorsID" onchange="get_selected_doctor_details()"';
																echo form_dropdown('doctorsID',$doctorsName,'0',$js);
															?>  
														</div>
													</div>
                  
														<!--  <div class="col-md-3 text-left">
															<div class="form-group">
															  <label for="id_end_time">Preferred date</label>
															  <div class="input-group date id_4">
																<input type="text" id="preferred_date" name="preferred_date"  class="form-control" required />
																<div class="input-group-addon input-group-append">
																  <div class="input-group-text"> <i class="glyphicon glyphicon-calendar fa fa-calendar"></i> </div>
																</div>
																<?php echo form_error('preferred_date'); ?>
															  </div>
															</div>
														  </div>
														  <div class="col-md-3 text-left">
															<div class="form-group">
															  <label for="id_end_time">Preferred Time</label>
															  <div class="input-group date id_2">
																<input type="text"  id="preferred_time" name="preferred_time"   class="form-control"  title="" required id="id_end_time"/>
																<div class="input-group-addon input-group-append">
																  <div class="input-group-text"> <i class="glyphicon glyphicon-time fa fa-clock-o"></i> </div>
																</div>
																<?php echo form_error('preferred_time'); ?>
															  </div>
															</div>
														  </div>
														  <div class="col-md-12 text-right">
														<input type="submit" name="submit" class="btn btn-info btn-md custom_btn2" value="Submit">
														  </div>-->

												</div>
											</form>
										</div>
									</div>
              
									
									<div class="col-md-8 mt-2">
										<div class="calendar calendar-first" id="calendar_first">
											<div class="calendar_header">
												<button class="switch-month switch-left"> <i class="fa fa-chevron-left"></i></button>
												<h2></h2>
												<button class="switch-month switch-right"> <i class="fa fa-chevron-right"></i></button>
											</div>
											<div class="calendar_weekdays"></div>
											<div class="calendar_content"></div>
										</div>
									</div>
                                    <div class="col-md-4" id="doctor_details_div" style="padding-top: 30px;">
										<h5 class="text-left" style="color: #09dca4;">Doctor Profile</h5>	  
											<div class="single-choose mb-40 single-choose_select_dr">
												<div class="choose-head">
													<div class="choose-icon mb-25 select_dr_img"> <img src="http://ncportal.in/medxpertBeta/assets/images//743.jpg" alt="" width="100" height="100"></div>
														<h3><a href="#">Dr. Sutapa sen </a></h3>
														<h4>MBBS, MD (G&amp;O) </h4>
														<h5>Obstetrics &amp; Gynaecologist<br></h5>
												</div>
											</div>
		   			
									</div>
                
									<div class="col-md-12 text-right mt-3"><button class="btn custom_btn_n  text-uppercase" type="submit">Book Now</button></div>
								</div>
							</div>
						</div>
					</div>
				</section>
			</div>
		</div>
		<?php include("footer.php"); ?>

		<!-- Bootstrap core JavaScript
			================================================== --> 
		<!-- Placed at the end of the document so the pages load faster --> 

		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script> 
		<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script> 
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script> 
		<script type="text/javascript" src="<?=js_url?>flatmenu-responsive.js"></script> 
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.9.0/moment-with-locales.min.js"></script> 
		<script type="text/javascript" src="<?=js_url?>bootstrap-datetimepicker.min.js"></script> 
		<script type="text/javascript" src="<?=js_url?>demo.js"></script>
		<script type="text/javascript" src="<?=js_url?>main.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script> 
		<script>
			$(document).ready(function(){
				$('input[type="radio"]').click(function(){
					var inputValue = $(this).attr("value");
					var targetBox = $("." + inputValue);
					$(".box").not(targetBox).hide();
					$(targetBox).show();
				});
				set_field();
			});
			function set_field()
			{
			/*	if(appo_patient_type==1)
				{
					$("#patient_name").show();
					$("#patient_name_list").hide();
					$("#age").prop('readonly',false);
					$("#whatsapp_no").prop('readonly',false);
					$('#sex').prop("style", "pointer-events: default;");		
				}
				else
				{*/
					//$("#patient_name_list").show();
					//$("#patient_name").hide();
					//$("#age").prop('readonly',true);
					$("#whatsapp_no").prop('readonly',true);
					//$('#sex').prop("style", "pointer-events: none;");

					var loguid=<?=$_SESSION['loggedUserId']?>;
					$.ajax({
					  type: "POST",
					  crossDomain: true,
					  url: '<?=base_url()?>Patient/get_patient_of_logged_user',
					  data: {'loguid':loguid},
					  success: function(data)
						{	
							$("#patient_name_list").html(data);
						}
					});			
				//}

			}
			function load_departments(clinic_id)
			{
				$.ajax({
				  type: "POST",
				  crossDomain: true,
				  url: '<?=base_url()?>Common/load_departments',
				  data: {'clinic_id':clinic_id},
				  success: function(data)
							{	
								$("#departmentsID").html(data);
							}
				});
			}
			function load_doctors()
			{
				var clinic_id=$("#clinic").val();
				var department_id=$("#departmentsID").val();

				$.ajax({
				  type: "POST",
				  url: '<?=base_url()?>Common/get_doctors',
				  data: {'clinic_id':clinic_id,'department_id':department_id},
				  success: function(data)
							{	
								$("#doctorsID").html(data);
							}
				});

				
			}
			function get_patient_profile_details(patient_id)
			{
				$.ajax({
				  type: "POST",
				  crossDomain: true,
				  url: '<?=base_url()?>Patient/get_patient_profile_details',
				  data: {'patient_id':patient_id},
				  success: function(data)
							{	
								var jsdata=eval('('+data+')');
								$("#age_div").hide();
								$('#dob').val(jsdata.dob);
								$("#dob_div").show();
								$("#dob_radio").prop("checked", true);
								$('#sex').val(jsdata.sex);
								$('#whatsapp_no').val(jsdata.mobile);
								$("#patient_name").val($("#patient_name_list option:selected").text());
							}
				});	
			}
			function set_field_for_appo_mode_change(mode_value)
			{
				if(mode_value==1)
				{
					$("#clinic").prop("disabled", true);
					load_departments(0);
				}
				else
					$("#clinic").prop("disabled", false);
					$("#clinic").val('-1');
					$("#departments").html('');
					$("#doctors").html('');
			}
			function get_doctor_info(doctor_id)
			{
				$.ajax({
				  type: "POST",
				  crossDomain: true,
				  url: "<?=base_url()?>Patient/get_selected_doctor_detail/book_appointment",
				  data: {'doctor_id':doctor_id},
				  success: function(data)
							{	
								$("#doctor_details_div").html(data);
							/*	var jsdata=eval('('+data+')');
								$("#age_div").hide();
								$('#dob').val(jsdata.dob);
								$("#dob_div").show();
								$("#dob_radio").prop("checked", true);
								$('#sex').val(jsdata.sex);
								$('#whatsapp_no').val(jsdata.mobile);
								$("#patient_name").val($("#patient_name_list option:selected").text());*/
							}
				});		
			}
		</script>
		<?php
		if(isset($_SESSION['success'])){
		echo '<script>toastr.success("'.$_SESSION['success'].'","Success");</script>';
		}
		?>

	</body>
</html>