<!doctype html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
<link rel="shortcut icon" type="image/png" href="<?=images_url?>favicon.png"/>
<title>Online Consultancy</title>
<link href="https://fonts.googleapis.com/css?family=Nunito+Sans:300,400,600,700,800&display=swap" rel="stylesheet">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
<script src="https://kit.fontawesome.com/d980747999.js"></script>
<!-- Custom styles for this template -->
<link href="<?=css_url?>animate.css" rel="stylesheet">
<!-- CSS | Theme Color -->
<link href="<?=css_url?>style.css" rel="stylesheet">
<link href="<?=css_url?>media.css" rel="stylesheet">
<link rel="stylesheet" type="text/css" href="<?=css_url?>flatmenu.css" media="all"/>
</head>

<body>
<?php include("header.php"); ?>

<section class="section welcome_section pt-5 pb-5 clearfix">
  <div class="container">
    <div class="row">
       <div class="col-sm-9 col-md-7 col-lg-5 mx-auto">
        <div class="card card-signin my-5">
          <div class="card-body">
            <h5 class="card-title text-center">Sign In</h5>
            <form class="form-signin">
              <div class="form-label-group">
              <label for="inputEmail">Mobile Number</label>
                <input  class="form-control custom_form" placeholder="Enter Your ID" required autofocus>
                
              </div>

              <div class="form-label-group">
               <label for="inputPassword">Password</label>
                <input type="password" id="inputPassword" class="form-control custom_form" placeholder="Password" required>
               
              </div>

              <div class="custom-control custom-checkbox mb-3">
                <input type="checkbox" class="custom-control-input" id="customCheck1">
                <label class="custom-control-label" for="customCheck1">Remember password</label>
              </div>
              <button class="btn btn-lg btn-primary btn-block text-uppercase" type="submit">Sign in</button>
              <hr class="my-4">
              <div class="col-md-12 text-center"> New Patient? <a style="color:#000;" href="<?=base_url()?>Gateway/signup">Click Here To Rigister</a></div>
              
            </form>
          </div>
        </div>
      </div>
      
    </div>
  </div>
</section>





<?php include("footer.php"); ?>

<!-- Bootstrap core JavaScript
    ================================================== --> 
<!-- Placed at the end of the document so the pages load faster --> 

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script> 
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script> 
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script> 
<script type="text/javascript" src="<?=js_url?>flatmenu-responsive.js"></script> 
<script type="text/javascript">
$(".jumper").on("click", function( e ) {
    
    e.preventDefault();

    $("body, html").animate({ 
        scrollTop: $( $(this).attr('href') ).offset().top 
    }, 600);
    
});
</script>
</body>
</html>