<!doctype html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
<link rel="shortcut icon" type="image/png" href="images/favicon.png"/>
<title>Online Consultancy</title>
<link href="https://fonts.googleapis.com/css?family=Nunito+Sans:300,400,600,700,800&display=swap" rel="stylesheet">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
<script src="https://kit.fontawesome.com/d980747999.js"></script>
<!-- Custom styles for this template -->
<link href="css/animate.css" rel="stylesheet">
<!-- CSS | Theme Color -->
<link href="css/style.css" rel="stylesheet">
<link href="css/media.css" rel="stylesheet">
<link rel="stylesheet" type="text/css" href="css/flatmenu.css" media="all"/>

    <link href="https://unpkg.com/gijgo@1.9.13/css/gijgo.min.css" rel="stylesheet" type="text/css" />
</head>

<body>
<?php include("header.php"); ?>

<section class="section welcome_section pt-5 pb-5 clearfix " id="welcome">
  <div class="container " id="About">
    <div class="heading clearfix">Book Appointment</div>
    <div class="row">
      <div class="col-md-12 pt-4 text-center">
        <div class="row">
          
          <div class="col-md-4">
                <div class="single-choose mb-40 single-choose_select_dr">
                  <div class="choose-head">
                    <div class="choose-icon mb-25 select_dr_img"> <img src="images/743.jpg" width="100" height="100" alt=""></div>
                    <h3><a href="#">Dr. Amitabha Chattopadhyay </a></h3>
                     <h4>MBBS,DCH, DNB, Fellowship (Paediatric Cardiology) </h4>
                     <h5>Cardiology - Pediatric<br/>
License No.:WBMC51850<br/>
Hospital:Narayana Superspeciality Hospital, Howrah</h5>
                  </div>
                </div>
              </div>
          <div class="col-md-8">
               
                <div class="row">
                <div class="col-md-12">
                <h5 class="text-left">Enter below details to proceed </h5>
                </div>
               
             <div class="col-md-6 text-left">
              <div class="form-label-group">
              <label>Select Appointment Type</label>
                <input class="form-control custom_form" placeholder="Enter" required autofocus>
              </div>
              
              </div>
              <div class="col-md-6 text-left">
              <div class="form-label-group">
              <label>Select patient</label>
                <input class="form-control custom_form" placeholder="Enter" required autofocus>
              </div>
              
              </div>
              
              <div class="col-md-6 text-left">
              <div class="form-label-group">
              <label>Name</label>
                <input class="form-control custom_form" placeholder="Enter" autofocus>
              </div>
              </div>
              <div class="col-md-6 text-left">
              <div class="form-label-group">
              <label>Age</label>
                <input class="form-control custom_form" placeholder="Enter" autofocus>
              </div>
              </div>
              
              
              <div class="col-md-6 text-left">
              <div class="form-label-group">
              <label>Gender</label>
                 <div class="form-check-inline">
  <label class="form-check-label">
    <input type="radio" class="form-check-input" name="optradio">Male
  </label>
</div>
<div class="form-check-inline">
  <label class="form-check-label">
    <input type="radio" class="form-check-input" name="optradio">Female
  </label>
</div>
<div class="form-check-inline disabled">
  <label class="form-check-label">
    <input type="radio" class="form-check-input" name="optradio">Transgender 
  </label>
</div> 

              </div>
              
              </div>
              <div class="col-md-6 text-left">
              <div class="form-label-group">
              <label>Whatsapp No</label>
                <input class="form-control custom_form" placeholder="Enter" autofocus>
              </div>
              </div>
              
              
               <div class="col-md-6 text-left">
              <div class="form-label-group">
              <label>Select Appointment Mode</label>
                <input class="form-control custom_form" placeholder="Enter" autofocus>
              </div>
              </div>
              <div class="col-md-6 text-left">
              <div class="form-label-group">
              <label>Select Clinic</label>
                <input class="form-control custom_form" placeholder="Enter" autofocus>
              </div>
              </div>
              
               <div class="col-md-6 text-left">
              <div class="form-label-group">
              <label>Select Doctor</label>
                <input class="form-control custom_form" placeholder="Enter" autofocus>
              </div>
              </div>
              <div class="col-md-6 text-left">
              <div class="form-label-group">
              <label>Date</label>
                <input class="form-control custom_form" placeholder="Enter" autofocus>
              </div>
              </div>
              <div class="col-md-12 text-right">
              <button class="btn btn-lg btn-primary text-uppercase" type="submit">Submit</button>
              </div>
              
        
               
               
              
               
               </div>
   
              </div>
             
              
             
        </div>
      </div>
      
    </div>
  </div>
</section>





<?php include("footer.php"); ?>

<!-- Bootstrap core JavaScript
    ================================================== --> 
<!-- Placed at the end of the document so the pages load faster --> 

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script> 
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script> 
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script> 
<script type="text/javascript" src="js/flatmenu-responsive.js"></script> 
<script src="https://unpkg.com/gijgo@1.9.13/js/gijgo.min.js" type="text/javascript"></script>
 <script>
        $('#datepicker').datepicker({
            uiLibrary: 'bootstrap4'
        });
    </script>         
<script type="text/javascript">
$(".jumper").on("click", function( e ) {
    
    e.preventDefault();

    $("body, html").animate({ 
        scrollTop: $( $(this).attr('href') ).offset().top 
    }, 600);
    
});
</script>
</body>
</html>